#ifndef DEVICELIST_H
#define DEVICELIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "device.h"

// **************************
// Class Definition
// **************************

class deviceList
{
public:
  deviceList(void);   // constructor
  ~deviceList(void);   // destructor
  deviceList(const deviceList &dis); // copy constructor

  deviceList operator=(const deviceList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove device
  void Add(const device& dis);           // add device

  device& operator[](const unsigned int index);     // get device entry
  const device& Get(const unsigned int index) const;       // get device entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  device *dList;       // device list
  unsigned int size;   // size
};

#endif // DEVICELIST_H
