#ifndef DISPLAYLIST_H
#define DISPLAYLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "display.h"

// **************************
// Class Definition
// **************************

class displayList
{
public:
  displayList(void);   // constructor
  ~displayList(void);   // destructor
  displayList(const displayList &dis); // copy constructor

  displayList operator=(const displayList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove display
  void Add(const display& dis);           // add display

  display& operator[](const unsigned int index);     // get device entry
  const display& Get(const unsigned int index) const;       // get display entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  display *dList;       // display list
  unsigned int size;   // size
};

#endif // DISPLAYLIST_H
