
// **************************************
// Header Files
// **************************************

#include "extensionList.h"

// **************************
// Class Declaration
// **************************

extensionList::extensionList(void)
{  // constructor
}

extensionList::~extensionList(void)
{  // destructor
}

extensionList::extensionList(const extensionList &ext)
{  // copy constructor

  comment=ext.GetComment();

  for (unsigned int i=0; i<ext.GetOptionSize(); i++)
  {
    AddOption(ext.GetOption(i));
  }

}

extensionList extensionList::operator=(const extensionList &ext)
{  // copy constructor

  Clear(); // clear all

  comment=ext.GetComment();

  for (unsigned int i=0; i<ext.GetOptionSize(); i++)
  {
    AddOption(ext.GetOption(i));
  }

  return(*this);
}

void extensionList::AddComment(const wxString& com)
{   // set comment

  comment.Add(com);
}

void extensionList::RemoveOption(const unsigned int index)
{  // remove option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("extensionList::RemoveOption"), wxICON_ERROR);
    return;
  }

  options.Remove(index);
}

void extensionList::AddOption(const option &opt)
{  // add option

  options.Add(opt);
}

void extensionList::SetOption(const unsigned int index, const option& opt)
{  // set option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("extensionList::SetOption"), wxICON_ERROR);
    return;
  }

  options[index]=opt;
}

void extensionList::Clear(void)
{    // clear everything

  options.Clear();
  comment.Clear();
}

const wxArrayString& extensionList::GetComment(void) const
{ // get comment
  return(comment);
}

const option& extensionList::GetOption(const unsigned int index) const
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("extensionList::GetOption"), wxICON_ERROR);
  }

  return(options.Get(index));
}

option& extensionList::GetOptionE(const unsigned int index)
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("extensionList::GetOptionE"), wxICON_ERROR);
  }

  return(options[index]);
}

unsigned int extensionList::GetOptionSize(void) const
{  // return size of options

  return(options.GetSize());
}

