#ifndef EXTENSIONLIST_H
#define EXTENSIONLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionList.h"

// **************************
// Class Definition
// **************************

class extensionList
{
public:
  extensionList(void);   // constructor
  ~extensionList(void);   // destructor
  extensionList(const extensionList &ext); // copy constructor

  extensionList operator=(const extensionList &ext); // copy constructor

  void AddComment(const wxString& com);    // set comment
  void RemoveOption(const unsigned int index);    // remove option
  void AddOption(const option &opt);              // add option
  void SetOption(const unsigned int index, const option &opt); // set option

  const wxArrayString& GetComment(void) const;    // get comment
  option& GetOptionE(const unsigned int index);                // get option
  const option& GetOption(const unsigned int index) const;     // get option
  unsigned int GetOptionSize(void) const;                      // return size of options

  void Clear(void);          // clear everything

private:
  optionList options;       // options
  wxArrayString comment;     // comment

};

#endif // EXTENSIONLIST_H
