#ifndef INPUTDEVICE_H
#define INPUTDEVICE_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionList.h"

// **************************
// Class Definition
// **************************

class inputDevice
{
public:
  inputDevice(void);   // constructor
  ~inputDevice(void);   // destructor
  inputDevice(const inputDevice &dev); // copy constructor

  inputDevice operator=(const inputDevice &dev); // copy constructor

  void AddComment(const wxString& com);      // set comment
  void SetId(const wxString& id, const wxString& com=wxEmptyString);      // set identifier
  void SetDriver(const wxString& dr, const wxString& com=wxEmptyString);  // set driver

  const wxArrayString& GetComment(void) const;           // return comment
  const wxString& GetId(void) const;           // return identifier
  const wxString& GetDriver(void) const;       // retun driver name
  const wxString& GetIdComment(void) const;           // return identifier comment
  const wxString& GetDriverComment(void) const;       // retun driver name comment

  void RemoveOption(const unsigned int index);    // remove option
  void AddOption(const option &opt);              // add option
  void SetOption(const unsigned int index, const option &opt); // set option

  option& GetOptionE(const unsigned int index);                // get option
  const option& GetOption(const unsigned int index) const;     // get option
  unsigned int GetOptionSize(void) const;                      // return size of options

  void Clear(void);          // clear everything

private:
  wxString identifier;      // identifier
  wxString driver;          // driver name
  wxString identifierComment;      // identifier comment
  wxString driverComment;          // driver name comment
  wxArrayString comment;
  optionList options;       // options

};

#endif // INPUTDEVICE_H
