#ifndef INPUTDEVICELIST_H
#define INPUTDEVICELIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "inputDevice.h"

// **************************
// Class Definition
// **************************

class inputDeviceList
{
public:
  inputDeviceList(void);   // constructor
  ~inputDeviceList(void);   // destructor
  inputDeviceList(const inputDeviceList &dis); // copy constructor

  inputDeviceList operator=(const inputDeviceList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove device
  void Add(const inputDevice& dis);           // add device

  inputDevice& operator[](const unsigned int index);     // get device entry
  const inputDevice& Get(const unsigned int index) const;       // get device entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  inputDevice *dList;       // device list
  unsigned int size;   // size
};

#endif // INPUTDEVICELIST_H
