#ifndef MODULELIST_H
#define MODULELIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionList.h"

// **************************
// Class Definition
// **************************

class moduleList
{
public:
  moduleList(void);    // constructor
  ~moduleList(void);   // destructor
  moduleList(const moduleList &list); // copy constructor

  moduleList operator=(const moduleList &list); // copy constructor

  void Remove(const unsigned int index);  // remove a module
  void Add(const wxString& mod, const bool act, const wxString& com=wxEmptyString);           // add a module
  const wxString& Get(const unsigned int index) const;    // get module name
  const wxString& GetModuleComment(const unsigned int index) const;    // get comment
  void Set(const unsigned int index, const wxString& mod, const wxString& com=wxEmptyString);   // set module
  void SetActive(const unsigned int index, const bool act);  // set active status
  bool IsActive(const unsigned int index) const;  // return active status

  void RemoveOption(const unsigned int index1, const unsigned int index2);    // remove option
  void AddOption(const unsigned int index, const option &opt);              // add option
  void SetOption(const unsigned int index1, const unsigned int index2, const option &opt); // set option

  option& GetOptionE(const unsigned int index1, const unsigned int index2);                // get option
  const option& GetOption(const unsigned int index1, const unsigned int index2) const;     // get option
  unsigned int GetOptionSize(const unsigned int index) const;                      // return size of options

  const wxArrayString& GetComment(void) const;    // get comment
  void AddComment(const wxString& com);   // set comment

  unsigned int GetSize(void) const;                // return size
  void Clear(void);   // clear everything

private:
  wxArrayString comment;         // comment
  optionList modules;            // modules
  optionList *options;           // options for each module
};

#endif // FILELIST_H
