
// **************************************
// Header Files
// **************************************

#include "monitorList.h"

// **************************
// Class Declaration
// **************************

monitorList::monitorList(void)
{  // constructor
  size=0;
  dList=NULL;
}

monitorList::~monitorList(void)
{  // destructor
  if (dList) delete [] dList;
  dList=NULL;
}

monitorList::monitorList(const monitorList &dis)
{  // copy constructor

  size=dis.GetSize();
  dList=new monitor[size];

  for (unsigned int i=0; i<size;i++)
  {
    dList[i]=dis.Get(i);
  }
}

monitorList monitorList::operator=(const monitorList &dis)
{  // copy constructor

  Clear();

  size=dis.GetSize();
  dList=new monitor[size];

  for (unsigned int i=0; i<size;i++)
  {
    dList[i]=dis.Get(i);
  }

  return(*this);
}

void monitorList::Remove(const unsigned int index)
{  // remove a monitor

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("monitorList::Remove"), wxICON_ERROR);
    return;
  }

  unsigned int i;  // loop counter

  if (size>1)
  {
    monitor *dis=new monitor[size-1];

    for (i=0; i<index; i++) dis[i]=dList[i];        // copy old entries
    for (i=index+1; i<size; i++) dis[i-1]=dList[i]; // and ignore index

    if (dList) delete [] dList;   // delete old list
    dList=dis;         // set pointer
    dis=NULL;
  }
  else
  {
    if (dList) delete [] dList;   // delete old list
    dList=NULL;         // set pointer
  }

  size--;              // set size
}

void monitorList::Add(const monitor& dis)
{  // add an option and value

  monitor *dL=new monitor[size+1];

  for (unsigned int i=0; i<size; i++) dL[i]=dList[i]; // copy old entries

  dL[size]=dis;   // set las entry

  if (dList) delete [] dList;   // delete old list
  dList=dL;         // set pointer
  dL=NULL;

  size++;
}

void monitorList::Clear(void)
{    // clear everything

  if (dList) delete [] dList;
  dList=NULL;

  size=0;
}

const monitor& monitorList::Get(const unsigned int index) const
{  // get single monitor

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("monitorList::Get"), wxICON_ERROR);
  }

  return(dList[index]);
}

monitor& monitorList::operator[](const unsigned int index)
{  // get single device

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("monitorList::operator[]"), wxICON_ERROR);
    return(dList[index]);  // return empty device
  }

  return(dList[index]);
}


unsigned int monitorList::GetSize(void) const
{  // return size

  return(size);

}
