#ifndef MONITORLIST_H
#define MONITORLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "monitor.h"

// **************************
// Class Definition
// **************************

class monitorList
{
public:
  monitorList(void);   // constructor
  ~monitorList(void);   // destructor
  monitorList(const monitorList &dis); // copy constructor

  monitorList operator=(const monitorList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove device
  void Add(const monitor& dis);           // add device

  monitor& operator[](const unsigned int index);     // get device entry
  const monitor& Get(const unsigned int index) const;       // get device entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  monitor *dList;       // device list
  unsigned int size;   // size
};

#endif // MONITORLIST_H
