
// **************************************
// Header Files
// **************************************

#include "option.h"

// **************************
// Class Declaration
// **************************

option::option(void)
{  // constructor
  name=wxEmptyString;
  value=wxEmptyString;
  comment=wxEmptyString;
  active=true;
}

option::option(const wxString& opt, const wxString& val, const wxString& com)
{  // constructor

  name=opt;
  value=val;
  comment=com;
  active=true;
}

option::~option(void)
{  // destructor
}

option::option(const option &opt)
{  // copy constructor

  name=opt.GetName();
  value=opt.GetValue();
  comment=opt.GetComment();
  active=opt.IsActive();
}

option option::operator=(const option &opt)
{  // copy constructor

  // clear old entries
  Clear();

  name=opt.GetName();
  value=opt.GetValue();
  comment=opt.GetComment();
  active=opt.IsActive();

  return(*this);
}

void option::SetName(const wxString& opt)
{ // set an option

  name=opt;
}

void option::SetValue(const wxString& val)
{ // set value

  value=val;
}

void option::SetComment(const wxString& com)
{ // set comment

  comment=com;
}

void option::SetActive(const bool act)
{ // set active status

  active=act;
}


void option::Clear(void)
{  // clear all options and values

  name=wxEmptyString;
  value=wxEmptyString;
  comment=wxEmptyString;
  active=true;
}

const wxString& option::GetName(void) const
{  // get single option

  return(name);
}

const wxString& option::GetValue(void) const
{  // get single option value

  return(value);
}

const wxString& option::GetComment(void) const
{  // get comment

  return(comment);
}

bool option::IsActive(void) const
{                            // return active status
  return(active);
}



