#ifndef OPTION_H
#define OPTION_H

// **************************************
// Header Files
// **************************************

#include "global.h"

// **************************
// Class Definition
// **************************

class option
{
public:
  option(void);   // constructor
  option(const wxString& opt, const wxString& val=wxEmptyString, const wxString& com=wxEmptyString);   // constructor
  ~option(void);   // destructor
  option(const option &opt); // copy constructor

  option operator=(const option &opt); // copy constructor

  void SetName(const wxString& opt);  // set an option and value
  void SetValue(const wxString& val);  // set an option and value
  void SetComment(const wxString&com); // set comment
  void SetActive(const bool act);   // set active status
  void Clear(void);   // clear all options and values

  const wxString& GetName(void) const;    // get single option
  const wxString& GetValue(void) const;     // get single option value
  const wxString& GetComment(void) const;   // get comment
  bool IsActive(void) const;                                // return active status
  unsigned int GetSize(void) const;                      // return size of options

private:
  wxString name;        // option
  wxString value;        // and its value
  wxString comment;  // comment
  bool active;        // status of option (active / inactive)
};

#endif // OPTION_H
