#ifndef OPTIONLIST_H
#define OPTIONLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "option.h"

// **************************
// Class Definition
// **************************

class optionList
{
public:
  optionList(void);   // constructor
  ~optionList(void);   // destructor
  optionList(const optionList &dis); // copy constructor

  optionList operator=(const optionList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove option
  void Add(const option& dis);           // add option
  void Add(const wxString& opt, const wxString& val=wxEmptyString, const wxString& com=wxEmptyString);  // add option

  option& operator[](const unsigned int index);     // get device entry
  const option& Get(const unsigned int index) const;       // get option entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  option *dList;       // option list
  unsigned int size;   // size
};

#endif // OPTIONLIST_H
