
// **************************************
// Header Files
// **************************************

#include "screenList.h"

// **************************
// Class Declaration
// **************************

screenList::screenList(void)
{  // constructor
  size=0;
  dList=NULL;
}

screenList::~screenList(void)
{  // destructor
  if (dList) delete [] dList;
  dList=NULL;
}

screenList::screenList(const screenList &dis)
{  // copy constructor

  size=dis.GetSize();
  dList=new screen[size];

  for (unsigned int i=0; i<size;i++)
  {
    dList[i]=dis.Get(i);
  }
}

screenList screenList::operator=(const screenList &dis)
{  // copy constructor

  Clear();

  size=dis.GetSize();
  dList=new screen[size];

  for (unsigned int i=0; i<size;i++)
  {
    dList[i]=dis.Get(i);
  }

  return(*this);
}

void screenList::Remove(const unsigned int index)
{  // remove a screen

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("screenList::Remove"), wxICON_ERROR);
    return;
  }

  unsigned int i;  // loop counter

  if (size>1)
  {
    screen *dis=new screen[size-1];

    for (i=0; i<index; i++) dis[i]=dList[i];        // copy old entries
    for (i=index+1; i<size; i++) dis[i-1]=dList[i]; // and ignore index

    if (dList) delete [] dList;   // delete old list
    dList=dis;         // set pointer
    dis=NULL;
  }
  else
  {
    if (dList) delete [] dList;   // delete old list
    dList=NULL;         // set pointer
  }

  size--;              // set size
}

void screenList::Add(const screen& dis)
{  // add an option and value

  screen *dL=new screen[size+1];

  for (unsigned int i=0; i<size; i++) dL[i]=dList[i]; // copy old entries

  dL[size]=dis;   // set las entry

  if (dList) delete [] dList;   // delete old list
  dList=dL;         // set pointer
  dL=NULL;

  size++;
}

void screenList::Clear(void)
{    // clear everything

  if (dList) delete [] dList;
  dList=NULL;

  size=0;
}

const screen& screenList::Get(const unsigned int index) const
{  // get single screen

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("screenList::Get"), wxICON_ERROR);
  }

  return(dList[index]);
}

screen& screenList::operator[](const unsigned int index)
{  // get single device

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("screenList::operator[]"), wxICON_ERROR);
    return(dList[index]);  // return empty device
  }

  return(dList[index]);
}


unsigned int screenList::GetSize(void) const
{  // return size

  return(size);

}
