#ifndef SCREENLIST_H
#define SCREENLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "screen.h"

// **************************
// Class Definition
// **************************

class screenList
{
public:
  screenList(void);   // constructor
  ~screenList(void);   // destructor
  screenList(const screenList &dis); // copy constructor

  screenList operator=(const screenList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove device
  void Add(const screen& dis);           // add device

  screen& operator[](const unsigned int index);     // get device entry
  const screen& Get(const unsigned int index) const;       // get device entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  screen *dList;       // device list
  unsigned int size;   // size
};

#endif // SCREENLIST_H
