
// **************************************
// Header Files
// **************************************

#include "serverFlagList.h"

// **************************
// Class Declaration
// **************************

serverFlagList::serverFlagList(void)
{  // constructor
}

serverFlagList::~serverFlagList(void)
{  // destructor
}

serverFlagList::serverFlagList(const serverFlagList &ser)
{  // copy constructor

  comment=ser.GetComment();

  for (unsigned int i=0; i<ser.GetOptionSize(); i++)
  {
    AddOption(ser.GetOption(i));
  }

}

serverFlagList serverFlagList::operator=(const serverFlagList &ser)
{  // copy constructor

  Clear(); // clear all

  comment=ser.GetComment();

  for (unsigned int i=0; i<ser.GetOptionSize(); i++)
  {
    AddOption(ser.GetOption(i));
  }

  return(*this);
}

void serverFlagList::RemoveOption(const unsigned int index)
{  // remove option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverFlagList::RemoveOption"), wxICON_ERROR);
    return;
  }

  options.Remove(index);
}

void serverFlagList::AddOption(const option &opt)
{  // add option

  options.Add(opt);
}

void serverFlagList::SetOption(const unsigned int index, const option& opt)
{  // set option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverFlagList::SetOption"), wxICON_ERROR);
    return;
  }

  options[index]=opt;
}

void serverFlagList::Clear(void)
{    // clear everything

  options.Clear();
  comment.Clear();
}

const option& serverFlagList::GetOption(const unsigned int index) const
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverFlagList::GetOption"), wxICON_ERROR);
  }

  return(options.Get(index));
}

option& serverFlagList::GetOptionE(const unsigned int index)
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverFlagList::GetOptionE"), wxICON_ERROR);
  }

  return(options[index]);
}

unsigned int serverFlagList::GetOptionSize(void) const
{  // return size of options

  return(options.GetSize());
}

void serverFlagList::AddComment(const wxString& com)
{      // set comment
  comment.Add(com);
}

const wxArrayString& serverFlagList::GetComment(void) const
{         // get comment
  return(comment);
}

