#ifndef SERVERFLAGLIST_H
#define SERVERFLAGLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionList.h"

// **************************
// Class Definition
// **************************

class serverFlagList
{
public:
  serverFlagList(void);   // constructor
  ~serverFlagList(void);   // destructor
  serverFlagList(const serverFlagList &ser); // copy constructor

  serverFlagList operator=(const serverFlagList &ser); // copy constructor

  void RemoveOption(const unsigned int index);    // remove option
  void AddOption(const option &opt);              // add option
  void SetOption(const unsigned int index, const option &opt); // set option

  option& GetOptionE(const unsigned int index);                // get option
  const option& GetOption(const unsigned int index) const;     // get option
  unsigned int GetOptionSize(void) const;                      // return size of options

  void AddComment(const wxString& com);      // set comment
  const wxArrayString& GetComment(void) const;         // get comment

  void Clear(void);          // clear everything

private:
  wxArrayString comment;     // comment
  optionList options;       // options

};

#endif // SERVERFLAGLIST_H
