
// **************************************
// Header Files
// **************************************

#include "serverLayoutList.h"

// **************************
// Class Declaration
// **************************

serverLayoutList::serverLayoutList(void)
{  // constructor
  size=0;
  dList=NULL;
}

serverLayoutList::~serverLayoutList(void)
{  // destructor
  if (dList) delete [] dList;
  dList=NULL;
}

serverLayoutList::serverLayoutList(const serverLayoutList &dis)
{  // copy constructor

  size=dis.GetSize();
  dList=new serverLayout[size];

  for (unsigned int i=0; i<size;i++)
  {
    dList[i]=dis.Get(i);
  }
}

serverLayoutList serverLayoutList::operator=(const serverLayoutList &dis)
{  // copy constructor

  Clear();

  size=dis.GetSize();
  dList=new serverLayout[size];

  for (unsigned int i=0; i<size;i++)
  {
    dList[i]=dis.Get(i);
  }

  return(*this);
}

void serverLayoutList::Remove(const unsigned int index)
{  // remove a serverLayout

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverLayoutList::Remove"), wxICON_ERROR);
    return;
  }

  unsigned int i;  // loop counter

  if (size>1)
  {
    serverLayout *dis=new serverLayout[size-1];

    for (i=0; i<index; i++) dis[i]=dList[i];        // copy old entries
    for (i=index+1; i<size; i++) dis[i-1]=dList[i]; // and ignore index

    if (dList) delete [] dList;   // delete old list
    dList=dis;         // set pointer
    dis=NULL;
  }
  else
  {
    if (dList) delete [] dList;   // delete old list
    dList=NULL;         // set pointer
  }

  size--;              // set size
}

void serverLayoutList::Add(const serverLayout& dis)
{  // add an option and value

  serverLayout *dL=new serverLayout[size+1];

  for (unsigned int i=0; i<size; i++) dL[i]=dList[i]; // copy old entries

  dL[size]=dis;   // set last entry

  if (dList) delete [] dList;   // delete old list
  dList=dL;         // set pointer
  dL=NULL;

  size++;
}

void serverLayoutList::Clear(void)
{    // clear everything

  if (dList) delete [] dList;
  dList=NULL;

  size=0;
}

const serverLayout& serverLayoutList::Get(const unsigned int index) const
{  // get single serverLayout

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverLayoutList::Get"), wxICON_ERROR);
  }

  return(dList[index]);
}

serverLayout& serverLayoutList::operator[](const unsigned int index)
{  // get single device

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("serverLayoutList::operator[]"), wxICON_ERROR);
    return(dList[index]);  // return empty device
  }

  return(dList[index]);
}

unsigned int serverLayoutList::GetSize(void) const
{  // return size

  return(size);

}
