#ifndef SERVERLAYOUTLIST_H
#define SERVERLAYOUTLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "serverLayout.h"

// **************************
// Class Definition
// **************************

class serverLayoutList
{
public:
  serverLayoutList(void);   // constructor
  ~serverLayoutList(void);   // destructor
  serverLayoutList(const serverLayoutList &dis); // copy constructor

  serverLayoutList operator=(const serverLayoutList &dis); // copy constructor

  void Remove(const unsigned int index);  // remove serverLayout
  void Add(const serverLayout& dis);           // add serverLayout

  serverLayout& operator[](const unsigned int index);     // get device entry
  const serverLayout& Get(const unsigned int index) const;       // get serverLayout entry
  unsigned int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  serverLayout *dList;       // serverLayout list
  unsigned int size;   // size
};

#endif // SERVERLAYOUTLIST_H
