
// **************************************
// Header Files
// **************************************

#include "xorgApp.h"

// **************************
// Class Definition
// **************************

xorgApp::~xorgApp(void)
{ // destructor

  if (app_locale) delete app_locale;
  app_locale=NULL;
}

bool xorgApp::OnInit(void)   // init application
{
  // get application directory
  appDir=this->argv[0];
  appDir=appDir.Left(appDir.Len()-GetAppName().Len()-1);

  app_locale=NULL;
  SetLanguage();

  guiFrame* frame = new guiFrame(wxEmptyString, app_locale);
  frame->Show();
  frame->ShowWarning();
  return(true);
};

void xorgApp::SetLanguage(const int lang)
{  // set language

  if (app_locale) delete app_locale;
  app_locale=new wxLocale();

  app_locale->Init(lang);
  app_locale->AddCatalogLookupPathPrefix(appDir+_T("/."));
  app_locale->AddCatalogLookupPathPrefix(appDir+_T("/.."));
  app_locale->AddCatalog(wxT("xorg-edit") );
}

IMPLEMENT_APP(xorgApp);

