// **************************************
// xorg-edit
// by Dominik Wagenfuehr (2006)
// Licence: GPL
// **************************************

// **************************************
// Header Files
// **************************************

#include "guiFrame.h"
#include "textFrame.h"
#include "xorgApp.h"
#include <wx/datetime.h>

// **************************************
// Event Tables and other Macros
// **************************************

BEGIN_EVENT_TABLE(guiFrame, wxFrame)
  EVT_MENU(NEWXORG, guiFrame::OnNew)
  EVT_MENU(LOADXORG, guiFrame::OnLoad)
  EVT_MENU(SAVEXORG, guiFrame::OnSave)
  EVT_MENU(SAVEAS, guiFrame::OnSaveAs)
  EVT_MENU(CLOSEXORG, guiFrame::OnClose)
  EVT_MENU(QUITPROG, guiFrame::OnQuit)
  EVT_MENU(SHOWXORG, guiFrame::OnShow)
  EVT_MENU(ABOUTPROG, guiFrame::OnAbout)
  EVT_MENU(LANGENG, guiFrame::SetLanguage)
  EVT_MENU(LANGGER, guiFrame::SetLanguage)
  EVT_NOTEBOOK_PAGE_CHANGING(CHANGETAB, guiFrame::OnTabChange)
  EVT_TEXT(DEVID, guiFrame::EnterDevice)
  EVT_TEXT(DEVOPT, guiFrame::EnterDeviceOption)
  EVT_TEXT(IDEVID, guiFrame::EnterInputDevice)
  EVT_TEXT(IDEVOPT, guiFrame::EnterInputDeviceOption)
  EVT_TEXT(MONID, guiFrame::EnterMonitor)
  EVT_TEXT(MONOPT, guiFrame::EnterMonitorOption)
  EVT_TEXT(MONMODL, guiFrame::EnterMonitorModeline)
  EVT_TEXT(SCRID, guiFrame::EnterScreen)
  EVT_TEXT(SCROPT, guiFrame::EnterScreenOption)
  EVT_TEXT(SCRDISP, guiFrame::EnterScreenDiplay)
  EVT_TEXT(SCRDISPMOD, guiFrame::EnterScreenDiplayMode)
  EVT_TEXT(SCRDISPOPT, guiFrame::EnterScreenDiplayOption)
  EVT_TEXT(SERLID, guiFrame::EnterServerLayout)
  EVT_TEXT(SERLOPT, guiFrame::EnterServerLayoutOption)
  EVT_TEXT(SERLIDEVOPT, guiFrame::EnterServerLayoutInputDeviceOption)
  EVT_TEXT(SERFOPT, guiFrame::EnterServerFlagOption)
  EVT_TEXT(EXTOPT, guiFrame::EnterExtension)
  EVT_TEXT(FONTPATH, guiFrame::EnterFontPath)
  EVT_TEXT(MODPATH, guiFrame::EnterModulePath)
  EVT_TEXT(RGBPATH, guiFrame::EnterRgbPath)
  EVT_TEXT(MODID, guiFrame::EnterModule)
  EVT_TEXT(MODOPT, guiFrame::EnterModuleOption)
  EVT_TEXT(DEVDRI, guiFrame::EnterDeviceDriver)
  EVT_TEXT(DEVBUS, guiFrame::EnterDeviceBusID)
  EVT_TEXT(DEVSCR, guiFrame::EnterDeviceScreen)
  EVT_TEXT(DEVRAM, guiFrame::EnterDevicVideoRam)
  EVT_TEXT(DEVOVAL, guiFrame::EnterDeviceOptValue)
  EVT_TEXT(MONHSY, guiFrame::EnterMonitorHorizSync)
  EVT_TEXT(MONVREF, guiFrame::EnterMonitorVertRefresh)
  EVT_TEXT(MONDISP, guiFrame::EnterMonitorDisplay)
  EVT_TEXT(MONGAM, guiFrame::EnterMonitorGamma)
  EVT_TEXT(MONOVAL, guiFrame::EnterMonitorOptValue)
  EVT_TEXT(MONMODLOPT, guiFrame::EnterMonitorModelineOption)
  EVT_TEXT(IDEVDRI, guiFrame::EnterInputDeviceDriver)
  EVT_TEXT(IDEVOVAL, guiFrame::EnterInputDeviceOptValue)
  EVT_TEXT(SCRDEP, guiFrame::EnterScreenDepth)
  EVT_TEXT(SCROVAL, guiFrame::EnterScreenOptValue)
  EVT_TEXT(SCRDISPVP, guiFrame::EnterScreenDisplayVirtual)
  EVT_TEXT(SCRDISPVIR, guiFrame::EnterScreenDisplayViewport)
  EVT_TEXT(SCRDISPOVAL, guiFrame::EnterScreenDisplayOptValue)
  EVT_TEXT(SERLSCRNUM, guiFrame::EnterServerLayoutScreenNumber)
  EVT_TEXT(SERLSCRPOS, guiFrame::EnterServerLayoutScreenPosition)
  EVT_TEXT(SERLOVAL, guiFrame::EnterServerLayoutOptValue)
  EVT_TEXT(SERFOVAL, guiFrame::EnterServerFlagsOptValue)
  EVT_TEXT(EXTOVAL, guiFrame::EnterExtensionOptValue)
  EVT_TEXT(MODOVAL, guiFrame::EnterModuleOptValue)
  EVT_TEXT(DRIMOD, guiFrame::EnterDriMode)
  EVT_CHOICE(SCRDEV, guiFrame::SelectScreenDevice)
  EVT_CHOICE(SCRMON, guiFrame::SelectScreenMonitor)
  EVT_CHOICE(SERLSCR1, guiFrame::SelectServerLayoutScreen1)
  EVT_CHOICE(SERLSCR2, guiFrame::SelectServerLayoutScreen2)
  EVT_CHOICE(SERLIDEV1, guiFrame::SelectServerLayoutInputDevice1)
  EVT_COMBOBOX(DEVID, guiFrame::SelectDevice)
  EVT_COMBOBOX(DEVOPT, guiFrame::SelectDeviceOption)
  EVT_COMBOBOX(IDEVID, guiFrame::SelectInputDevice)
  EVT_COMBOBOX(IDEVOPT, guiFrame::SelectInputDeviceOption)
  EVT_COMBOBOX(MONID, guiFrame::SelectMonitor)
  EVT_COMBOBOX(MONOPT, guiFrame::SelectMonitorOption)
  EVT_COMBOBOX(MONMODL, guiFrame::SelectMonitorModeline)
  EVT_COMBOBOX(SCRID, guiFrame::SelectScreen)
  EVT_COMBOBOX(SCROPT, guiFrame::SelectScreenOption)
  EVT_COMBOBOX(SCRDISP, guiFrame::SelectScreenDiplay)
  EVT_COMBOBOX(SCRDISPMOD, guiFrame::SelectScreenDiplayMode)
  EVT_COMBOBOX(SCRDISPOPT, guiFrame::SelectScreenDiplayOption)
  EVT_COMBOBOX(SERLID, guiFrame::SelectServerLayout)
  EVT_COMBOBOX(SERLOPT, guiFrame::SelectServerLayoutOption)
  EVT_COMBOBOX(SERLSCR, guiFrame::SelectServerLayoutScreen)
  EVT_COMBOBOX(SERLIDEV, guiFrame::SelectServerLayoutInputDevice)
  EVT_COMBOBOX(SERLIDEVOPT, guiFrame::SelectServerLayoutInputDeviceOption)
  EVT_COMBOBOX(SERFOPT, guiFrame::SelectServerFlagOption)
  EVT_COMBOBOX(EXTOPT, guiFrame::SelectExtension)
  EVT_COMBOBOX(FONTPATH, guiFrame::SelectFontPath)
  EVT_COMBOBOX(MODPATH, guiFrame::SelectModulePath)
  EVT_COMBOBOX(RGBPATH, guiFrame::SelectRgbPath)
  EVT_COMBOBOX(MODID, guiFrame::SelectModule)
  EVT_COMBOBOX(MODOPT, guiFrame::SelectModuleOption)
  EVT_BUTTON(MONFREQ, guiFrame::GetRefreshRate)
  EVT_BUTTON(MONDISPSIZE, guiFrame::GetDisplaySize)
  EVT_BUTTON(MONMODLGEN, guiFrame::GenerateModeline)
END_EVENT_TABLE()

// **************************
// Class Declaration
// **************************

guiFrame::guiFrame(const wxString& title, wxLocale *lang) : wxFrame(NULL, -1, title, wxDefaultPosition, wxDefaultSize, wxDEFAULT_FRAME_STYLE & ~ (wxRESIZE_BORDER | wxRESIZE_BOX | wxMAXIMIZE_BOX)), app_locale(lang)
{

  // set title
  version=_T("xorg-edit v06.08.02");

  // set all entries to null

  fontPathCurrent=0;
  moduleCurrent=0;
  serverLayoutCurrent=0;
  inputDeviceCurrent=0;
  deviceCurrent=0;
  monitorCurrent=0;
  screenCurrent=0;
  serverFlagCurrent=0;
  extensionCurrent=0;
  deviceOptionCurrent=0;
  monitorOptionCurrent=0;
  monitorModelineCurrent=0;
  screenOptionCurrent=0;
  screenDisplayCurrent=0;
  screenDisplayModeCurrent=0;
  screenDisplayOptionCurrent=0;
  inputDeviceOptionCurrent=0;
  moduleOptionCurrent=0;
  serverLayoutOptionCurrent=0;
  serverLayoutIDevOptionCurrent=0;
  serverLayoutScreenCurrent=0;
  serverLayoutIDevCurrent=0;

  // layout for the whole frame
  wxBoxSizer *gridSizer = new wxBoxSizer(wxVERTICAL);

  layout = new wxNotebook(this, CHANGETAB);

  deviceTab = new wxPanel(layout);                       // device tab panel
  wxBoxSizer *deviceTabSizer=new wxBoxSizer(wxVERTICAL);

  monitorTab = new wxPanel(layout);                       // monitor tab panel
  wxBoxSizer *monitorTabSizer=new wxBoxSizer(wxVERTICAL);

  inputDeviceTab = new wxPanel(layout);                       // inputdevice tab panel
  wxBoxSizer *inputDeviceTabSizer=new wxBoxSizer(wxVERTICAL);

  screenTab = new wxPanel(layout);                       // screen tab panel
  wxBoxSizer *screenTabSizer=new wxBoxSizer(wxVERTICAL);

  serverTab = new wxPanel(layout);                       // server layout/server flags tab tab panel
  wxBoxSizer *serverTabSizer=new wxBoxSizer(wxVERTICAL);

  otherSectionTab = new wxPanel(layout);                       // iles/modules/extensions/dri tab panel
  wxBoxSizer *otherSectionTabSizer=new wxBoxSizer(wxVERTICAL);

  wxString tempList[4];  // initial list for combo und choice elements
  wxString optList[4];   // initial list for option combo und choice elements

  optList[0]=_("----------");
  optList[1]=_("Add Option");
  optList[2]=_("Delete Option");
  optList[3]=_("De/Activate Option");

  // section DEVICE elements
  deviceBox=new wxStaticBox(deviceTab, -1, _("Device"));
  wxStaticBoxSizer *deviceSizer=new wxStaticBoxSizer(deviceBox, wxVERTICAL);
  wxBoxSizer *deviceSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *deviceSizerLine2=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *deviceSizerLine3=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *deviceSizerLine4=new wxBoxSizer(wxHORIZONTAL);

  tempList[0]=_("----------");
  tempList[1]=_("Add Device");
  tempList[2]=_("Delete Device");

  deviceDriverText=new wxStaticText(deviceTab, -1, _("Driver"));
  deviceBusIDText=new wxStaticText(deviceTab, -1, _("BusID"));
  deviceVideoRamText=new wxStaticText(deviceTab, -1, _("Video Ram"));
  deviceScreenNumberText=new wxStaticText(deviceTab, -1, _("Screen Number"));
  deviceOptionText=new wxStaticText(deviceTab, -1, _("Option"));

  deviceIdentifier=new wxComboBox(deviceTab, DEVID, _("----------"), wxDefaultPosition, wxSize(450,-1), 3, tempList, wxCB_DROPDOWN);

  deviceSizerLine1->Add(deviceIdentifier, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  deviceDriver=new wxTextCtrl(deviceTab, DEVDRI, wxEmptyString, wxDefaultPosition, wxSize(140,-1));
  deviceBusID=new wxTextCtrl(deviceTab, DEVBUS, wxEmptyString, wxDefaultPosition, wxSize(140,-1));

  deviceSizerLine2->Add(deviceDriverText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  deviceSizerLine2->Add(deviceDriver, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  deviceSizerLine2->Add(deviceBusIDText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT, 10);
  deviceSizerLine2->Add(deviceBusID, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  deviceVideoRam=new wxTextCtrl(deviceTab, DEVRAM, wxEmptyString, wxDefaultPosition, wxSize(140,-1));
  deviceScreen=new wxTextCtrl(deviceTab, DEVSCR, wxEmptyString, wxDefaultPosition, wxSize(100,-1));

  deviceSizerLine3->Add(deviceVideoRamText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  deviceSizerLine3->Add(deviceVideoRam, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  deviceSizerLine3->Add(deviceScreenNumberText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT, 10);
  deviceSizerLine3->Add(deviceScreen, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  deviceOption=new wxComboBox(deviceTab, DEVOPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 4, optList, wxCB_DROPDOWN);
  deviceOptValue=new wxTextCtrl(deviceTab, DEVOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  deviceSizerLine4->Add(deviceOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  deviceSizerLine4->Add(deviceOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  deviceSizerLine4->Add(deviceOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  deviceSizer->Add(deviceSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  deviceSizer->Add(deviceSizerLine2, 0, wxTOP | wxBOTTOM, 3);
  deviceSizer->Add(deviceSizerLine3, 0, wxTOP | wxBOTTOM, 3);
  deviceSizer->Add(deviceSizerLine4, 0, wxTOP | wxBOTTOM, 3);

  // section MONITOR elements
  monitorBox=new wxStaticBox(monitorTab, -1, _("Monitor"));
  wxStaticBoxSizer *monitorSizer=new wxStaticBoxSizer(monitorBox, wxVERTICAL);
  wxBoxSizer *monitorSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine2=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine3=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine4=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine5=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine6=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine7=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine8=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorSizerLine9=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Monitor");
  tempList[2]=_("Delete Monitor");

  monitorHorizSyncText=new wxStaticText(monitorTab, -1, _("Hor.Sync."));
  monitorVertRefreshText=new wxStaticText(monitorTab, -1, _("Vert.Refresh"));
  monitorDisplayText=new wxStaticText(monitorTab, -1, _("Display Size"));
  monitorGammaText=new wxStaticText(monitorTab, -1, _("Gamma"));
  monitorOptionText=new wxStaticText(monitorTab, -1, _("Option"));
  monitorModelineText=new wxStaticText(monitorTab, -1, _("Modeline"));

  monitorIdentifier=new wxComboBox(monitorTab, MONID, _("----------"), wxDefaultPosition, wxSize(450,-1), 3, tempList, wxCB_DROPDOWN);

  monitorSizerLine1->Add(monitorIdentifier, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorHorizSync=new wxTextCtrl(monitorTab, MONHSY, wxEmptyString, wxDefaultPosition, wxSize(75,-1));
  monitorVertRefresh=new wxTextCtrl(monitorTab, MONVREF, wxEmptyString, wxDefaultPosition, wxSize(75,-1));
  monitorFreqButton=new wxButton(monitorTab, MONFREQ, _("Get Refresh Rate"));

  monitorSizerLine2->Add(monitorHorizSyncText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine2->Add(monitorHorizSync, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine2->Add(monitorVertRefreshText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT, 10);
  monitorSizerLine2->Add(monitorVertRefresh, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine2->Add(monitorFreqButton, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorDisplay=new wxTextCtrl(monitorTab, MONDISP, wxEmptyString, wxDefaultPosition, wxSize(150,-1));
  monitorDisplaySizeButton=new wxButton(monitorTab, MONDISPSIZE, _("Get Display Size"));

  monitorSizerLine3->Add(monitorDisplayText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine3->Add(monitorDisplay, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine3->Add(monitorDisplaySizeButton, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorGamma=new wxTextCtrl(monitorTab, MONGAM, wxEmptyString, wxDefaultPosition, wxSize(120,-1));

  monitorSizerLine4->Add(monitorGammaText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT, 10);
  monitorSizerLine4->Add(monitorGamma, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add Modeline");
  tempList[2]=_("Delete Modeline");
  tempList[3]=_("De/Activate Modeline");

  monitorModelineName=new wxComboBox(monitorTab, MONMODL, _("----------"), wxDefaultPosition, wxSize(145,-1), 4, tempList, wxCB_DROPDOWN);
  monitorModelineOption=new wxTextCtrl(monitorTab, MONMODLOPT, wxEmptyString, wxDefaultPosition, wxSize(235,-1));

  monitorSizerLine5->Add(monitorModelineText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine5->Add(monitorModelineName, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine5->Add(monitorModelineOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorOption=new wxComboBox(monitorTab, MONOPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 4, optList, wxCB_DROPDOWN);
  monitorOptValue=new wxTextCtrl(monitorTab, MONOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  monitorSizerLine6->Add(monitorOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine6->Add(monitorOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorSizerLine6->Add(monitorOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorSizer->Add(monitorSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  monitorSizer->Add(monitorSizerLine2, 0, wxTOP | wxBOTTOM, 3);
  monitorSizer->Add(monitorSizerLine3, 0, wxTOP | wxBOTTOM, 3);
  monitorSizer->Add(monitorSizerLine4, 0, wxTOP | wxBOTTOM, 3);
  monitorSizer->Add(monitorSizerLine5, 0, wxTOP | wxBOTTOM, 3);
  monitorSizer->Add(monitorSizerLine6, 0, wxTOP | wxBOTTOM, 3);

  monitorModelineGeneratorBox=new wxStaticBox(monitorTab, -1, _("Modeline Generator"));
  wxStaticBoxSizer *monitorModelineGeneratorSizer=new wxStaticBoxSizer(monitorModelineGeneratorBox, wxVERTICAL);
  wxBoxSizer *monitorModelineGeneratorSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *monitorModelineGeneratorSizerLine2=new wxBoxSizer(wxHORIZONTAL);

  monitorModelineGeneratorXResText=new wxStaticText(monitorTab, -1, _("X"));
  monitorModelineGeneratorYResText=new wxStaticText(monitorTab, -1, _("Y"));
  monitorModelineGeneratorFreqText=new wxStaticText(monitorTab, -1, _("Refresh"));

  monitorModelineGeneratorXRes=new wxTextCtrl(monitorTab, wxID_ANY, wxEmptyString, wxDefaultPosition, wxSize(90,-1));
  monitorModelineGeneratorYRes=new wxTextCtrl(monitorTab, wxID_ANY, wxEmptyString, wxDefaultPosition, wxSize(90,-1));
  monitorModelineGeneratorFreq=new wxTextCtrl(monitorTab, wxID_ANY, wxEmptyString, wxDefaultPosition, wxSize(70,-1));
  monitorModelineGeneratorButton=new wxButton(monitorTab, MONMODLGEN, _("Generate"));

  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorXResText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorXRes, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorYResText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorYRes, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorFreqText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorFreq, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine1->Add(monitorModelineGeneratorButton, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorModelineGeneratorOutput1=new wxTextCtrl(monitorTab, wxID_ANY, wxEmptyString, wxDefaultPosition, wxSize(120,-1), wxTE_READONLY);
  monitorModelineGeneratorOutput2=new wxTextCtrl(monitorTab, wxID_ANY, wxEmptyString, wxDefaultPosition, wxSize(320,-1), wxTE_READONLY);

  monitorModelineGeneratorSizerLine2->Add(monitorModelineGeneratorOutput1, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  monitorModelineGeneratorSizerLine2->Add(monitorModelineGeneratorOutput2, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  monitorModelineGeneratorSizer->Add(monitorModelineGeneratorSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  monitorModelineGeneratorSizer->Add(monitorModelineGeneratorSizerLine2, 0, wxTOP | wxBOTTOM, 3);

  // section INPUTDEVICE elements
  inputDeviceBox=new wxStaticBox(inputDeviceTab, -1, _("Input Device"));
  wxStaticBoxSizer *inputDeviceSizer=new wxStaticBoxSizer(inputDeviceBox, wxVERTICAL);
  wxBoxSizer *inputDeviceSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *inputDeviceSizerLine2=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *inputDeviceSizerLine3=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Input Device");
  tempList[2]=_("Delete Input Device");

  inputDeviceDriverText=new wxStaticText(inputDeviceTab, -1, _("Driver"));
  inputDeviceOptionText=new wxStaticText(inputDeviceTab, -1, _("Option"));

  inputDeviceIdentifier=new wxComboBox(inputDeviceTab, IDEVID, _("----------"), wxDefaultPosition, wxSize(450,-1), 3, tempList, wxCB_DROPDOWN);

  inputDeviceSizerLine1->Add(inputDeviceIdentifier, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  inputDeviceDriver=new wxTextCtrl(inputDeviceTab, IDEVDRI, wxEmptyString, wxDefaultPosition, wxSize(140,-1));

  inputDeviceSizerLine2->Add(inputDeviceDriverText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  inputDeviceSizerLine2->Add(inputDeviceDriver, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  inputDeviceOption=new wxComboBox(inputDeviceTab, IDEVOPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 4, optList, wxCB_DROPDOWN);
  inputDeviceOptValue=new wxTextCtrl(inputDeviceTab, IDEVOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  inputDeviceSizerLine3->Add(inputDeviceOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  inputDeviceSizerLine3->Add(inputDeviceOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  inputDeviceSizerLine3->Add(inputDeviceOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  inputDeviceSizer->Add(inputDeviceSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  inputDeviceSizer->Add(inputDeviceSizerLine2, 0, wxTOP | wxBOTTOM, 3);
  inputDeviceSizer->Add(inputDeviceSizerLine3, 0, wxTOP | wxBOTTOM, 3);

  // section SCREEN elements
  screenBox=new wxStaticBox(screenTab, -1, _("Screen"));
  wxStaticBoxSizer *screenSizer=new wxStaticBoxSizer(screenBox, wxVERTICAL);
  wxBoxSizer *screenSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine2=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine3=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine4=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine5=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine6=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine7=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine8=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *screenSizerLine9=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Screen");
  tempList[2]=_("Delete Screen");

  screenDeviceText=new wxStaticText(screenTab, -1, _("Device"));
  screenMonitorText=new wxStaticText(screenTab, -1, _("Monitor"));
  screenDepthText=new wxStaticText(screenTab, -1, _("Default Depth"));
  screenOptionText=new wxStaticText(screenTab, -1, _("Option"));

  screenIdentifier=new wxComboBox(screenTab, SCRID, _("----------"), wxDefaultPosition, wxSize(450,-1), 3, tempList, wxCB_DROPDOWN);

  screenSizerLine1->Add(screenIdentifier, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenDevice=new wxChoice(screenTab, SCRDEV, wxDefaultPosition, wxSize(359,-1), 0, tempList);

  screenSizerLine2->Add(screenDeviceText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine2->Add(screenDevice, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenMonitor=new wxChoice(screenTab, SCRMON, wxDefaultPosition, wxSize(359,-1), 0, tempList);

  screenSizerLine3->Add(screenMonitorText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine3->Add(screenMonitor, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenDepth=new wxTextCtrl(screenTab, SCRDEP, wxEmptyString, wxDefaultPosition, wxSize(50,-1));

  screenSizerLine4->Add(screenDepthText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine4->Add(screenDepth, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenOption=new wxComboBox(screenTab, SCROPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 4, optList, wxCB_DROPDOWN);
  screenOptValue=new wxTextCtrl(screenTab, SCROVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  screenSizerLine5->Add(screenOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine5->Add(screenOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine5->Add(screenOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add Display");
  tempList[2]=_("Delete Display");

  screenDisplayDepthText=new wxStaticText(screenTab, -1, _("Display Depth"));
  screenDisplayViewportText=new wxStaticText(screenTab, -1, _("Viewport"));
  screenDisplayVirtualText=new wxStaticText(screenTab, -1, _("Virtual Size"));
  screenDisplayModesText=new wxStaticText(screenTab, -1, _("Mode"));
  screenDisplayOptionText=new wxStaticText(screenTab, -1, _("Option"));

  screenDisplayDepth=new wxComboBox(screenTab, SCRDISP, _("----------"), wxDefaultPosition, wxSize(150,-1), 3, tempList, wxCB_DROPDOWN);

  screenSizerLine6->Add(screenDisplayDepthText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine6->Add(screenDisplayDepth, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenDisplayViewport=new wxTextCtrl(screenTab, SCRDISPVP, wxEmptyString, wxDefaultPosition, wxSize(110,-1));
  screenDisplayVirtual=new wxTextCtrl(screenTab, SCRDISPVIR, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  screenSizerLine7->Add(15,1);
  screenSizerLine7->Add(screenDisplayViewportText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine7->Add(screenDisplayViewport, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine7->Add(screenDisplayVirtualText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine7->Add(screenDisplayVirtual, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add Mode");
  tempList[2]=_("Delete Mode");

  screenDisplayModes=new wxComboBox(screenTab, SCRDISPMOD, _("----------"), wxDefaultPosition, wxSize(180,-1), 3, tempList, wxCB_DROPDOWN);

  screenSizerLine8->Add(15,1);
  screenSizerLine8->Add(screenDisplayModesText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine8->Add(screenDisplayModes, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenDisplayOption=new wxComboBox(screenTab, SCRDISPOPT, _("----------"), wxDefaultPosition, wxSize(267,-1), 4, optList, wxCB_DROPDOWN);
  screenDisplayOptValue=new wxTextCtrl(screenTab, SCRDISPOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  screenSizerLine9->Add(15,1);
  screenSizerLine9->Add(screenDisplayOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine9->Add(screenDisplayOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  screenSizerLine9->Add(screenDisplayOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  screenSizer->Add(screenSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine2, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine3, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine4, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine5, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine6, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine7, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine8, 0, wxTOP | wxBOTTOM, 3);
  screenSizer->Add(screenSizerLine9, 0, wxTOP | wxBOTTOM, 3);

  // section SERVERLAYOUT elements
  serverLayoutBox=new wxStaticBox(serverTab, -1, _("Server Layout"));
  wxStaticBoxSizer *serverLayoutSizer=new wxStaticBoxSizer(serverLayoutBox, wxVERTICAL);
  wxBoxSizer *serverLayoutSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *serverLayoutSizerLine2=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *serverLayoutSizerLine3=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *serverLayoutSizerLine4=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *serverLayoutSizerLine5=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *serverLayoutSizerLine6=new wxBoxSizer(wxHORIZONTAL);

  serverLayoutScreenNumberText=new wxStaticText(serverTab, -1, _("Number"));
  serverLayoutScreenPositionText=new wxStaticText(serverTab, -1, _("Position"));
  serverLayoutOptionText=new wxStaticText(serverTab, -1, _("Option"));
  serverLayoutInputDeviceOptionText=new wxStaticText(serverTab, -1, _("Option"));

  tempList[1]=_("Add Server Layout");
  tempList[2]=_("Delete Server Layout");

  serverLayoutIdentifier=new wxComboBox(serverTab, SERLID, _("----------"), wxDefaultPosition, wxSize(450,-1), 3, tempList, wxCB_DROPDOWN);

  serverLayoutSizerLine1->Add(serverLayoutIdentifier, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add Screen");
  tempList[2]=_("Delete Screen");

  serverLayoutScreen=new wxComboBox(serverTab, SERLSCR, _("----------"), wxDefaultPosition, wxSize(175,-1), 3, tempList, wxCB_DROPDOWN | wxCB_READONLY);
  serverLayoutScreenNumber=new wxTextCtrl(serverTab, SERLSCRNUM, wxEmptyString, wxDefaultPosition, wxSize(30,-1));
  serverLayoutScreen1=new wxChoice(serverTab, SERLSCR1, wxDefaultPosition, wxSize(170,-1), 0, tempList);

  serverLayoutSizerLine2->Add(serverLayoutScreen, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine2->Add(serverLayoutScreen1, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine2->Add(serverLayoutScreenNumberText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine2->Add(serverLayoutScreenNumber, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  serverLayoutScreenPosition=new wxTextCtrl(serverTab, SERLSCRPOS, wxEmptyString, wxDefaultPosition, wxSize(104,-1));
  serverLayoutScreen2=new wxChoice(serverTab, SERLSCR2, wxDefaultPosition, wxSize(170,-1), 0, tempList);

  serverLayoutSizerLine3->Add(15, 1);
  serverLayoutSizerLine3->Add(serverLayoutScreenPositionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine3->Add(serverLayoutScreenPosition, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine3->Add(serverLayoutScreen2, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add Input Device");
  tempList[2]=_("Delete Input Device");

  serverLayoutInputDevice=new wxComboBox(serverTab, SERLIDEV, _("----------"), wxDefaultPosition, wxSize(175,-1), 3, tempList, wxCB_DROPDOWN | wxCB_READONLY);
  serverLayoutInputDevice1=new wxChoice(serverTab, SERLIDEV1, wxDefaultPosition, wxSize(170,-1), 3, tempList);

  serverLayoutSizerLine4->Add(serverLayoutInputDevice, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine4->Add(serverLayoutInputDevice1, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  serverLayoutInputDeviceOption=new wxComboBox(serverTab, SERLIDEVOPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 3, optList, wxCB_DROPDOWN);
  // serverLayoutInputDeviceOptValue=new wxTextCtrl(serverTab, -1, wxEmptyString, wxDefaultPosition, wxSize(120,-1));

  serverLayoutSizerLine5->Add(15,1);
  serverLayoutSizerLine5->Add(serverLayoutInputDeviceOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine5->Add(serverLayoutInputDeviceOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  // serverLayoutSizerLine5->Add(serverLayoutInputDeviceOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  serverLayoutOption=new wxComboBox(serverTab, SERLOPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 4, optList, wxCB_DROPDOWN);
  serverLayoutOptValue=new wxTextCtrl(serverTab, SERLOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  serverLayoutSizerLine6->Add(serverLayoutOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine6->Add(serverLayoutOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverLayoutSizerLine6->Add(serverLayoutOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  serverLayoutSizer->Add(serverLayoutSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  serverLayoutSizer->Add(serverLayoutSizerLine6, 0, wxTOP | wxBOTTOM, 3);
  serverLayoutSizer->Add(serverLayoutSizerLine2, 0, wxTOP | wxBOTTOM, 3);
  serverLayoutSizer->Add(serverLayoutSizerLine3, 0, wxTOP | wxBOTTOM, 3);
  serverLayoutSizer->Add(serverLayoutSizerLine4, 0, wxTOP | wxBOTTOM, 3);
  serverLayoutSizer->Add(serverLayoutSizerLine5, 0, wxTOP | wxBOTTOM, 3);

  // section SERVERFLAGS elements
  serverFlagBox=new wxStaticBox(serverTab, -1, _("Server Flags"));
  wxStaticBoxSizer *serverFlagSizer=new wxStaticBoxSizer(serverFlagBox, wxVERTICAL);
  wxBoxSizer *serverFlagSizerLine1=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Server Flag");
  tempList[2]=_("Delete Server Flag");
  tempList[3]=_("De/Activate Server Flag");

  serverFlagsOption=new wxComboBox(serverTab, SERFOPT, _("----------"), wxDefaultPosition, wxSize(334,-1), 4, tempList, wxCB_DROPDOWN);
  serverFlagsOptValue=new wxTextCtrl(serverTab, SERFOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  serverFlagSizerLine1->Add(serverFlagsOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  serverFlagSizerLine1->Add(serverFlagsOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  serverFlagSizer->Add(serverFlagSizerLine1, 0, wxTOP | wxBOTTOM, 3);

  // section EXTENSION elements
  extensionBox=new wxStaticBox(otherSectionTab, -1, _("Extensions"));
  wxStaticBoxSizer *extensionSizer=new wxStaticBoxSizer(extensionBox, wxVERTICAL);
  wxBoxSizer *extensionSizerLine1=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Extension");
  tempList[2]=_("Delete Extension");
  tempList[3]=_("De/Activate Extension");

  extensionOption=new wxComboBox(otherSectionTab, EXTOPT, _("----------"), wxDefaultPosition, wxSize(334,-1), 4, tempList, wxCB_DROPDOWN);
  extensionOptValue=new wxTextCtrl(otherSectionTab, EXTOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  extensionSizerLine1->Add(extensionOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  extensionSizerLine1->Add(extensionOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  extensionSizer->Add(extensionSizerLine1, 0, wxTOP | wxBOTTOM, 3);

  // section MODULE elements
  moduleBox=new wxStaticBox(otherSectionTab, -1, _("Modules"));
  wxStaticBoxSizer *moduleSizer=new wxStaticBoxSizer(moduleBox, wxVERTICAL);
  wxBoxSizer *moduleSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *moduleSizerLine2=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Module");
  tempList[2]=_("Delete Module");
  tempList[3]=_("De/Activate Module");

  moduleOptionText=new wxStaticText(otherSectionTab, -1, _("Option"));

  moduleIdentifier=new wxComboBox(otherSectionTab, MODID, _("----------"), wxDefaultPosition, wxSize(450,-1), 4, tempList, wxCB_DROPDOWN);

  moduleSizerLine1->Add(moduleIdentifier, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  moduleOption=new wxComboBox(otherSectionTab, MODOPT, _("----------"), wxDefaultPosition, wxSize(285,-1), 4, optList, wxCB_DROPDOWN);
  moduleOptValue=new wxTextCtrl(otherSectionTab, MODOVAL, wxEmptyString, wxDefaultPosition, wxSize(110,-1));

  moduleSizerLine2->Add(moduleOptionText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  moduleSizerLine2->Add(moduleOption, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  moduleSizerLine2->Add(moduleOptValue, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  moduleSizer->Add(moduleSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  moduleSizer->Add(moduleSizerLine2, 0, wxTOP | wxBOTTOM, 3);

  // section FILES elements
  filesBox=new wxStaticBox(otherSectionTab, -1, _("Files"));
  wxStaticBoxSizer *fileSizer=new wxStaticBoxSizer(filesBox, wxVERTICAL);
  wxBoxSizer *fileSizerLine1=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *fileSizerLine2=new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *fileSizerLine3=new wxBoxSizer(wxHORIZONTAL);

  tempList[1]=_("Add Font Path");
  tempList[2]=_("Delete Font Path");
  tempList[3]=_("De/Activate Font Path");

  fontPathText=new wxStaticText(otherSectionTab, -1, _("Font Path"));
  fontPath=new wxComboBox(otherSectionTab, FONTPATH, _("----------"), wxDefaultPosition, wxSize(375,-1), 4, tempList, wxCB_DROPDOWN);

  fileSizerLine1->Add(fontPathText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  fileSizerLine1->Add(fontPath, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add Module Path");
  tempList[2]=_("Delete Module Path");
  tempList[3]=_("De/Activate Module Path");

  modulePathText=new wxStaticText(otherSectionTab, -1, _("Module Path"));
  modulePath=new wxComboBox(otherSectionTab, MODPATH, _("----------"), wxDefaultPosition, wxSize(367,-1), 4, tempList, wxCB_DROPDOWN);

  fileSizerLine2->Add(modulePathText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  fileSizerLine2->Add(modulePath, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  tempList[1]=_("Add RGB Path");
  tempList[2]=_("Delete RGB Path");
  tempList[3]=_("De/Activate RGB Path");

  rgbPathText=new wxStaticText(otherSectionTab, -1, _("RGB Path"));
  rgbPath=new wxComboBox(otherSectionTab, RGBPATH, _("----------"), wxDefaultPosition, wxSize(365,-1), 4, tempList, wxCB_DROPDOWN);

  fileSizerLine3->Add(rgbPathText, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);
  fileSizerLine3->Add(rgbPath, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  fileSizer->Add(fileSizerLine1, 0, wxTOP | wxBOTTOM, 3);
  fileSizer->Add(fileSizerLine2, 0, wxTOP | wxBOTTOM, 3);
  fileSizer->Add(fileSizerLine3, 0, wxTOP | wxBOTTOM, 3);

  // section DRI elements
  driBox=new wxStaticBox(otherSectionTab, -1, _("DRI"));
  wxStaticBoxSizer *driSizer=new wxStaticBoxSizer(driBox, wxVERTICAL);
  wxBoxSizer *driSizerLine1=new wxBoxSizer(wxHORIZONTAL);

  driMode=new wxTextCtrl(otherSectionTab, DRIMOD, wxEmptyString, wxDefaultPosition, wxSize(80,-1));

  driSizerLine1->Add(driMode, 0, wxALIGN_CENTER_VERTICAL | wxLEFT | wxRIGHT, 3);

  driSizer->Add(driSizerLine1, 0, wxTOP | wxBOTTOM, 3);

  // global sizer

  deviceTabSizer->Add(deviceSizer, 0, wxALL , 3);
  monitorTabSizer->Add(monitorSizer, 0, wxALL , 3);
  monitorTabSizer->Add(monitorModelineGeneratorSizer, 0, wxALL , 3);
  inputDeviceTabSizer->Add(inputDeviceSizer, 0, wxALL , 3);
  screenTabSizer->Add(screenSizer, 0, wxALL , 3);
  serverTabSizer->Add(serverLayoutSizer, 0, wxALL , 3);
  serverTabSizer->Add(serverFlagSizer, 0, wxALL , 3);
  otherSectionTabSizer->Add(extensionSizer, 0, wxALL , 3);
  otherSectionTabSizer->Add(moduleSizer, 0, wxALL , 3);
  otherSectionTabSizer->Add(fileSizer, 0, wxALL , 3);
  otherSectionTabSizer->Add(driSizer, 0, wxALL , 3);

  deviceTab->SetSizerAndFit(deviceTabSizer);
  monitorTab->SetSizerAndFit(monitorTabSizer);
  inputDeviceTab->SetSizerAndFit(inputDeviceTabSizer);
  screenTab->SetSizerAndFit(screenTabSizer);
  serverTab->SetSizerAndFit(serverTabSizer);
  otherSectionTab->SetSizerAndFit(otherSectionTabSizer);

  layout->AddPage(deviceTab, _("Device"));              // add device panel to the notebook
  layout->AddPage(monitorTab, _("Monitor"));              // add monitor panel to the notebook
  layout->AddPage(inputDeviceTab, _("Input Device"));         // add input device panel to the notebook
  layout->AddPage(screenTab, _("Screen"));               // add screen panel to the notebook
  layout->AddPage(serverTab, _("Server"));               // add server panel to the notebook
  layout->AddPage(otherSectionTab, _("Other Options"));              // add other options panel to the notebook

  warningText=new wxStaticText(this, -1, _("Warning: Improper use of this tool can cause damage to your\nxorg.conf and may not start your Xserver.\nYou must restart X to take the changes effect."),
                                            wxDefaultPosition, wxSize(480,-1), wxALIGN_CENTRE | wxST_NO_AUTORESIZE);

  gridSizer->Add(layout);            // add notebook layout
  gridSizer->Add(warningText, 0, wxTOP | wxBOTTOM | wxALIGN_CENTER_HORIZONTAL, 3);

  CreateGUIControls();   // create all gui controls, like text fields, menus, buttons

  SetSizerAndFit(gridSizer);         // sets the sizer

  // deactivate elements at start
  SetFrame();

  // open xorg.conf at start if possible
  curFile=_T("xorg.conf");
  curDir=_T("/etc/X11");

  wxTextFile file(curDir+_T("/")+curFile);    // create text file handler

  if (!file.Exists())
  {
    curFile=wxEmptyString;
    curDir=wxGetCwd();
    layout->Enable(false);
    fileMenu->Enable(SAVEXORG, false);
    fileMenu->Enable(SAVEAS, false);
    fileMenu->Enable(CLOSEXORG, false);
    extrasMenu->Enable(SHOWXORG, false);
  }
  else
  {
    ExtractData();
  }

  SetSaved(true);



}

guiFrame::~guiFrame()  // destructor
{ }

void guiFrame::ShowWarning(void) const
{  // show warning message

  wxString line;

  line << _("Improper use of this tool can cause damage to your xorg.conf and may not start your Xserver. ")
       << _("You then won't have a mouse, menus or any other graphical feature to undo the changes. ")
       << _("Please see readme.txt, section \"Troubleshooting\" to get X up again _before_ this happens.\n\n")
       << _("The author is not responsible for any damage caused by using this tool!");
  wxMessageBox(line, _("WARNING"), wxICON_EXCLAMATION);

}

void guiFrame::SetSaved(const bool save)
{  // set saved status and set title


  isSaved=save;
  if (isSaved==false)
  {
    if (!curFile.IsEmpty()) SetTitle(curDir+_T("/")+curFile+_T(" [NOT SAVED]"));
    else SetTitle(version);
  }
  else
  {
    if (!curFile.IsEmpty()) SetTitle(curDir+_T("/")+curFile);
    else SetTitle(version);
  }
}

void guiFrame::OnAbout(wxCommandEvent &event)
{  // show about dialog

  wxString info;
  info << version << _T("\n");
  info << _("written by") << _T(" Dominik Wagenfuehr\n");
  info << _("Licence") << _T(": GPL\n\n");
  info << _T("Web: http://www.cyskat.de/dee/progxorg.htm\n");
  info << _T("Wiki: http://wiki.ubuntuusers.de/xorg-edit\n\n");
  info << _T("Mail: dominik (dot) wagenfuehr (at) arcor (dot) de\n");
  wxMessageBox(info, _("About xorg-edit"));

}

void guiFrame::OnNew(wxCommandEvent& event)
{  //create empty config file

  if (!isSaved)
  {
    if (wxMessageBox(_("File is not saved. Do you want to discard changes?"), _("Question: Discard Changes?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT) == wxNO)
    {
      return;
    }
  }

  layout->Enable(true);
  ClearElements();
  SetFrame();
  fileMenu->Enable(SAVEXORG, true);
  fileMenu->Enable(SAVEAS, true);
  fileMenu->Enable(CLOSEXORG, true);
  extrasMenu->Enable(SHOWXORG, true);

  curDir=wxGetCwd();
  curFile=_T("unknown");
  SetSaved(false);
}

void guiFrame::OnClose(wxCommandEvent& event)
{  // close current config

  if (!isSaved)
  {
    if (wxMessageBox(_("File is not saved. Do you want to discard changes?"), _("Question: Discard Changes?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT) == wxNO)
    {
      return;
    }
  }

  ClearElements();
  SetFrame();
  curFile=wxEmptyString;
  SetSaved(true);

  layout->Enable(false);
  fileMenu->Enable(SAVEXORG, false);
  fileMenu->Enable(SAVEAS, false);
  fileMenu->Enable(CLOSEXORG, false);
  extrasMenu->Enable(SHOWXORG, false);
}

void guiFrame::OnLoad(wxCommandEvent& event)
{  // load other config file

  if (!isSaved)
  {
    if (wxMessageBox(_("File is not saved. Do you want to discard changes?"), _("Question: Discard Changes?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT) == wxNO)
    {
      return;
    }
  }

  // file dialog for opening files
  wxFileDialog openFileDialog(this, _("Choose a file"), curDir, wxEmptyString, _T("*"), wxOPEN | wxCHANGE_DIR);

  if (openFileDialog.ShowModal() == wxID_OK)     // file has been chosen
  {
    curDir=openFileDialog.GetDirectory();
    curFile=openFileDialog.GetFilename();
    if (ExtractData())  // extract data
    {
      layout->Enable(true);
      fileMenu->Enable(SAVEXORG, true);
      fileMenu->Enable(SAVEAS, true);
      fileMenu->Enable(CLOSEXORG, true);
      extrasMenu->Enable(SHOWXORG, true);
      SetSaved(true);
    }
    else
    {
      layout->Enable(false);
      fileMenu->Enable(SAVEXORG, false);
      fileMenu->Enable(SAVEAS, false);
      fileMenu->Enable(CLOSEXORG, false);
      extrasMenu->Enable(SHOWXORG, false);
      curFile=wxEmptyString;
    }
  }

}

void guiFrame::OnSave(wxCommandEvent& event)
{  // save xorg.conf

  if (curFile.IsEmpty() || curFile==_T("unknown"))
  {
    OnSaveAs(event);
    return;
  }

  switch(layout->GetSelection())
  {
    case 0:  // DEVICE
      if (!CheckDeviceTab()) return;
      AcceptDevice();
      break;
    case 1:  //  MONITOR
      if (!CheckMonitorTab()) return;
      AcceptMonitor();
      break;
    case 2:  // INPUTDEVICE
      if (!CheckInputDeviceTab()) return;
      AcceptInputDevice();
      break;
    case 3:  // SCREEN
      if (!CheckScreenTab()) return;
      AcceptScreen();
      break;
    case 4:  // SERVERLAYOUT, SERVERFLAGS
      if (!CheckServerTab())  return;
      break;
    case 5:  // EXTENSIONS, MODULES, FILES, DRI
      if (!CheckOtherSectionTab()) return;
      break;
    default:
      break;
  } // switch

  wxTextFile file(curDir+_T("/")+curFile);    // create text file handler

  if (file.Exists())
  {
    // create copy of file
    wxString date=wxDateTime::Today().FormatDate();
    wxString time=wxDateTime::Now().FormatTime();

    // erase all chars but 0-9 from strings
    unsigned int i;

    i=0;
    while (i<date.Len())
    {
      if (!date.Mid(i,1).IsNumber()) date.Remove(i,1);
      else i++;
    }

    i=0;
    while (i<time.Len())
    {
      if (!time.Mid(i,1).IsNumber()) time.Remove(i,1);
      else i++;
    }

    if (!wxCopyFile(curDir+_T("/")+curFile, curDir+_T("/")+curFile+_T("_")+date+_T("_")+time))
    {
      wxString tempStr;
      tempStr << _("Could not create backup file ") << _T("\"") << curDir << _T("/") << curFile << _T("_") << date << _T("_") << time << _T("\"") << _(". Do you want to save anyway?");
      if (wxMessageBox(tempStr, _("Error: Saving file"), wxICON_ERROR | wxYES_NO | wxNO_DEFAULT)==wxNO) return;
    }

  }

  WriteData();  // write data into file
}

void guiFrame::OnSaveAs(wxCommandEvent& event)
{  // save other config file

  switch(layout->GetSelection())
  {
    case 0:  // DEVICE
      if (!CheckDeviceTab()) return;
      AcceptDevice();
      break;
    case 1:  //  MONITOR
      if (!CheckMonitorTab()) return;
      AcceptMonitor();
      break;
    case 2:  // INPUTDEVICE
      if (!CheckInputDeviceTab()) return;
      AcceptInputDevice();
      break;
    case 3:  // SCREEN
      if (!CheckScreenTab()) return;
      AcceptScreen();
      break;
    case 4:  // SERVERLAYOUT, SERVERFLAGS
      if (!CheckServerTab())  return;
      break;
    case 5:  // EXTENSIONS, MODULES, FILES, DRI
      if (!CheckOtherSectionTab()) return;
      break;
    default:
      break;
  } // switch

  // file dialog for opening files
  wxFileDialog saveFileDialog(this, _("Choose a file"), wxEmptyString, wxEmptyString, wxEmptyString,  wxSAVE | wxOVERWRITE_PROMPT | wxCHANGE_DIR );

  if (saveFileDialog.ShowModal() == wxID_OK)     // file has been chosen
  {
    curFile=saveFileDialog.GetFilename();
    curDir=saveFileDialog.GetDirectory();
    wxTextFile file(curDir+_T("/")+curFile);    // create text file handler

    if (file.Exists())
    {
      // create copy of file
      wxString date=wxDateTime::Today().FormatDate();
      wxString time=wxDateTime::Now().FormatTime();

      // erase all chars but 0-9 from strings
      unsigned int i;

      i=0;
      while (i<date.Len())
      {
        if (!date.Mid(i,1).IsNumber()) date.Remove(i,1);
        else i++;
      }

      i=0;
      while (i<time.Len())
      {
        if (!time.Mid(i,1).IsNumber()) time.Remove(i,1);
        else i++;
      }

      if (!wxCopyFile(curDir+_T("/")+curFile, curDir+_T("/")+curFile+_T("_")+date+_T("_")+time))
      {
        wxString tempStr;
        tempStr << _("Could not create backup file ") << _T("\"") << curDir << _T("/") << curFile << _T("_") << date << _T("_") << time << _T("\"") << _(". Do you want to save anyway?");
        if (wxMessageBox(tempStr, _("Error: Saving file"), wxICON_ERROR | wxYES_NO | wxNO_DEFAULT)==wxNO) return;
      }
    } // file exists
    WriteData();  // extract data
  }

}

void guiFrame::ClearElements(void)
{  // clear all elements

  files.Clear();
  fontPathCurrent=0;
  modulePathCurrent=0;
  rgbPathCurrent=0;

  modules.Clear();
  moduleCurrent=0;
  moduleOptionCurrent=0;

  serverLayouts.Clear();
  serverLayoutCurrent=0;
  serverLayoutOptionCurrent=0;
  serverLayoutIDevOptionCurrent=0;
  serverLayoutScreenCurrent=0;
  serverLayoutIDevCurrent=0;

  inputDevices.Clear();
  inputDeviceCurrent=0;
  inputDeviceOptionCurrent=0;

  devices.Clear();
  deviceCurrent=0;
  deviceOptionCurrent=0;

  monitors.Clear();
  monitorCurrent=0;
  monitorOptionCurrent=0;
  monitorModelineCurrent=0;

  screens.Clear();
  screenCurrent=0;
  screenOptionCurrent=0;
  screenDisplayCurrent=0;
  screenDisplayModeCurrent=0;
  screenDisplayOptionCurrent=0;

  serverFlags.Clear();
  serverFlagCurrent=0;

  extensions.Clear();
  extensionCurrent=0;

  driModeEntry=wxEmptyString;
  driModeComment=wxEmptyString;
  driComment.Clear();

  comment.Clear();
}

bool guiFrame::GetArgument(wxString &arg, const wxString &line) const
{
  // get a line and extract the last argument

  wxString tempStr(line);   // copy line
  tempStr.Trim(true);       // trim line right
  tempStr.Trim(false);      // and left

  int pos=tempStr.Find('"');  // search first "

  if (pos==-1) return(true); // " not found

  // delete part before first "
  tempStr=tempStr.Right(tempStr.Length()-pos-1);
  tempStr.Trim(false);      // trim line left

  pos=tempStr.Find('"');  // search second "

  if (pos==-1) return(true); // second " not found

  arg=tempStr.Left(pos);   // get argument
  arg.Trim(true);          // trim line right
  arg.Trim(false);         // and left

  return(false);

}

bool guiFrame::GetOption(option &opt, const wxString &line) const
{
  // get a line and extract option and argument

  wxString tempStr(line);   // copy line
  StripSpaces(tempStr);
  tempStr.MakeLower();

  if (!tempStr.StartsWith(_T("option"))) return(true);

  tempStr=line;
  StripSpaces(tempStr);
  StripRight(tempStr, 6);   // delete "option"

  if (tempStr.Find('"')!=0) return(true); // " not found at first position
  StripRight(tempStr, 1);

  int pos=tempStr.Find('"');  // search first "
  if (pos==-1) return(true); // " not found

  opt.SetName(tempStr.Left(pos));
  StripRight(tempStr, pos+1);

  if (tempStr.Find('"')!=0)  // no argument found
  {
    opt.SetValue(wxEmptyString);
    return (false);
  }

  if (tempStr.Find('"')!=0) return(true);  // " found but not at fist position

  tempStr=tempStr.Right(tempStr.Length()-1);
  pos=tempStr.Find('"');  // search second "

  if (pos==-1) return(true); // no second " found

  opt.SetValue(tempStr.Left(pos));

  return(false);
}

void guiFrame::StripSpaces(wxString& line) const
{         // convert tabs to spaces, delete spaces from left and right,

  line.Replace(_T("\t"), _T(" "));         // replace tabs with spaces
  while (line.Replace(_T("  "), _T(" "))>0);  // replace double spaces with single space
  line.Trim(true);     // strip spaces from right
  line.Trim(false);    // strip spaces from left
}

bool guiFrame::FreeComments(wxString &line, wxString& comment) const
{  // delete all comments

  comment=wxEmptyString;
  StripSpaces(line);      // strip spaces
  int pos=line.Find('#'); // find first comment sign
  bool first=false;   // flag if # was first char

  if (pos>=0)  // # found
  {
    if (pos==0) first=true;
    comment=line.Right(line.Len()-pos-1);  // extract comment
    line=line.Left(pos);                   // extract line
    StripSpaces(line);
    StripSpaces(comment);

    // it may happen that the comment has further #
    // delete the ones at beginning

    do
    {
      pos=comment.Find('#');
      if (pos==0) // # found at first position
      {
        StripRight(comment, 1);
      }
    } while (pos==0);
  }

  return(first);
}

void guiFrame::StripRight(wxString& line, const unsigned int num) const
{  // delete n right characters

  line=line.Right(line.Length()-num);
  StripSpaces(line);
}

bool guiFrame::ShowError(const errorID error, const sectionID section, const unsigned int lineNr, const wxString& xLine)
{    // show error message when reading file

  wxString line(xLine);
  StripSpaces(line);     // strip spaces and comments

  wxString message;
  message << _("Error in file ") << _T("\"") << curDir << _T("/") << curFile << _T("\" in ");

  switch (section)
  {
    case DEVICE:
      message << _T("Section \"Device\"");
      break;
    case MONITOR:
      message << _T("Section \"Monitor\"");
      break;
    case INPUTDEVICE:
      message << _T("Section \"Input Device\"");
      break;
    case SCREEN:
      message << _T("Section \"Screen\"");
      break;
    case SERVERLAYOUT:
      message << _T("Section \"Server Layout\"");
      break;
    case FILES:
      message << _T("Section \"Files\"");
      break;
    case SERVERFLAGS:
      message << _T("Section \"Server Flags\"");
      break;
    case MODULE:
      message << _T("Section \"Module\"");
      break;
    case DRI:
      message << _T("Section \"DRI\"");
      break;
    case EXTENSIONS:
      message << _T("Section \"Extension\"");
      break;
    case DISPLAY:
      message << _T("Subsection \"Display\"");
      break;
    case NOSEC:
      message << _("unknown/undefined part of file");
      break;
    default:  // all other sections are stored directly
      break;
  }

  switch (error)
  {
    case NOCDEVICE:
    case NOCMONITOR:
    case NOCSCREEN:
    case NOCIDEVICE:
    case NODEVICES:
    case NOMONITORS:
    case NOIDEVICES:
    case NOSCREENS:
    case NOSLAYOUTS:
    case NODEVICEID:
    case NOMONITORID:
    case NOSCREENID:
    case NOIDEVICEID:
    case NOSLAYOUTID:
    case NODEVICEDRIVER:
    case NOIDEVICEDRIVER:
      break;
    default:
      message << _(" in line number ") << lineNr << _T(": \n\"") << line << _T("\"");
      break;
  }
  message << _T(".\n\n");

  switch (error)
  {
    case NOCDEVICE:
      message << _("Device identifier does not exist in device list.");
      break;
    case NOCMONITOR:
      message << _("Monitor identifier does not exist in monitor list.");
      break;
    case NOCSCREEN:
      message << _("Screen identifier does not exist in screen list.");
      break;
    case NOCIDEVICE:
      message << _("Input device identifier does not exist in input device list.");
      break;
    case TWOSECTIONS:
      message << _("Another section has begun without ending the last one.");
      break;
    case NOSECTION:
      message << _("Section has ended without beginning.");
      break;
    case NOSUBSECTION:
      message << _("Subsection has ended without beginning.");
      break;
    case EMPTYARGUMENT:
      message << _("Argument or Option must not be empty.");
      break;
    case NODEVICEID:
      message << _("Device identifier is missing.");
      break;
    case NOMONITORID:
      message << _("Monitor identifier is missing.");
      break;
    case NOIDEVICEID:
      message << _("Input device identifier is missing.");
      break;
    case NOSCREENID:
      message << _("Screen identifier is missing.");
      break;
    case NOSLAYOUTID:
      message << _("Server layout identifier is missing.");
      break;
    case NODEVICEDRIVER:
      message << _("Device driver is missing.");
      break;
    case NOIDEVICEDRIVER:
      message << _("Input device driver is missing.");
      break;
    case NOMODUL:
      message << _("Module option given without a module.");
      break;
    case SECDRI:
      message << _("Second DRI entry found.");
      break;
    case NODEVICES:
      message << _("No devices declared. Need at least one...");
      break;
    case NOMONITORS:
      message << _("No monitors declared. Need at least one...");
      break;
    case NOIDEVICES:
      message << _("No or only one input devices declared. Need at least two...");
      break;
    case NOSCREENS:
      message << _("No screens declared. Need at least one...");
      break;
    case NOSLAYOUTS:
      message << _("No server layouts declared. Need at least one...");
      break;
    default:
      message << _("Either the file is not a valid config file or there are some options that could not be recognized.");
      break;
  }


  switch (error)
  {
    case NOCDEVICE:
    case NOCMONITOR:
    case NOCSCREEN:
    case NOCIDEVICE:
    case NODEVICES:
    case NOMONITORS:
    case NOIDEVICES:
    case NOSCREENS:
    case NOSLAYOUTS:
    case NODEVICEID:
    case NOMONITORID:
    case NOIDEVICEID:
    case NOSCREENID:
    case NOSLAYOUTID:
    case NODEVICEDRIVER:
    case NOIDEVICEDRIVER:
      message << _T("\n\n") << _("Should I ignore this and go on?") << _("\n(Warning: It is not sure what happens next!)");
      break;
    case TWOSECTIONS:
    case NOSECTION:
    case NOSUBSECTION:
    case EMPTYARGUMENT:
    case NOMODUL:
    case SECDRI:
    default:
      message << _T("\n\n") << _("Should I ignore this line and go on?") << _(" (Warning: It is not sure what happens next!)");
      break;
  }

  if (wxMessageBox(message, _("Error: Reading file"), wxICON_QUESTION | wxYES_NO | wxYES_DEFAULT )==wxNO)
  {
    ClearElements();   // clear all elements
    SetFrame();        // set frame elements
    curFile=wxEmptyString;
    SetSaved(true);

    layout->Enable(false);
    fileMenu->Enable(SAVEXORG, false);
    fileMenu->Enable(SAVEAS, false);
    fileMenu->Enable(CLOSEXORG, false);
    extrasMenu->Enable(SHOWXORG, false);
    return(true);
  }
  else return(false);
}

bool guiFrame::ExtractData(void)
{ // extract data from config file

  wxTextFile file(curDir+_T("/")+curFile);    // create text file handler

  if (curFile.IsEmpty() || !file.Exists())
  {
    wxString tempStr;
    tempStr << _("The file ") << _T("\"") << curDir << _T("/") << curFile << _T("\"") << _(" does not exist. Will not read anything!");
    wxMessageBox(tempStr, _("Error: File does not exist"), wxICON_ERROR | wxOK);
    return(false);
  }

  wxString line;                           // extracted and converted line in file
  wxString xLine;                          // line in file
  wxString tempLine;
  wxString argument;                       // temporary string
  wxString com;                              // comment in file
  wxString screen1;                        // temporary string
  wxString screen2;                        // temporary string
  bool failure=false;                      // read failure
  bool lineComment=false;                  // flag if line is comment
  unsigned int lineNr=0;                   // line number
  int pos=-1;                              // position of some chars
  unsigned int i, j,k ;                    // loop counter
  sectionID section=NOSEC;                  // current section
  errorID error=UNKNOWN;                   // unknown error

  // elements for reading
  device tempDevice;
  monitor tempMonitor;
  inputDevice tempInputDevice;
  screen tempScreen;
  display tempDisplay;
  serverLayout tempServerLayout;
  option tempOption;

  // clear all old elements first
  ClearElements();

  //open file
  file.Open();                         // open file
  xLine=file.GetFirstLine();            // read first line

  do
  {
    if (lineNr==0)         // handle first line separatly
    {
      lineNr++;
    }
    else
    {
      xLine=file.GetNextLine();    // read next line
      lineNr++;
    }
    failure=false;
    error=UNKNOWN;

    line=xLine;
    lineComment=FreeComments(line, com);  // delete all comments in line and return true or false if only a comment

    if (lineComment) // whole line was a comment
    {
      line=com;
      FreeComments(line, com); // get second comment
    }

    if (!line.IsEmpty())  // line is not empty
    {
      tempLine=line;
      line.MakeLower();   // convert to lower case letters
      // wxMessageBox(line);

      // get section in xorg.conf
      if (!lineComment && (line.StartsWith(_T("section \"device\"")) || line.StartsWith(_T("section\"device\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=DEVICE;
          tempDevice.Clear();   // clear device
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"monitor\"")) || line.StartsWith(_T("section\"monitor\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=MONITOR;
          tempMonitor.Clear();
        }
      }
      else if (!lineComment && (line.StartsWith(_T("subsection \"display\"")) || line.StartsWith(_T("subsection\"display\""))))
      {
        if (section!=SCREEN) failure=true;
        else
        {
          section=DISPLAY;
          tempDisplay.Clear();
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"inputdevice\"")) || line.StartsWith(_T("section\"inputdevice\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=INPUTDEVICE;
          tempInputDevice.Clear();
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"screen\"")) || line.StartsWith(_T("section\"screen\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=SCREEN;
          tempScreen.Clear();
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"serverlayout\"")) || line.StartsWith(_T("section\"serverlayout\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=SERVERLAYOUT;
          tempServerLayout.Clear();
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"serverflags\"")) || line.StartsWith(_T("section\"serverflags\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=SERVERFLAGS;
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"extensions\"")) || line.StartsWith(_T("section\"extensions\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=EXTENSIONS;
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"files\"")) || line.StartsWith(_T("section\"files\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=FILES;
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"module\"")) || line.StartsWith(_T("section\"module\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=MODULE;
        }
      }
      else if (!lineComment && (line.StartsWith(_T("section \"dri\"")) || line.StartsWith(_T("section\"dri\""))))
      {
        if (section!=NOSEC)
        {
          failure=true;
          error=TWOSECTIONS;
        }
        else
        {
          section=DRI;
        }
      }
      else if (line.StartsWith(_T("endsubsection")))
      {
        if (!lineComment && section==DISPLAY)
        {
           tempScreen.AddDisplay(tempDisplay);
           section=SCREEN;
        }
        else if (section==MODULE);  // ignore subsections
        else if (!lineComment)
        {
          error=NOSUBSECTION;
          failure=true;
        }
      }
      else if (!lineComment && line.StartsWith(_T("endsection")))
      {
        switch (section)
        {
          case INPUTDEVICE:
            inputDevices.Add(tempInputDevice);
            section=NOSEC;
            break;
          case DEVICE:
            devices.Add(tempDevice);
            section=NOSEC;
            break;
          case MONITOR:
            monitors.Add(tempMonitor);
            section=NOSEC;
            break;
          case SCREEN:
            screens.Add(tempScreen);
            section=NOSEC;
            break;
          case SERVERLAYOUT:
            serverLayouts.Add(tempServerLayout);
            section=NOSEC;
            break;
          case NOSEC:
            error=NOSECTION;
            failure=true;
            break;
          default:  // all other sections are stored directly
            section=NOSEC;
            break;
        }
      } // select sections

      if (failure)
      {
        if (ShowError(error, section, lineNr, xLine)) return(false);
        lineComment=true; // create comment for the line
      }

      // handle each section separatly
      switch (section)
      {
        case FILES:
          if (line.StartsWith(_T("fontpath")))
          {
            line=tempLine; // restore line
            StripRight(line, 8);
            pos=line.Find('"');  // search first "
            if (pos!=0) failure=true; // " not found
            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }
            if (!failure && line.Left(pos).IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) files.AddFontPath(line.Left(pos), !lineComment, com);
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              files.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("modulepath")))
          {
            line=tempLine; // restore line
            StripRight(line, 10);
            pos=line.Find('"');  // search first "
            if (pos!=0) failure=true; // " not found
            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }
            if (!failure && line.Left(pos).IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) files.AddModulePath(line.Left(pos), !lineComment, com);
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              files.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("rgbpath")))
          {
            line=tempLine; // restore line
            StripRight(line, 7);
            pos=line.Find('"');  // search first "
            if (pos!=0) failure=true; // " not found
            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }
            if (!failure && line.Left(pos).IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) files.AddRgbPath(line.Left(pos), !lineComment, com);
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              files.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"files\"")) || line.StartsWith(_T("section\"files\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            files.AddComment(line);
          }
          break;
        case MODULE:
          if (line.StartsWith(_T("load")))
          {
            line=tempLine;  // restore line
            StripRight(line, 4);
            pos=line.Find('"');  // search first "
            if (pos!=0) failure=true; // " not found
            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }
            if (!failure && line.Left(pos).IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) modules.Add(line.Left(pos), !lineComment, com);
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              modules.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("subsection")))
          {
            line=tempLine;  // restore line
            StripRight(line, 10);
            pos=line.Find('"');  // search first "
            if (pos!=0) failure=true; // " not found
            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }
            if (!failure && line.Left(pos).IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) modules.Add(line.Left(pos), !lineComment, com);
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              modules.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (!failure && modules.GetSize()==0)
            {
              error=NOMODUL;
              failure=true;
            }
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              modules.AddOption(modules.GetSize()-1, tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              modules.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"module\"")) || line.StartsWith(_T("section\"module\"")));
          else if (line.StartsWith(_T("endsubsection")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            modules.AddComment(line);
          }
          break;
        case SERVERFLAGS:
          if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              serverFlags.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              serverFlags.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"serverflags\"")) || line.StartsWith(_T("section\"serverflags\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            serverFlags.AddComment(line);
          }
          break;
        case DRI:
          if (!lineComment && line.StartsWith(_T("mode")))
          {
            line=tempLine;  // restore line
            StripRight(line, 4);
            if (!driModeEntry.IsEmpty())
            {
              failure=true;  // second dri entry found
              error=SECDRI;
            }
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              driModeEntry=line;
              driModeComment=com;
            }
          }
          else if (line.StartsWith(_T("section \"dri\"")) || line.StartsWith(_T("section\"dri\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            driComment.Add(line);
          }
          break;
        case EXTENSIONS:
          if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line

            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              extensions.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              extensions.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"extensions\"")) || line.StartsWith(_T("section\"extensions\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            extensions.AddComment(line);
          }
          break;
        case INPUTDEVICE:
          if (!lineComment && line.StartsWith(_T("identifier")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempInputDevice.SetId(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("driver")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempInputDevice.SetDriver(argument, com); // set entry in class
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              tempInputDevice.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempInputDevice.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"inputdevice\"")) || line.StartsWith(_T("section\"inputdevice\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            tempInputDevice.AddComment(line);
          }
          break;
        case DEVICE:
          if (!lineComment && line.StartsWith(_T("identifier")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDevice.SetId(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("driver")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDevice.SetDriver(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("busid")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDevice.SetBus(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("videoram")))
          {
            line=tempLine;  // restore line
            StripRight(line, 8);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDevice.SetVideoRam(line, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("screen")))
          {
            line=tempLine;  // restore line
            StripRight(line, 6);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDevice.SetScreen(line, com); // set entry in class
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (lineComment) tempOption.SetActive(true);
            else tempOption.SetActive(false);

            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              tempDevice.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempDevice.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"device\"")) || line.StartsWith(_T("section\"device\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            tempDevice.AddComment(line);
          }
          break;
        case MONITOR:
          if (!lineComment && line.StartsWith(_T("identifier")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempMonitor.SetId(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("horizsync")))
          {
            line=tempLine;  // restore line
            StripRight(line, 9);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempMonitor.SetHorSync(line, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("vertrefresh")))
          {
            line=tempLine;  // restore line
            StripRight(line, 11);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempMonitor.SetVertRef(line, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("gamma")))
          {
            line=tempLine;  // restore line
            StripRight(line, 5);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempMonitor.SetGamma(line, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("displaysize")))
          {
            line=tempLine;  // restore line
            StripRight(line, 11);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempMonitor.SetDisplaySize(line, com); // set entry in class
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              tempMonitor.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempMonitor.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("modeline")))
          {
            line=tempLine;  // restore line
            StripRight(line, 8);
            pos=line.Find('"');  // search first "
            if (pos!=0) failure=true; // " not found
            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }
            if (!failure)
            {
              argument=line.Left(pos);
              StripRight(line, pos+1);
              if (!failure && (argument.IsEmpty() || line.IsEmpty()))
              {
                failure=true;
                error=EMPTYARGUMENT;
              }
              if (!failure)
              {
                tempOption.SetActive(!lineComment);
                tempOption.SetName(argument);
                tempOption.SetValue(line);
                tempOption.SetComment(com);
                tempMonitor.AddModeline(tempOption);
              }
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempMonitor.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"monitor\"")) || line.StartsWith(_T("section\"monitor\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            tempMonitor.AddComment(line);
          }
          break;
        case SCREEN:
          if (!lineComment && line.StartsWith(_T("identifier")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempScreen.SetId(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("device")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempScreen.SetDevice(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("monitor")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempScreen.SetMonitor(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("defaultdepth")))
          {
            line=tempLine;  // restore line
            StripRight(line, 12);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempScreen.SetDefaultDepth(line, com);
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              tempScreen.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempScreen.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"screen\"")) || line.StartsWith(_T("section\"screen\"")));
          else if (line.StartsWith(_T("endsubsection")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            tempScreen.AddComment(line);
          }
          break;
        case DISPLAY:
          if (!lineComment && line.StartsWith(_T("depth")))
          {
            line=tempLine;  // restore line
            StripRight(line, 5);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDisplay.SetDepth(line, com);
          }
          else if (!lineComment && line.StartsWith(_T("viewport")))
          {
            line=tempLine;  // restore line
            StripRight(line, 8);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDisplay.SetViewPort(line, com);
          }
          else if (!lineComment && line.StartsWith(_T("virtual")))
          {
            line=tempLine;  // restore line
            StripRight(line, 7);
            if (!failure && line.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempDisplay.SetVirtual(line, com);
          }
          else if (!lineComment && line.StartsWith(_T("modes")))
          {
            line=tempLine;  // restore line
            StripRight(line, 5);

            // now there should be a number of screen modes
            pos=line.Find('"');  // search first "

            while (!failure && pos!=-1)
            {
              StripRight(line, pos+1);
              pos=line.Find('"');  // search second "
              if (pos==-1)
              {  // no second " found
                failure=true;
                break; // leave while loop
              }
              argument=line.Left(pos);
              if (!failure && argument.IsEmpty())
              {
                failure=true;
                error=EMPTYARGUMENT;
                break;
              }
              tempDisplay.AddMode(argument);
              StripRight(line, pos+1);
              pos=line.Find('"');  // search first "
            }
            tempDisplay.SetModeComment(com);
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line
            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              tempDisplay.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempDisplay.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("subsection \"display\"")) || line.StartsWith(_T("subsection\"display\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            tempDisplay.AddComment(line);
          }
          break;
        case SERVERLAYOUT:
          if (!lineComment && line.StartsWith(_T("identifier")))
          {
            line=tempLine;  // restore line
            failure=GetArgument(argument, line);
            if (!failure && argument.IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure) tempServerLayout.SetId(argument, com); // set entry in class
          }
          else if (!lineComment && line.StartsWith(_T("screen")))
          {
            line=tempLine;  // restore line

            // add screens
            StripRight(line, 6);

            // if the first sign is a " there is no screen number

            pos=line.Find('"');  // search first "
            if (pos==-1) failure=true; // " not found

            if (!failure)
            {
              if (pos!=0) // first the screen number
              {
                argument=line.Left(pos);
                StripSpaces(argument);
                StripRight(line, pos);
              }
              else argument=wxEmptyString;

              pos=line.Find('"');  // search first " again
              if (pos!=0) failure=true; // " not found at first position
            }

            if (!failure)  // now comes the real screen entry
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found

              screen1=line.Left(pos);
              StripSpaces(screen1);

              if (!failure && screen1.IsEmpty())
              {
                failure=true;
                error=EMPTYARGUMENT;
              }
              StripRight(line, pos+1);
            }

            if (!failure)
            {
              if (line.IsEmpty())
              {
                // no further arguments given
                tempServerLayout.AddScreen(screen1, argument);
              }
              else
              {
                pos=line.Find('"');  // search second "

                if (pos==-1)  // no other screen, absolute position
                {
                  tempServerLayout.AddScreen(screen1, argument, line, wxEmptyString, com);
                }
                else
                {  // other screen is somewhere

                  wxString opt=line.Left(pos);
                  StripSpaces(opt);
                  StripRight(line, pos+1);

                  pos=line.Find('"');  // search second "
                  if (pos==-1) failure=true; // " not found

                  if (!failure)
                  {
                    screen2=line.Left(pos);
                    StripSpaces(screen2);
                    if (!failure && screen2.IsEmpty())
                    {
                      failure=true;
                      error=EMPTYARGUMENT;
                    }
                    if (!failure) tempServerLayout.AddScreen(screen1, argument, opt, screen2, com);
                  }
                }
              }
            }
          }
          else if (!lineComment && line.StartsWith(_T("inputdevice")))
          {
            line=tempLine;  // restore line
            StripRight(line, 11);

            // first there is the name of the device
            pos=line.Find('"');  // search first "

            if (pos!=0) failure=true; // " not found

            if (!failure)
            {
              StripRight(line, 1);
              pos=line.Find('"');  // search second "
              if (pos==-1) failure=true; // " not found
            }

            if (!failure)
            {
              argument=line.Left(pos);
              if (!failure && argument.IsEmpty())
              {
                failure=true;
                error=EMPTYARGUMENT;
              }
              StripRight(line, pos+1);
              if (!failure) tempServerLayout.AddInputDevice(argument, com); // add device
            }

            if (!failure)
            {
              // now there may be a number of input device option

              pos=line.Find('"');  // search first "

              while (!failure && pos!=-1)
              {
                StripRight(line, pos+1);
                pos=line.Find('"');  // search second "
                if (pos==-1)
                {  // no second " found
                  failure=true;
                  break; // leave while loop
                }

                tempOption.SetName(line.Left(pos));
                tempOption.SetValue(wxEmptyString);
                if (!failure && tempOption.GetName().IsEmpty())
                {
                  failure=true;
                  error=EMPTYARGUMENT;
                  break; // leave while-loop
                }
                tempServerLayout.AddInputDeviceOption(tempServerLayout.GetInputDeviceSize()-1, tempOption);

                StripRight(line, pos+1);
                pos=line.Find('"');  // search first "
              } // while
            }
          }
          else if (line.StartsWith(_T("option")))
          {
            line=tempLine;  // restore line

            failure=GetOption(tempOption, line);
            if (!failure && tempOption.GetName().IsEmpty())
            {
              failure=true;
              error=EMPTYARGUMENT;
            }
            if (!failure)
            {
              tempOption.SetActive(!lineComment);
              tempOption.SetComment(com);
              tempServerLayout.AddOption(tempOption); // set entry in class
            }
            if (failure && lineComment)
            {
              line=tempLine;  // restore line
              if (!com.IsEmpty()) line+=_T(" # ")+com;
              tempServerLayout.AddComment(line);
              failure=false;
            }
          }
          else if (line.StartsWith(_T("section \"serverlayout\"")) || line.StartsWith(_T("section\"serverlayout\"")));
          else if (!line.IsEmpty() && !lineComment) failure=true;
          else if (lineComment)
          {
            line=tempLine;  // restore line
            if (!com.IsEmpty()) line+=_T(" # ")+com;
            tempServerLayout.AddComment(line);
          }
          break;
        default:
          if (lineComment)
          {
             if (!line.StartsWith(_T("file edited by xorg-edit")))
             {
               if (!com.IsEmpty()) comment.Add(line+_T(" # ")+com);
               else comment.Add(line);
             }
          }
          else
          {
            if (!line.StartsWith(_T("endsection"))) failure=true;
          }
          break;
      } // switch

      if (failure)
      {
        if (ShowError(error, section, lineNr, xLine)==true) return(false);
        else
        {
          line=tempLine;  // restore line
          if (!com.IsEmpty()) comment.Add(line+_T(" # ")+com);
          else comment.Add(line);
        }
      }
    } // comment
    else
    {
      if (lineComment) comment.Add(line);
    }
  } while (!file.Eof());                  // repeat until file end

  // Note: disabled integrity checks, so that misconfigured files could be repaired
  // 14.04.2006

/*
  // check if there are some entries missing
  if (devices.GetSize() == 0)
  {
    error=NODEVICES;
    ShowError(error, section, lineNr, xLine, filename);
    ClearElements();   // clear all elements
    SetFrame();        // set frame elements
    return;
  }

  if (monitors.GetSize() == 0)
  {
    error=NOMONITORS;
    ShowError(error, section, lineNr, xLine, filename);
    ClearElements();   // clear all elements
    SetFrame();        // set frame elements
    return;
  }

  if (screens.GetSize() == 0)
  {
    error=NOSCREENS;
    ShowError(error, section, lineNr, xLine, filename);
    ClearElements();   // clear all elements
    SetFrame();        // set frame elements
    return;
  }

  if (inputDevices.GetSize() < 2)
  {
    error=NOIDEVICES;
    ShowError(error, section, lineNr, xLine, filename);
    ClearElements();   // clear all elements
    SetFrame();        // set frame elements
    return;
  }

  if (serverLayouts.GetSize() == 0)
  {
    error=NOSLAYOUTS;
    ShowError(error, section, lineNr, xLine, filename);
    ClearElements();   // clear all elements
    SetFrame();        // set frame elements
    return;
  }

  // check for mandatory entries in each list
  for (i=0; i<devices.GetSize(); i++)
  {
    if (devices.Get(i).GetId().IsEmpty())
    {
      error=NODEVICEID;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
    if (devices.Get(i).GetDriver().IsEmpty())
    {
      error=NODEVICEDRIVER;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
  }

  for (i=0; i<inputDevices.GetSize(); i++)
  {
    if (inputDevices.Get(i).GetId().IsEmpty())
    {
      error=NOIDEVICEID;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
    if (inputDevices.Get(i).GetDriver().IsEmpty())
    {
      error=NOIDEVICEDRIVER;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
  }

  for (i=0; i<monitors.GetSize(); i++)
  {
    if (monitors.Get(i).GetId().IsEmpty())
    {
      error=NOMONITORID;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
  }

  for (i=0; i<screens.GetSize(); i++)
  {
    if (screens.Get(i).GetId().IsEmpty())
    {
      error=NOSCREENID;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
  }

  for (i=0; i<serverLayouts.GetSize(); i++)
  {
    if (serverLayouts.Get(i).GetId().IsEmpty())
    {
      error=NOSLAYOUTID;
      ShowError(error, section, lineNr, xLine, filename);
      ClearElements();   // clear all elements
      SetFrame();        // set frame elements
      return;
    }
  }
*/

  // check if device and monitor in SCREEN are found
  // check if input devices and screens in SERVERLAYOUT are found
  bool found;

  // search screen device in device entry list
  for (i=0; i<screens.GetSize(); i++)
  {
    found=false;
    for (j=0; j<devices.GetSize(); j++)
    {
      if (screens.Get(i).GetDevice()==devices.Get(j).GetId())
      {
        found=true;
        break; // leave for j-loop
      }
    }

    if (!found)
    {
      error=NOCDEVICE;
      if (ShowError(error, section, lineNr, xLine)==true) return(false);
    }
  }

  // search screen monitor in monitor entry list
  for (i=0; i<screens.GetSize(); i++)
  {
    found=false;
    for (j=0; j<monitors.GetSize(); j++)
    {
      if (screens.Get(i).GetMonitor()==monitors.Get(j).GetId())
      {
        found=true;
        break; // leave for j-loop
      }
    }

    if (!found)
    {
      error=NOCMONITOR;
      if (ShowError(error, section, lineNr, xLine)==true) return(false);
    }
  }

  // search server layout screen in screen entry list
  for (i=0; i<serverLayouts.GetSize(); i++)
  {
    for (k=0; k<serverLayouts.Get(i).GetScreenSize(); k++)
    {
      found=false;
      for (j=0; j<screens.GetSize(); j++)
      {
        if (serverLayouts.Get(i).GetScreen(k)==screens.Get(j).GetId())
        {
          found=true;
          break; // leave for j-loop
        }
      }

      if (!found)
      {
        error=NOCSCREEN;
        if (ShowError(error, section, lineNr, xLine)==true) return(false);
      }

      if (serverLayouts.Get(i).GetSecondScreen(k)!=wxEmptyString)
      {
        found=false;
        for (j=0; j<screens.GetSize(); j++)
        {
          if (serverLayouts.Get(i).GetSecondScreen(k)==screens.Get(j).GetId())
          {
            found=true;
            break; // leave for j-loop
          }
        }

        if (!found)
        {
          error=NOCSCREEN;
          if (ShowError(error, section, lineNr, xLine)==true) return(false);
        }
      }
    }
  }

  // search server layout input device  in input device entry list
  for (i=0; i<serverLayouts.GetSize(); i++)
  {
    for (k=0; k<serverLayouts.Get(i).GetInputDeviceSize(); k++)
    {
      found=false;
      for (j=0; j<inputDevices.GetSize(); j++)
      {
        if (serverLayouts.Get(i).GetInputDevice(k)==inputDevices.Get(j).GetId())
        {
          found=true;
          break; // leave for j-loop
        }
      }

      if (!found)
      {
        error=NOCIDEVICE;
        if (ShowError(error, section, lineNr, xLine)==true) return(false);
      }
    }
  }

  SetFrame();
  return(true);
}

void guiFrame::SetFrame(void)
{ // set all elements on screen after loading file

  UpdateDevice();
  UpdateMonitor();
  UpdateInputDevice();
  UpdateScreen();
  UpdateServerLayout();
  UpdateServerFlagOption();
  UpdateExtension();
  UpdateModule();
  UpdateFontPath();
  UpdateModulePath();
  UpdateRgbPath();

  driMode->SetValue(driModeEntry);
}

void guiFrame::WriteData(void)
{  // write data into file

  if (curFile.IsEmpty())
  {
    wxMessageBox(_("The filename is empty. This should not happen!"), _("Error: Filename empty"), wxICON_ERROR | wxOK);
    return;
  }

  wxTextFile file(curDir+_T("/")+curFile);    // create text file handler
  wxString line;                // line for writing to file
  unsigned int i,j,k;               // loop counter

  // elements for writing
  device tempDevice;
  monitor tempMonitor;
  inputDevice tempInputDevice;
  screen tempScreen;
  display tempDisplay;
  serverLayout tempServerLayout;
  option tempOption;

  // open file
  if (file.Exists())
  {
    //open file
    file.Open();                         // open file

    // first clear file
    int size=file.GetLineCount();

    for (i=0; i<size; i++)
    {
      file.RemoveLine(0);   // delete all lines
    }
  }
  else
  {
    // create file
    file.Create();
  }

  // preambel
  /*
  file.AddLine(_T("# ")+ curDir +_T("/") + curFile + _T(" (xorg X Window System server configuration file)"));
  file.AddLine(_T("#"));
  file.AddLine(_T("# This file was generated by dexconf, the Debian X Configuration tool, using"));
  file.AddLine(_T("# values from the debconf database."));
  file.AddLine(_T("#"));
  file.AddLine(_T("# Edit this file with caution, and see the /etc/X11/xorg.conf manual page."));
  file.AddLine(_T("# (Type \"man /etc/X11/xorg.conf\" at the shell prompt.)"));
  file.AddLine(_T("#"));
  file.AddLine(_T("# This file is automatically updated on xserver-xorg package upgrades *only*"));
  file.AddLine(_T("# if it has not been modified since the last upgrade of the xserver-xorg"));
  file.AddLine(_T("# package."));
  file.AddLine(_T("#"));
  file.AddLine(_T("# If you have edited this file but would like it to be automatically updated"));
  file.AddLine(_T("# again, run the following command:"));
  file.AddLine(_T("# sudo dpkg-reconfigure -phigh xserver-xorg"));
  file.AddLine(_T("#"));
  file.AddLine(_T("# File edited by ")+version+_T(" at ")+ wxDateTime::Now().FormatDate() +_T(", ")+wxDateTime::Now().FormatTime());
  */
  for (i=0; i<comment.GetCount(); i++)
  {
    file.AddLine(_T("# ")+comment.Item(i));
  }
  if (comment.GetCount()==0 || !comment.Item(comment.GetCount()-1).IsEmpty()) file.AddLine(_T("#"));
  file.AddLine(_T("# File edited by ")+version+_T(" at ")+ wxDateTime::Now().FormatDate() +_T(", ")+wxDateTime::Now().FormatTime());
  file.AddLine(_T(""));

  // files section
  if (files.GetFontPathSize()>0 || files.GetModulePathSize()>0 || files.GetRgbPathSize()>0 || files.GetComment().GetCount()>0)
  {
    file.AddLine(_T("Section \"Files\""));
    for (i=0; i<files.GetComment().GetCount(); i++)
    {
      file.AddLine(_T("\t# ")+files.GetComment().Item(i));
    }
    for (i=0; i<files.GetFontPathSize(); i++)
    {
      line=wxEmptyString;
      if (!files.FontPathIsActive(i)) line << _T("#");
      line << _T("\tFontPath \"") << files.GetFontPath(i)+_T("\"");
      if (!files.GetFontPathComment(i).IsEmpty()) line << _T(" # ") << files.GetFontPathComment(i);
      file.AddLine(line);
    }
    for (i=0; i<files.GetModulePathSize(); i++)
    {
      line=wxEmptyString;
      if (!files.ModulePathIsActive(i)) line << _T("#");
      line << _T("\tModulePath \"") << files.GetModulePath(i)+_T("\"");
      if (!files.GetModulePathComment(i).IsEmpty()) line << _T(" # ") << files.GetModulePathComment(i);
      file.AddLine(line);
    }
    for (i=0; i<files.GetRgbPathSize(); i++)
    {
      line=wxEmptyString;
      if (!files.RgbPathIsActive(i)) line << _T("#");
      line << _T("\tRgbPath \"") << files.GetRgbPath(i)+_T("\"");
      if (!files.GetRgbPathComment(i).IsEmpty()) line << _T(" # ") << files.GetRgbPathComment(i);
      file.AddLine(line);
    }
    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // server flags section
  if (serverFlags.GetOptionSize()>0 || serverFlags.GetComment().GetCount())
  {
    file.AddLine(_T("Section \"ServerFlags\""));
    for (i=0; i<serverFlags.GetComment().GetCount(); i++)
    {
      file.AddLine(_T("\t# ")+serverFlags.GetComment().Item(i));
    }
    for (i=0; i<serverFlags.GetOptionSize(); i++)
    {
      tempOption=serverFlags.GetOption(i);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }
    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // modules section
  if (modules.GetSize()>0 || modules.GetComment().GetCount()>0)
  {
    file.AddLine(_T("Section \"Module\""));
    for (i=0; i<modules.GetComment().GetCount(); i++)
    {
      file.AddLine(_T("\t# ")+modules.GetComment().Item(i));
    }
    for (i=0; i<modules.GetSize(); i++)
    {
      if (modules.GetOptionSize(i)>0)
      {
        line=wxEmptyString;
        if (!modules.IsActive(i)) line << _T("#");
        line << _T("\tSubSection \"")+modules.Get(i)+_T("\"");
        if (!modules.GetModuleComment(i).IsEmpty()) line << _T(" # ") << modules.GetModuleComment(i);
        file.AddLine(line);
        for (j=0; j<modules.GetOptionSize(i); j++)
        {
          tempOption=modules.GetOption(i,j);
          line=wxEmptyString;
          if (!modules.IsActive(i) || !tempOption.IsActive()) line << _T("#");
          line << _T("\t\tOption \"")+tempOption.GetName()+_T("\"");
          if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
          if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
          file.AddLine(line);
        }
        line=wxEmptyString;
        if (!modules.IsActive(i)) line << _T("#");
        line << _T("\tEndSubSection");
        file.AddLine(line);
      }
      else
      {
        line=wxEmptyString;
        if (!modules.IsActive(i)) line << _T("#");
        line << _T("\tLoad \"")+modules.Get(i)+_T("\"");
        if (!modules.GetModuleComment(i).IsEmpty()) line << _T(" # ") << modules.GetModuleComment(i);
        file.AddLine(line);
      }
    }
    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // input device section
  for (i=0; i<inputDevices.GetSize(); i++)
  {
    tempInputDevice=inputDevices.Get(i);

    // id and driver must exist
    file.AddLine(_T("Section \"InputDevice\""));

    for (j=0; j<tempInputDevice.GetComment().GetCount(); j++)
    {
      file.AddLine(_T("\t# ")+tempInputDevice.GetComment().Item(j));
    }

    if (!tempInputDevice.GetIdComment().IsEmpty()) file.AddLine(_T("\tIdentifier \"")+tempInputDevice.GetId()+_T("\"")+_T(" # ")+tempInputDevice.GetIdComment());
    else file.AddLine(_T("\tIdentifier \"")+tempInputDevice.GetId()+_T("\""));
    if (!tempInputDevice.GetDriverComment().IsEmpty()) file.AddLine(_T("\tDriver \"")+tempInputDevice.GetDriver()+_T("\"")+_T(" # ")+tempInputDevice.GetDriverComment());
    else file.AddLine(_T("\tDriver \"")+tempInputDevice.GetDriver()+_T("\""));

    for (j=0; j<tempInputDevice.GetOptionSize(); j++)
    {
      tempOption=tempInputDevice.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }

    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }


  // device section
  for (i=0; i<devices.GetSize(); i++)
  {
    tempDevice=devices.Get(i);

    // id and driver must exist
    file.AddLine(_T("Section \"Device\""));
    for (j=0; j<tempDevice.GetComment().GetCount(); j++)
    {
      file.AddLine(_T("\t# ")+tempDevice.GetComment().Item(j));
    }

    if (!tempDevice.GetIdComment().IsEmpty()) file.AddLine(_T("\tIdentifier \"")+tempDevice.GetId()+_T("\"")+_T(" # ")+tempDevice.GetIdComment());
    else file.AddLine(_T("\tIdentifier \"")+tempDevice.GetId()+_T("\""));
    if (!tempDevice.GetDriverComment().IsEmpty()) file.AddLine(_T("\tDriver \"")+tempDevice.GetDriver()+_T("\"")+_T(" # ")+tempDevice.GetDriverComment());
    else file.AddLine(_T("\tDriver \"")+tempDevice.GetDriver()+_T("\""));

    if (!tempDevice.GetBus().IsEmpty())
    {
      if (!tempDevice.GetBusComment().IsEmpty()) file.AddLine(_T("\tBusID \"")+tempDevice.GetBus()+_T("\"")+_T(" # ")+tempDevice.GetBusComment());
      else file.AddLine(_T("\tBusID \"")+tempDevice.GetBus()+_T("\""));
    }
    if (!tempDevice.GetVideoRam().IsEmpty())
    {
      if (!tempDevice.GetVideoRamComment().IsEmpty()) file.AddLine(_T("\tVideoRam \"")+tempDevice.GetVideoRam()+_T("\"")+_T(" # ")+tempDevice.GetVideoRamComment());
      else file.AddLine(_T("\tVideoRam ")+tempDevice.GetVideoRam());
    }
    if (!tempDevice.GetScreen().IsEmpty())
    {
      if (!tempDevice.GetScreenComment().IsEmpty()) file.AddLine(_T("\tScreen \"")+tempDevice.GetScreen()+_T("\"")+_T(" # ")+tempDevice.GetScreenComment());
      else file.AddLine(_T("\tScreen ")+tempDevice.GetScreen());
    }

    for (j=0; j<tempDevice.GetOptionSize(); j++)
    {
      tempOption=tempDevice.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }

    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // monitor section
  for (i=0; i<monitors.GetSize(); i++)
  {
    tempMonitor=monitors.Get(i);

    // id must exist
    file.AddLine(_T("Section \"Monitor\""));
    for (j=0; j<tempMonitor.GetComment().GetCount(); j++)
    {
      file.AddLine(_T("\t# ")+tempMonitor.GetComment().Item(j));
    }

    if (!tempMonitor.GetIdComment().IsEmpty()) file.AddLine(_T("\tIdentifier \"")+tempMonitor.GetId()+_T("\"")+_T(" # ")+tempMonitor.GetIdComment());
    else file.AddLine(_T("\tIdentifier \"")+tempMonitor.GetId()+_T("\""));

    if (!tempMonitor.GetHorSync().IsEmpty())
    {
      if (!tempMonitor.GetHorSyncComment().IsEmpty()) file.AddLine(_T("\tHorizSyn \"")+tempMonitor.GetHorSync()+_T("\"")+_T(" # ")+tempMonitor.GetHorSyncComment());
      else file.AddLine(_T("\tHorizSync ")+tempMonitor.GetHorSync());
    }
    if (!tempMonitor.GetVertRef().IsEmpty())
    {
      if (!tempMonitor.GetVertRefComment().IsEmpty()) file.AddLine(_T("\tVertRefresh \"")+tempMonitor.GetVertRef()+_T("\"")+_T(" # ")+tempMonitor.GetVertRefComment());
      else file.AddLine(_T("\tVertRefresh ")+tempMonitor.GetVertRef());
    }
    if (!tempMonitor.GetDisplaySize().IsEmpty())
    {
      if (!tempMonitor.GetDisplaySizeComment().IsEmpty()) file.AddLine(_T("\tDisplaySize \"")+tempMonitor.GetDisplaySize()+_T("\"")+_T(" # ")+tempMonitor.GetDisplaySizeComment());
      else file.AddLine(_T("\tDisplaySize ")+tempMonitor.GetDisplaySize());
    }
    if (!tempMonitor.GetGamma().IsEmpty())
    {
      if (!tempMonitor.GetGammaComment().IsEmpty()) file.AddLine(_T("\tGamma \"")+tempMonitor.GetGamma()+_T("\"")+_T(" # ")+tempMonitor.GetGammaComment());
      else file.AddLine(_T("\tGamma ")+tempMonitor.GetGamma());
    }

    for (j=0; j<tempMonitor.GetOptionSize(); j++)
    {
      tempOption=tempMonitor.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }

    for (j=0; j<tempMonitor.GetModelineSize(); j++)
    {
      tempOption=tempMonitor.GetModeline(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tModeline \"")+tempOption.GetName()+_T("\" ")+tempOption.GetValue();
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }

    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // screen section
  for (i=0; i<screens.GetSize(); i++)
  {
    tempScreen=screens.Get(i);

    // id must exist
    file.AddLine(_T("Section \"Screen\""));
    for (j=0; j<tempScreen.GetComment().GetCount(); j++)
    {
      file.AddLine(_T("\t# ")+tempScreen.GetComment().Item(j));
    }

    if (!tempScreen.GetIdComment().IsEmpty()) file.AddLine(_T("\tIdentifier \"")+tempScreen.GetId()+_T("\"")+_T(" # ")+tempScreen.GetIdComment());
    else file.AddLine(_T("\tIdentifier \"")+tempScreen.GetId()+_T("\""));

    if (!tempScreen.GetDevice().IsEmpty())
    {
      if (!tempScreen.GetDeviceComment().IsEmpty()) file.AddLine(_T("\tDevice \"")+tempScreen.GetDevice()+_T("\"")+_T(" # ")+tempScreen.GetDeviceComment());
      else file.AddLine(_T("\tDevice \"")+tempScreen.GetDevice()+_T("\""));
    }
    if (!tempScreen.GetMonitor().IsEmpty())
    {
      if (!tempScreen.GetMonitorComment().IsEmpty()) file.AddLine(_T("\tMonitor \"")+tempScreen.GetMonitor()+_T("\"")+_T(" # ")+tempScreen.GetMonitorComment());
      else file.AddLine(_T("\tMonitor \"")+tempScreen.GetMonitor()+_T("\""));
    }
    if (!tempScreen.GetDefaultDepth().IsEmpty())
    {
      if (!tempScreen.GetDefaultDepthComment().IsEmpty()) file.AddLine(_T("\tDefaultDepth \"")+tempScreen.GetDefaultDepth()+_T("\"")+_T(" # ")+tempScreen.GetDefaultDepthComment());
      else file.AddLine(_T("\tDefaultDepth ")+tempScreen.GetDefaultDepth());
    }

    for (j=0; j<tempScreen.GetOptionSize(); j++)
    {
      tempOption=tempScreen.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }

    for (j=0; j<tempScreen.GetDisplaySize(); j++)
    {
      tempDisplay=tempScreen.GetDisplay(j);

      // depth must exist
      file.AddLine(_T("\tSubSection \"Display\""));
      for (k=0; k<tempDisplay.GetComment().GetCount(); k++)
      {
        file.AddLine(_T("\t\t# ")+tempDisplay.GetComment().Item(k));
      }

      if (!tempDisplay.GetDepthComment().IsEmpty()) file.AddLine(_T("\t\tDepth \"")+tempDisplay.GetDepth()+_T("\"")+_T(" # ")+tempDisplay.GetDepthComment());
      else file.AddLine(_T("\t\tDepth ")+tempDisplay.GetDepth());

      if (!tempDisplay.GetViewPort().IsEmpty())
      {
        if (!tempDisplay.GetViewPortComment().IsEmpty()) file.AddLine(_T("\t\tViewPort \"")+tempDisplay.GetViewPort()+_T("\"")+_T(" # ")+tempDisplay.GetViewPortComment());
        else file.AddLine(_T("\t\tViewPort ")+tempDisplay.GetViewPort());
      }
      if (!tempDisplay.GetVirtual().IsEmpty())
      {
        if (!tempDisplay.GetVirtualComment().IsEmpty()) file.AddLine(_T("\t\tVirtual \"")+tempDisplay.GetVirtual()+_T("\"")+_T(" # ")+tempDisplay.GetVirtualComment());
        else file.AddLine(_T("\t\tVirtual ")+tempDisplay.GetVirtual());
      }

      for (k=0; k<tempDisplay.GetOptionSize(); k++)
      {
        tempOption=tempDisplay.GetOption(k);
        line=wxEmptyString;
        if (!tempOption.IsActive()) line << _T("#");
        line << _T("\t\tOption \"")+tempOption.GetName()+_T("\"");
        if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
        if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
        file.AddLine(line);
      }

      if (tempDisplay.GetModeSize()>0)
      {
        line=_T("\t\tModes");
        for (k=0; k<tempDisplay.GetModeSize(); k++)
        {
          line+=_T(" \"")+tempDisplay.GetMode(k)+_T("\"");
        }
        if (!tempDisplay.GetModeComment().IsEmpty()) line << _T(" # ") << tempDisplay.GetModeComment();
        file.AddLine(line);
      }
      file.AddLine(_T("\tEndSubSection"));
    }

    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // server layout section
  for (i=0; i<serverLayouts.GetSize(); i++)
  {
    tempServerLayout=serverLayouts.Get(i);

    // id must exist
    file.AddLine(_T("Section \"ServerLayout\""));
    for (j=0; j<tempServerLayout.GetComment().GetCount(); j++)
    {
      file.AddLine(_T("\t# ")+tempServerLayout.GetComment().Item(j));
    }

    if (!tempServerLayout.GetIdComment().IsEmpty()) file.AddLine(_T("\tIdentifier \"")+tempServerLayout.GetId()+_T("\"")+_T(" # ")+tempServerLayout.GetIdComment());
    else file.AddLine(_T("\tIdentifier \"")+tempServerLayout.GetId()+_T("\""));

    for (j=0; j<tempServerLayout.GetScreenSize(); j++)
    {
      // screen name must exist
      line=_T("\tScreen");
      if (!tempServerLayout.GetScreenNumber(j).IsEmpty()) line+=_T(" ")+tempServerLayout.GetScreenNumber(j);
      line+=_T(" \"")+tempServerLayout.GetScreen(j)+_T("\"");
      if (!tempServerLayout.GetScreenPosition(j).IsEmpty()) line+=_T(" ")+tempServerLayout.GetScreenPosition(j);
      if (!tempServerLayout.GetSecondScreen(j).IsEmpty()) line+=_T(" \"")+tempServerLayout.GetSecondScreen(j)+_T("\"");
      if (!tempServerLayout.GetScreenComment(j).IsEmpty()) line+=_T(" # ")+tempServerLayout.GetScreenComment(j);
      file.AddLine(line);
    }

    for (j=0; j<tempServerLayout.GetInputDeviceSize(); j++)
    {
      // input device name name must exist
      line=_T("\tInputDevice");
      line+=_T(" \"")+tempServerLayout.GetInputDevice(j)+_T("\"");
      for (k=0; k<tempServerLayout.GetInputDeviceOptionSize(j); k++)
      {
        line+=_T(" \"")+tempServerLayout.GetInputDeviceOption(j,k).GetName()+_T("\"");
      }
      if (!tempServerLayout.GetInputDeviceComment(j).IsEmpty()) line+=_T(" # ")+tempServerLayout.GetInputDeviceComment(j);
      file.AddLine(line);
    }

    for (j=0; j<tempServerLayout.GetOptionSize(); j++)
    {
      tempOption=tempServerLayout.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }

    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // extension section
  if (extensions.GetOptionSize()>0 || extensions.GetComment().GetCount()>0)
  {
    file.AddLine(_T("Section \"Extensions\""));
    for (i=0; i<extensions.GetComment().GetCount(); i++)
    {
      file.AddLine(_T("\t# ")+extensions.GetComment().Item(i));
    }

    for (i=0; i<extensions.GetOptionSize(); i++)
    {
      tempOption=extensions.GetOption(i);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      file.AddLine(line);
    }
    file.AddLine(_T("EndSection"));
    file.AddLine(_T(""));
  }

  // dri section
  if (!driModeEntry.IsEmpty() || driComment.GetCount()>0)
  {
    file.AddLine(_T("Section \"DRI\""));
    for (i=0; i<driComment.GetCount(); i++)
    {
      file.AddLine(_T("\t# ")+driComment.Item(i));
    }

    if (!driModeEntry.IsEmpty())
    {
      if (!driModeComment.IsEmpty()) file.AddLine(_T("\tMode ")+driModeEntry+_T(" # ")+driModeComment);
      else file.AddLine(_T("\tMode ")+driModeEntry);
    }
    file.AddLine(_T("EndSection"));
  }

  // save all changes
  if (!file.Write())
  {
    wxString tempStr;
    tempStr << _("Could not write data into file ") << _T("\"") << curDir << _T("/") << curFile << _T("\"") << _T(".");
    wxMessageBox(tempStr, _("Error: Saving file"), wxICON_ERROR);
  }
  else SetSaved(true);

}

void guiFrame::OnShow(wxCommandEvent& event)
{ // show config file

  if (!layout->IsEnabled()) return;

  switch(layout->GetSelection())
  {
    case 0:  // DEVICE
      // if (!CheckDeviceTab()) return;
      AcceptDevice();
      break;
    case 1:  //  MONITOR
      // if (!CheckMonitorTab()) return;
      AcceptMonitor();
      break;
    case 2:  // INPUTDEVICE
      // if (!CheckInputDeviceTab()) return;
      AcceptInputDevice();
      break;
    case 3:  // SCREEN
      // if (!CheckScreenTab()) return;
      AcceptScreen();
      break;
    case 4:  // SERVERLAYOUT, SERVERFLAGS
      // if (!CheckServerTab())  return;
      break;
    case 5:  // EXTENSIONS, MODULES, FILES, DRI
      // if (!CheckOtherSectionTab()) return;
      break;
    default:
      break;
  } // switch

  textFrame* xText = new textFrame(this, curDir+_T("/")+curFile+_(" - PREVIEW"));  // create frame

  wxString line;                // line for writing to file
  unsigned int i,j,k;               // loop counter

  // elements for writing
  device tempDevice;
  monitor tempMonitor;
  inputDevice tempInputDevice;
  screen tempScreen;
  display tempDisplay;
  serverLayout tempServerLayout;
  option tempOption;

  // preambel
  /*
  xText->AddLine(_T("# ")+ curDir +_T("/") + curFile + _T(" (xorg X Window System server configuration file)"));
  xText->AddLine(_T("#"));
  xText->AddLine(_T("# This file was generated by dexconf, the Debian X Configuration tool, using"));
  xText->AddLine(_T("# values from the debconf database."));
  xText->AddLine(_T("#"));
  xText->AddLine(_T("# Edit this file with caution, and see the /etc/X11/xorg.conf manual page."));
  xText->AddLine(_T("# (Type \"man /etc/X11/xorg.conf\" at the shell prompt.)"));
  xText->AddLine(_T("#"));
  xText->AddLine(_T("# This file is automatically updated on xserver-xorg package upgrades *only*"));
  xText->AddLine(_T("# if it has not been modified since the last upgrade of the xserver-xorg"));
  xText->AddLine(_T("# package."));
  xText->AddLine(_T("#"));
  xText->AddLine(_T("# If you have edited this file but would like it to be automatically updated"));
  xText->AddLine(_T("# again, run the following command:"));
  xText->AddLine(_T("# sudo dpkg-reconfigure -phigh xserver-xorg"));
  xText->AddLine(_T("#"));
  xText->AddLine(_T("# File edited by ")+version+_T(" at ")+ wxDateTime::Now().FormatDate() +_T(", ")+wxDateTime::Now().FormatTime());
  */

  for (i=0; i<comment.GetCount(); i++)
  {
    xText->AddLine(_T("# ")+comment.Item(i));
  }
  if (comment.GetCount()==0 || !comment.Item(comment.GetCount()-1).IsEmpty()) xText->AddLine(_T("#"));
  xText->AddLine(_T("# File edited by ")+version+_T(" at ")+ wxDateTime::Now().FormatDate() +_T(", ")+wxDateTime::Now().FormatTime());
  xText->AddLine(_T(""));

  // files section
  if (files.GetFontPathSize()>0 || files.GetModulePathSize()>0 || files.GetRgbPathSize()>0 || files.GetComment().GetCount()>0)
  {
    xText->AddLine(_T("Section \"Files\""));
    for (i=0; i<files.GetComment().GetCount(); i++)
    {
      xText->AddLine(_T("\t# ")+files.GetComment().Item(i));
    }
    for (i=0; i<files.GetFontPathSize(); i++)
    {
      line=wxEmptyString;
      if (!files.FontPathIsActive(i)) line << _T("#");
      line << _T("\tFontPath \"") << files.GetFontPath(i)+_T("\"");
      if (!files.GetFontPathComment(i).IsEmpty()) line << _T(" # ") << files.GetFontPathComment(i);
      xText->AddLine(line);
    }
    for (i=0; i<files.GetModulePathSize(); i++)
    {
      line=wxEmptyString;
      if (!files.ModulePathIsActive(i)) line << _T("#");
      line << _T("\tModulePath \"") << files.GetModulePath(i)+_T("\"");
      if (!files.GetModulePathComment(i).IsEmpty()) line << _T(" # ") << files.GetModulePathComment(i);
      xText->AddLine(line);
    }
    for (i=0; i<files.GetRgbPathSize(); i++)
    {
      line=wxEmptyString;
      if (!files.RgbPathIsActive(i)) line << _T("#");
      line << _T("\tRgbPath \"") << files.GetRgbPath(i)+_T("\"");
      if (!files.GetRgbPathComment(i).IsEmpty()) line << _T(" # ") << files.GetRgbPathComment(i);
      xText->AddLine(line);
    }
    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // server flags section
  if (serverFlags.GetOptionSize()>0 || serverFlags.GetComment().GetCount())
  {
    xText->AddLine(_T("Section \"ServerFlags\""));
    for (i=0; i<serverFlags.GetComment().GetCount(); i++)
    {
      xText->AddLine(_T("\t# ")+serverFlags.GetComment().Item(i));
    }
    for (i=0; i<serverFlags.GetOptionSize(); i++)
    {
      tempOption=serverFlags.GetOption(i);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }
    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // modules section
  if (modules.GetSize()>0 || modules.GetComment().GetCount()>0)
  {
    xText->AddLine(_T("Section \"Module\""));
    for (i=0; i<modules.GetComment().GetCount(); i++)
    {
      xText->AddLine(_T("\t# ")+modules.GetComment().Item(i));
    }
    for (i=0; i<modules.GetSize(); i++)
    {
      if (modules.GetOptionSize(i)>0)
      {
        line=wxEmptyString;
        if (!modules.IsActive(i)) line << _T("#");
        line << _T("\tSubSection \"")+modules.Get(i)+_T("\"");
        if (!modules.GetModuleComment(i).IsEmpty()) line << _T(" # ") << modules.GetModuleComment(i);
        xText->AddLine(line);
        for (j=0; j<modules.GetOptionSize(i); j++)
        {
          tempOption=modules.GetOption(i,j);
          line=wxEmptyString;
          if (!modules.IsActive(i) || !tempOption.IsActive()) line << _T("#");
          line << _T("\t\tOption \"")+tempOption.GetName()+_T("\"");
          if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
          if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
          xText->AddLine(line);
        }
        line=wxEmptyString;
        if (!modules.IsActive(i)) line << _T("#");
        line << _T("\tEndSubSection");
        xText->AddLine(line);
      }
      else
      {
        line=wxEmptyString;
        if (!modules.IsActive(i)) line << _T("#");
        line << _T("\tLoad \"")+modules.Get(i)+_T("\"");
        if (!modules.GetModuleComment(i).IsEmpty()) line << _T(" # ") << modules.GetModuleComment(i);
        xText->AddLine(line);
      }
    }
    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // input device section
  for (i=0; i<inputDevices.GetSize(); i++)
  {
    tempInputDevice=inputDevices.Get(i);

    // id and driver must exist
    xText->AddLine(_T("Section \"InputDevice\""));

    for (j=0; j<tempInputDevice.GetComment().GetCount(); j++)
    {
      xText->AddLine(_T("\t# ")+tempInputDevice.GetComment().Item(j));
    }

    if (!tempInputDevice.GetIdComment().IsEmpty()) xText->AddLine(_T("\tIdentifier \"")+tempInputDevice.GetId()+_T("\"")+_T(" # ")+tempInputDevice.GetIdComment());
    else xText->AddLine(_T("\tIdentifier \"")+tempInputDevice.GetId()+_T("\""));
    if (!tempInputDevice.GetDriverComment().IsEmpty()) xText->AddLine(_T("\tDriver \"")+tempInputDevice.GetDriver()+_T("\"")+_T(" # ")+tempInputDevice.GetDriverComment());
    else xText->AddLine(_T("\tDriver \"")+tempInputDevice.GetDriver()+_T("\""));

    for (j=0; j<tempInputDevice.GetOptionSize(); j++)
    {
      tempOption=tempInputDevice.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }

    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }


  // device section
  for (i=0; i<devices.GetSize(); i++)
  {
    tempDevice=devices.Get(i);

    // id and driver must exist
    xText->AddLine(_T("Section \"Device\""));
    for (j=0; j<tempDevice.GetComment().GetCount(); j++)
    {
      xText->AddLine(_T("\t# ")+tempDevice.GetComment().Item(j));
    }

    if (!tempDevice.GetIdComment().IsEmpty()) xText->AddLine(_T("\tIdentifier \"")+tempDevice.GetId()+_T("\"")+_T(" # ")+tempDevice.GetIdComment());
    else xText->AddLine(_T("\tIdentifier \"")+tempDevice.GetId()+_T("\""));
    if (!tempDevice.GetDriverComment().IsEmpty()) xText->AddLine(_T("\tDriver \"")+tempDevice.GetDriver()+_T("\"")+_T(" # ")+tempDevice.GetDriverComment());
    else xText->AddLine(_T("\tDriver \"")+tempDevice.GetDriver()+_T("\""));

    if (!tempDevice.GetBus().IsEmpty())
    {
      if (!tempDevice.GetBusComment().IsEmpty()) xText->AddLine(_T("\tBusID \"")+tempDevice.GetBus()+_T("\"")+_T(" # ")+tempDevice.GetBusComment());
      else xText->AddLine(_T("\tBusID \"")+tempDevice.GetBus()+_T("\""));
    }
    if (!tempDevice.GetVideoRam().IsEmpty())
    {
      if (!tempDevice.GetVideoRamComment().IsEmpty()) xText->AddLine(_T("\tVideoRam \"")+tempDevice.GetVideoRam()+_T("\"")+_T(" # ")+tempDevice.GetVideoRamComment());
      else xText->AddLine(_T("\tVideoRam ")+tempDevice.GetVideoRam());
    }
    if (!tempDevice.GetScreen().IsEmpty())
    {
      if (!tempDevice.GetScreenComment().IsEmpty()) xText->AddLine(_T("\tScreen \"")+tempDevice.GetScreen()+_T("\"")+_T(" # ")+tempDevice.GetScreenComment());
      else xText->AddLine(_T("\tScreen ")+tempDevice.GetScreen());
    }

    for (j=0; j<tempDevice.GetOptionSize(); j++)
    {
      tempOption=tempDevice.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }

    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // monitor section
  for (i=0; i<monitors.GetSize(); i++)
  {
    tempMonitor=monitors.Get(i);

    // id must exist
    xText->AddLine(_T("Section \"Monitor\""));
    for (j=0; j<tempMonitor.GetComment().GetCount(); j++)
    {
      xText->AddLine(_T("\t# ")+tempMonitor.GetComment().Item(j));
    }

    if (!tempMonitor.GetIdComment().IsEmpty()) xText->AddLine(_T("\tIdentifier \"")+tempMonitor.GetId()+_T("\"")+_T(" # ")+tempMonitor.GetIdComment());
    else xText->AddLine(_T("\tIdentifier \"")+tempMonitor.GetId()+_T("\""));

    if (!tempMonitor.GetHorSync().IsEmpty())
    {
      if (!tempMonitor.GetHorSyncComment().IsEmpty()) xText->AddLine(_T("\tHorizSyn \"")+tempMonitor.GetHorSync()+_T("\"")+_T(" # ")+tempMonitor.GetHorSyncComment());
      else xText->AddLine(_T("\tHorizSync ")+tempMonitor.GetHorSync());
    }
    if (!tempMonitor.GetVertRef().IsEmpty())
    {
      if (!tempMonitor.GetVertRefComment().IsEmpty()) xText->AddLine(_T("\tVertRefresh \"")+tempMonitor.GetVertRef()+_T("\"")+_T(" # ")+tempMonitor.GetVertRefComment());
      else xText->AddLine(_T("\tVertRefresh ")+tempMonitor.GetVertRef());
    }
    if (!tempMonitor.GetDisplaySize().IsEmpty())
    {
      if (!tempMonitor.GetDisplaySizeComment().IsEmpty()) xText->AddLine(_T("\tDisplaySize \"")+tempMonitor.GetDisplaySize()+_T("\"")+_T(" # ")+tempMonitor.GetDisplaySizeComment());
      else xText->AddLine(_T("\tDisplaySize ")+tempMonitor.GetDisplaySize());
    }
    if (!tempMonitor.GetGamma().IsEmpty())
    {
      if (!tempMonitor.GetGammaComment().IsEmpty()) xText->AddLine(_T("\tGamma \"")+tempMonitor.GetGamma()+_T("\"")+_T(" # ")+tempMonitor.GetGammaComment());
      else xText->AddLine(_T("\tGamma ")+tempMonitor.GetGamma());
    }

    for (j=0; j<tempMonitor.GetOptionSize(); j++)
    {
      tempOption=tempMonitor.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }

    for (j=0; j<tempMonitor.GetModelineSize(); j++)
    {
      tempOption=tempMonitor.GetModeline(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tModeline \"")+tempOption.GetName()+_T("\" ")+tempOption.GetValue();
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }

    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }


  // screen section
  for (i=0; i<screens.GetSize(); i++)
  {
    tempScreen=screens.Get(i);

    // id must exist
    xText->AddLine(_T("Section \"Screen\""));
    for (j=0; j<tempScreen.GetComment().GetCount(); j++)
    {
      xText->AddLine(_T("\t# ")+tempScreen.GetComment().Item(j));
    }

    if (!tempScreen.GetIdComment().IsEmpty()) xText->AddLine(_T("\tIdentifier \"")+tempScreen.GetId()+_T("\"")+_T(" # ")+tempScreen.GetIdComment());
    else xText->AddLine(_T("\tIdentifier \"")+tempScreen.GetId()+_T("\""));

    if (!tempScreen.GetDevice().IsEmpty())
    {
      if (!tempScreen.GetDeviceComment().IsEmpty()) xText->AddLine(_T("\tDevice \"")+tempScreen.GetDevice()+_T("\"")+_T(" # ")+tempScreen.GetDeviceComment());
      else xText->AddLine(_T("\tDevice \"")+tempScreen.GetDevice()+_T("\""));
    }
    if (!tempScreen.GetMonitor().IsEmpty())
    {
      if (!tempScreen.GetMonitorComment().IsEmpty()) xText->AddLine(_T("\tMonitor \"")+tempScreen.GetMonitor()+_T("\"")+_T(" # ")+tempScreen.GetMonitorComment());
      else xText->AddLine(_T("\tMonitor \"")+tempScreen.GetMonitor()+_T("\""));
    }
    if (!tempScreen.GetDefaultDepth().IsEmpty())
    {
      if (!tempScreen.GetDefaultDepthComment().IsEmpty()) xText->AddLine(_T("\tDefaultDepth \"")+tempScreen.GetDefaultDepth()+_T("\"")+_T(" # ")+tempScreen.GetDefaultDepthComment());
      else xText->AddLine(_T("\tDefaultDepth ")+tempScreen.GetDefaultDepth());
    }

    for (j=0; j<tempScreen.GetOptionSize(); j++)
    {
      tempOption=tempScreen.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }

    for (j=0; j<tempScreen.GetDisplaySize(); j++)
    {
      tempDisplay=tempScreen.GetDisplay(j);

      // depth must exist
      xText->AddLine(_T("\tSubSection \"Display\""));
      for (k=0; k<tempDisplay.GetComment().GetCount(); k++)
      {
        xText->AddLine(_T("\t\t# ")+tempDisplay.GetComment().Item(k));
      }

      if (!tempDisplay.GetDepthComment().IsEmpty()) xText->AddLine(_T("\t\tDepth \"")+tempDisplay.GetDepth()+_T("\"")+_T(" # ")+tempDisplay.GetDepthComment());
      else xText->AddLine(_T("\t\tDepth ")+tempDisplay.GetDepth());

      if (!tempDisplay.GetViewPort().IsEmpty())
      {
        if (!tempDisplay.GetViewPortComment().IsEmpty()) xText->AddLine(_T("\t\tViewPort \"")+tempDisplay.GetViewPort()+_T("\"")+_T(" # ")+tempDisplay.GetViewPortComment());
        else xText->AddLine(_T("\t\tViewPort ")+tempDisplay.GetViewPort());
      }
      if (!tempDisplay.GetVirtual().IsEmpty())
      {
        if (!tempDisplay.GetVirtualComment().IsEmpty()) xText->AddLine(_T("\t\tVirtual \"")+tempDisplay.GetVirtual()+_T("\"")+_T(" # ")+tempDisplay.GetVirtualComment());
        else xText->AddLine(_T("\t\tVirtual ")+tempDisplay.GetVirtual());
      }

      for (k=0; k<tempDisplay.GetOptionSize(); k++)
      {
        tempOption=tempDisplay.GetOption(k);
        line=wxEmptyString;
        if (!tempOption.IsActive()) line << _T("#");
        line << _T("\t\tOption \"")+tempOption.GetName()+_T("\"");
        if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
        if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
        xText->AddLine(line);
      }

      if (tempDisplay.GetModeSize()>0)
      {
        line=_T("\t\tModes");
        for (k=0; k<tempDisplay.GetModeSize(); k++)
        {
          line+=_T(" \"")+tempDisplay.GetMode(k)+_T("\"");
        }
        if (!tempDisplay.GetModeComment().IsEmpty()) line << _T(" # ") << tempDisplay.GetModeComment();
        xText->AddLine(line);
      }
      xText->AddLine(_T("\tEndSubSection"));
    }

    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // server layout section
  for (i=0; i<serverLayouts.GetSize(); i++)
  {
    tempServerLayout=serverLayouts.Get(i);

    // id must exist
    xText->AddLine(_T("Section \"ServerLayout\""));
    for (j=0; j<tempServerLayout.GetComment().GetCount(); j++)
    {
      xText->AddLine(_T("\t# ")+tempServerLayout.GetComment().Item(j));
    }

    if (!tempServerLayout.GetIdComment().IsEmpty()) xText->AddLine(_T("\tIdentifier \"")+tempServerLayout.GetId()+_T("\"")+_T(" # ")+tempServerLayout.GetIdComment());
    else xText->AddLine(_T("\tIdentifier \"")+tempServerLayout.GetId()+_T("\""));

    for (j=0; j<tempServerLayout.GetScreenSize(); j++)
    {
      // screen name must exist
      line=_T("\tScreen");
      if (!tempServerLayout.GetScreenNumber(j).IsEmpty()) line+=_T(" ")+tempServerLayout.GetScreenNumber(j);
      line+=_T(" \"")+tempServerLayout.GetScreen(j)+_T("\"");
      if (!tempServerLayout.GetScreenPosition(j).IsEmpty()) line+=_T(" ")+tempServerLayout.GetScreenPosition(j);
      if (!tempServerLayout.GetSecondScreen(j).IsEmpty()) line+=_T(" \"")+tempServerLayout.GetSecondScreen(j)+_T("\"");
      if (!tempServerLayout.GetScreenComment(j).IsEmpty()) line+=_T(" # ")+tempServerLayout.GetScreenComment(j);
      xText->AddLine(line);
    }

    for (j=0; j<tempServerLayout.GetInputDeviceSize(); j++)
    {
      // input device name name must exist
      line=_T("\tInputDevice");
      line+=_T(" \"")+tempServerLayout.GetInputDevice(j)+_T("\"");
      for (k=0; k<tempServerLayout.GetInputDeviceOptionSize(j); k++)
      {
        line+=_T(" \"")+tempServerLayout.GetInputDeviceOption(j,k).GetName()+_T("\"");
      }
      if (!tempServerLayout.GetInputDeviceComment(j).IsEmpty()) line+=_T(" # ")+tempServerLayout.GetInputDeviceComment(j);
      xText->AddLine(line);
    }

    for (j=0; j<tempServerLayout.GetOptionSize(); j++)
    {
      tempOption=tempServerLayout.GetOption(j);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }

    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // extension section
  if (extensions.GetOptionSize()>0 || extensions.GetComment().GetCount()>0)
  {
    xText->AddLine(_T("Section \"Extensions\""));
    for (i=0; i<extensions.GetComment().GetCount(); i++)
    {
      xText->AddLine(_T("\t# ")+extensions.GetComment().Item(i));
    }

    for (i=0; i<extensions.GetOptionSize(); i++)
    {
      tempOption=extensions.GetOption(i);
      line=wxEmptyString;
      if (!tempOption.IsActive()) line << _T("#");
      line << _T("\tOption \"")+tempOption.GetName()+_T("\"");
      if (!tempOption.GetValue().IsEmpty()) line+=_T(" \"")+tempOption.GetValue()+_T("\"");
      if (!tempOption.GetComment().IsEmpty()) line << _T(" # ") << tempOption.GetComment();
      xText->AddLine(line);
    }
    xText->AddLine(_T("EndSection"));
    xText->AddLine(_T(""));
  }

  // dri section
  if (!driModeEntry.IsEmpty() || driComment.GetCount()>0)
  {
    xText->AddLine(_T("Section \"DRI\""));
    for (i=0; i<driComment.GetCount(); i++)
    {
      xText->AddLine(_T("\t# ")+driComment.Item(i));
    }

    if (!driModeEntry.IsEmpty())
    {
      if (!driModeComment.IsEmpty()) xText->AddLine(_T("\tMode ")+driModeEntry+_T(" # ")+driModeComment);
      else xText->AddLine(_T("\tMode ")+driModeEntry);
    }
    xText->AddLine(_T("EndSection"));
  }

  xText->ShowModal();  // show dialog modal
  delete xText;        // delete again
  xText=NULL;
}

void guiFrame::OnQuit(wxCommandEvent& event)
{  // quit program

  if (!isSaved)
  {
    if (wxMessageBox(_("File is not saved. Do you want to discard changes?"), _("Question: Discard Changes?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT) == wxNO)
    {
      return;
    }
  }

  Close();  // force closing window
}

void guiFrame::SetLanguage(wxCommandEvent& event)
{    // set language

  if (event.GetId()==LANGENG && app_locale->GetLanguage()!=wxLANGUAGE_ENGLISH)
  {
    // parentFrame->SetLanguage(wxLANGUAGE_ENGLISH);
    wxGetApp().SetLanguage(wxLANGUAGE_ENGLISH);
    CreateGUIControls();
  }
  else if (event.GetId()==LANGGER && app_locale->GetLanguage()!=wxLANGUAGE_GERMAN)
  {
    // parentFrame->SetLanguage(wxLANGUAGE_GERMAN);
    wxGetApp().SetLanguage(wxLANGUAGE_GERMAN);
    CreateGUIControls();
  }
  else
  {
    // parentFrame->SetLanguage(wxLANGUAGE_DEFAULT);
    wxGetApp().SetLanguage(wxLANGUAGE_DEFAULT);
    CreateGUIControls();
  }
}

void guiFrame::CreateGUIControls(void)
{  // create all gui controls, like text fields, menus, buttons

  unsigned int i;

  wxMenuBar *formerMenuBar=GetMenuBar();  // old menu bar

  fileMenu=new wxMenu;    // create file menu
  fileMenu->Append(NEWXORG, _("&New config file\tCtrl+N"), _("Create empty config file"));
  fileMenu->AppendSeparator();
  fileMenu->Append(LOADXORG, _("&Load ...\tCtrl+L"), _("Load config file"));
  fileMenu->Append(SAVEXORG, _("&Save\tCtrl+S"), _("Save config file"));
  fileMenu->Append(SAVEAS, _("Save as..."), _("Save config file under another name"));
  fileMenu->AppendSeparator();
  fileMenu->Append(CLOSEXORG, _("&Close\tCtrl+Q"), _("Close current config file"));
  fileMenu->Append(QUITPROG, _("&Quit\tAlt+F4"), _("Quit the application"));

  wxMenu *langMenu = new wxMenu;  // help menu
  langMenu->AppendRadioItem(LANGENG, _("English"), _("Set language to English"));
  langMenu->AppendRadioItem(LANGGER, _("German"), _("Set language to German"));

  if (app_locale->GetLanguage()==wxLANGUAGE_ENGLISH)
  {
    langMenu->Check(LANGENG, true);
  }
  else if (app_locale->GetLanguage()==wxLANGUAGE_GERMAN)
  {
    langMenu->Check(LANGGER, true);
  }

  extrasMenu=new wxMenu;    // create extras menu
  extrasMenu->Append(SHOWXORG, _("&Preview...\tF5"), _("Show preview of written config file"));
  extrasMenu->AppendSeparator();
  extrasMenu->Append(-1, _("&Language"), langMenu);

  wxMenu *helpMenu = new wxMenu;  // help menu
  helpMenu->Append(ABOUTPROG, _("&About...\tF1"), _("Show about dialog"));

  wxMenuBar* mbar=new wxMenuBar;       // create menu bar
  mbar->Append(fileMenu, _("&File"));    // add menu item
  mbar->Append(extrasMenu, _("&Extras"));   // add menu item
  mbar->Append(helpMenu, _("&Help"));    // add menu item
  SetMenuBar(mbar);                      // set menu bar to this frame

  if (formerMenuBar) delete formerMenuBar;

  layout->SetPageText(0, _("Device"));
  layout->SetPageText(1, _("Monitor"));
  layout->SetPageText(2, _("Input Device"));
  layout->SetPageText(3, _("Screen"));
  layout->SetPageText(4, _("Server"));
  layout->SetPageText(5, _("Other Options"));

  warningText->SetLabel(_("Warning: Improper use of this tool can cause damage to your\nxorg.conf and may not start your Xserver.\nYou must restart X to take the changes effect."));

  wxString tempList[4];  // initial list for combo und choice elements
  wxString optList[4];   // initial list for option combo und choice elements

  optList[0]=_("----------");
  optList[1]=_("Add Option");
  optList[2]=_("Delete Option");
  optList[3]=_("De/Activate Option");

  tempList[0]=_("----------");
  tempList[1]=_("Add Device");
  tempList[2]=_("Delete Device");

  for (i=0; i<3; i++) deviceIdentifier->SetString(devices.GetSize()+i, tempList[i]);
  if (devices.GetSize()>0)
    for (i=0; i<4; i++) deviceOption->SetString(devices.Get(deviceCurrent).GetOptionSize()+i, optList[i]);
  else
    for (i=0; i<4; i++) deviceOption->SetString(i, optList[i]);

  deviceBox->SetLabel( _("Device"));
  deviceDriverText->SetLabel(_("Driver"));
  deviceBusIDText->SetLabel(_("BusID"));
  deviceVideoRamText->SetLabel( _("Video Ram"));
  deviceScreenNumberText->SetLabel( _("Screen Number"));
  deviceOptionText->SetLabel(_("Option"));

  tempList[1]=_("Add Monitor");
  tempList[2]=_("Delete Monitor");

  for (i=0; i<3; i++) monitorIdentifier->SetString(monitors.GetSize()+i, tempList[i]);
  if (monitors.GetSize()>0)
    for (i=0; i<4; i++) monitorOption->SetString(monitors.Get(monitorCurrent).GetOptionSize()+i, optList[i]);
  else
    for (i=0; i<4; i++) monitorOption->SetString(i, optList[i]);

  tempList[1]=_("Add Modeline");
  tempList[2]=_("Delete Modeline");
  tempList[3]=_("De/Activate Modeline");

  if (monitors.GetSize()>0)
    for (i=0; i<4; i++) monitorModelineName->SetString(monitors.Get(monitorCurrent).GetModelineSize()+i, tempList[i]);
  else
    for (i=0; i<4; i++) monitorModelineName->SetString(i, tempList[i]);

  monitorBox->SetLabel(_("Monitor"));
  monitorHorizSyncText->SetLabel( _("Hor.Sync."));
  monitorVertRefreshText->SetLabel(_("Vert.Refresh"));
  monitorDisplayText->SetLabel(_("Display Size"));
  monitorGammaText->SetLabel(_("Gamma"));
  monitorOptionText->SetLabel(_("Option"));
  monitorModelineText->SetLabel(_("Modeline"));
  monitorFreqButton->SetLabel(_("Get Refresh Rate"));
  monitorDisplaySizeButton->SetLabel(_("Get Display Size"));

  tempList[1]=_("Add Input Device");
  tempList[2]=_("Delete Input Device");

  for (i=0; i<3; i++) inputDeviceIdentifier->SetString(inputDevices.GetSize()+i, tempList[i]);
  if (inputDevices.GetSize()>0)
    for (i=0; i<4; i++) inputDeviceOption->SetString(inputDevices.Get(inputDeviceCurrent).GetOptionSize()+i, optList[i]);
  else
    for (i=0; i<4; i++) inputDeviceOption->SetString(i, optList[i]);

  inputDeviceBox->SetLabel(_("Input Device"));
  inputDeviceDriverText->SetLabel( _("Driver"));
  inputDeviceOptionText->SetLabel( _("Option"));

  tempList[1]=_("Add Screen");
  tempList[2]=_("Delete Screen");

  for (i=0; i<3; i++) screenIdentifier->SetString(screens.GetSize()+i, tempList[i]);
  if (screens.GetSize()>0)
    for (i=0; i<4; i++) screenOption->SetString(screens.Get(screenCurrent).GetOptionSize()+i, optList[i]);
  else
    for (i=0; i<4; i++) screenOption->SetString(i, optList[i]);

  tempList[1]=_("Add Display");
  tempList[2]=_("Delete Display");

  if (screens.GetSize()>0)
    for (i=0; i<3; i++) screenDisplayDepth->SetString(screens.Get(screenCurrent).GetDisplaySize()+i, tempList[i]);
  else
    for (i=0; i<3; i++) screenDisplayDepth->SetString(i, tempList[i]);

  tempList[1]=_("Add Mode");
  tempList[2]=_("Delete Mode");

  if (screens.GetSize()>0 && screens.Get(screenCurrent).GetDisplaySize()>0)
    screenDisplayViewportText->SetLabel(_("Viewport"));

  if (screens.GetSize()>0 && screens.Get(screenCurrent).GetDisplaySize()>0)
    screenDisplayVirtualText->SetLabel(_("Virtual Size"));

  if (screens.GetSize()>0 && screens.Get(screenCurrent).GetDisplaySize()>0)
    for (i=0; i<3; i++) screenDisplayModes->SetString(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize()+i, tempList[i]);
  else
    for (i=0; i<3; i++) screenDisplayModes->SetString(i, tempList[i]);

  if (screens.GetSize()>0 && screens.Get(screenCurrent).GetDisplaySize()>0)
    for (i=0; i<4; i++) screenDisplayOption->SetString(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize()+i, optList[i]);
  else
    for (i=0; i<4; i++) screenDisplayOption->SetString(i, optList[i]);

  screenBox->SetLabel( _("Screen"));
  screenDeviceText->SetLabel(_("Device"));
  screenMonitorText->SetLabel(_("Monitor"));
  screenDepthText->SetLabel( _("Default Depth"));
  screenOptionText->SetLabel( _("Option"));
  screenDisplayDepthText->SetLabel(_("Display Depth"));
  screenDisplayModesText->SetLabel(_("Mode"));
  screenDisplayOptionText->SetLabel(_("Option"));

  tempList[1]=_("Add Server Layout");
  tempList[2]=_("Delete Server Layout");

  for (i=0; i<3; i++) serverLayoutIdentifier->SetString(serverLayouts.GetSize()+i, tempList[i]);
  if (serverLayouts.GetSize()>0)
    for (i=0; i<4; i++) serverLayoutOption->SetString(serverLayouts.Get(serverLayoutCurrent).GetOptionSize()+i, optList[i]);
  else
    for (i=0; i<4; i++) serverLayoutOption->SetString(i, optList[i]);

  tempList[1]=_("Add Screen");
  tempList[2]=_("Delete Screen");

  if (serverLayouts.GetSize()>0)
  {
    for (i=0; i<3; i++) serverLayoutScreen->SetString(serverLayouts.Get(serverLayoutCurrent).GetScreenSize()+i, tempList[i]);
    for (i=0; i<serverLayouts.Get(serverLayoutCurrent).GetScreenSize(); i++)
    {
      wxString tempStr;
      tempStr << _("Screen") << _T(" ") << i;
      serverLayoutScreen->SetString(i, tempStr);
    }
    if (serverLayouts.Get(serverLayoutCurrent).GetScreenSize()>0) serverLayoutScreen->SetValue(serverLayoutScreen->GetStringSelection());
  }
  else
    for (i=0; i<3; i++) serverLayoutScreen->SetString(i, tempList[i]);

  tempList[1]=_("Add Input Device");
  tempList[2]=_("Delete Input Device");

  if (serverLayouts.GetSize()>0)
  {
    for (i=0; i<3; i++) serverLayoutInputDevice->SetString(serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()+i, tempList[i]);
    for (i=0; i<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize(); i++)
    {
      wxString tempStr;
      tempStr << _("Input Device") << _T(" ") << i;
      serverLayoutInputDevice->SetString(i, tempStr);
    }
    if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()>0) serverLayoutInputDevice->SetValue(serverLayoutInputDevice->GetStringSelection());
  }
  else
    for (i=0; i<3; i++) serverLayoutInputDevice->SetString(i, tempList[i]);

  if (serverLayouts.GetSize()>0 && serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()>0)
    for (i=0; i<3; i++) serverLayoutInputDeviceOption->SetString(serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent)+i, optList[i]);
  else
    for (i=0; i<3; i++) serverLayoutInputDeviceOption->SetString(i, optList[i]);

  serverLayoutBox->SetLabel(_("Server Layout"));
  serverLayoutScreenNumberText->SetLabel(_("Number"));
  serverLayoutScreenPositionText->SetLabel(_("Position"));
  serverLayoutOptionText->SetLabel(_("Option"));
  serverLayoutInputDeviceOptionText->SetLabel(_("Option"));

  tempList[1]=_("Add Server Flag");
  tempList[2]=_("Delete Server Flag");
  tempList[3]=_("De/Activate Server Flag");

  for (i=0; i<4; i++) serverFlagsOption->SetString(serverFlags.GetOptionSize()+i, tempList[i]);

  serverFlagBox->SetLabel(_("Server Flags"));

  tempList[1]=_("Add Extension");
  tempList[2]=_("Delete Extension");
  tempList[3]=_("De/Activate Extension");

  for (i=0; i<4; i++) extensionOption->SetString(extensions.GetOptionSize()+i, tempList[i]);

  extensionBox->SetLabel(_("Extensions"));

  tempList[1]=_("Add Module");
  tempList[2]=_("Delete Module");
  tempList[3]=_("De/Activate Module");

  for (i=0; i<4; i++) moduleIdentifier->SetString(modules.GetSize()+i, tempList[i]);
  if (modules.GetSize()>0)
    for (i=0; i<4; i++) moduleOption->SetString(modules.GetOptionSize(moduleCurrent)+i, optList[i]);
  else
    for (i=0; i<4; i++) moduleOption->SetString(i, optList[i]);

  moduleBox->SetLabel( _("Modules"));
  moduleOptionText->SetLabel( _("Option"));

  filesBox->SetLabel(_("Files"));

  tempList[1]=_("Add Font Path");
  tempList[2]=_("Delete Font Path");
  tempList[3]=_("De/Activate Font Path");

  for (i=0; i<4; i++) fontPath->SetString(files.GetFontPathSize()+i, tempList[i]);
  fontPathText->SetLabel(_("Font Path"));

  tempList[1]=_("Add Module Path");
  tempList[2]=_("Delete Module Path");
  tempList[3]=_("De/Activate Module Path");

  for (i=0; i<4; i++) modulePath->SetString(files.GetModulePathSize()+i, tempList[i]);
  modulePathText->SetLabel(_("Module Path"));

  tempList[1]=_("Add RGB Path");
  tempList[2]=_("Delete RGB Path");
  tempList[3]=_("De/Activate RGB Path");

  for (i=0; i<4; i++) rgbPath->SetString(files.GetRgbPathSize()+i, tempList[i]);
  rgbPathText->SetLabel(_("RGB Path"));

  driBox->SetLabel(_("DRI"));

}

///////////////////////////////////////////////////////

void guiFrame::EnterDevice(wxCommandEvent& event)
{
  if (deviceIdentifier->GetSelection()==deviceCurrent && deviceIdentifier->GetSelection()<devices.GetSize())
  {
    if (deviceIdentifierText!=deviceIdentifier->GetValue());
    {
      deviceIdentifierText=deviceIdentifier->GetValue();
      deviceIdentifier->SetString(deviceCurrent, deviceIdentifier->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterDeviceOption(wxCommandEvent& event)
{
  if (deviceOption->GetSelection()==deviceOptionCurrent && deviceOption->GetSelection()<devices.Get(deviceCurrent).GetOptionSize())
  {
    if (devices.Get(deviceCurrent).GetOption(deviceOptionCurrent).GetName()!=deviceOption->GetValue())
    {
      devices[deviceCurrent].GetOptionE(deviceOptionCurrent).SetName(deviceOption->GetValue());
      deviceOption->SetString(deviceOptionCurrent, deviceOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterInputDevice(wxCommandEvent& event)
{
  if (inputDeviceIdentifier->GetSelection()==inputDeviceCurrent && inputDeviceIdentifier->GetSelection()<inputDevices.GetSize())
  {
    if (inputDeviceIdentifierText!=inputDeviceIdentifier->GetValue());
    {
      inputDeviceIdentifierText=inputDeviceIdentifier->GetValue();
      inputDeviceIdentifier->SetString(inputDeviceCurrent, inputDeviceIdentifier->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterInputDeviceOption(wxCommandEvent& event)
{
  if (inputDeviceOption->GetSelection()==inputDeviceOptionCurrent && inputDeviceOption->GetSelection()<inputDevices.Get(inputDeviceCurrent).GetOptionSize())
  {
    if (inputDevices.Get(inputDeviceCurrent).GetOption(inputDeviceOptionCurrent).GetName()!=inputDeviceOption->GetValue())
    {
      inputDevices[inputDeviceCurrent].GetOptionE(inputDeviceOptionCurrent).SetName(inputDeviceOption->GetValue());
      inputDeviceOption->SetString(inputDeviceOptionCurrent, inputDeviceOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterMonitor(wxCommandEvent& event)
{
  if (monitorIdentifier->GetSelection()==monitorCurrent && monitorIdentifier->GetSelection()<monitors.GetSize())
  {
    if (monitorIdentifierText!=monitorIdentifier->GetValue());
    {
      monitorIdentifierText=monitorIdentifier->GetValue();
      monitorIdentifier->SetString(monitorCurrent, monitorIdentifier->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterMonitorOption(wxCommandEvent& event)
{
  if (monitorOption->GetSelection()==monitorOptionCurrent && monitorOption->GetSelection()<monitors.Get(monitorCurrent).GetOptionSize())
  {
    if (monitors.Get(monitorCurrent).GetOption(monitorOptionCurrent).GetName()!=monitorOption->GetValue())
    {
      monitors[monitorCurrent].GetOptionE(monitorOptionCurrent).SetName(monitorOption->GetValue());
      monitorOption->SetString(monitorOptionCurrent, monitorOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterMonitorModeline(wxCommandEvent& event)
{
  if (monitorModelineName->GetSelection()==monitorModelineCurrent && monitorModelineName->GetSelection()<monitors.Get(monitorCurrent).GetModelineSize())
  {
    if (monitors.Get(monitorCurrent).GetModeline(monitorModelineCurrent).GetName()!=monitorModelineName->GetValue())
    {
      monitors[monitorCurrent].GetModelineE(monitorModelineCurrent).SetName(monitorModelineName->GetValue());
      monitorModelineName->SetString(monitorModelineCurrent, monitorModelineName->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterScreen(wxCommandEvent& event)
{
  if (screenIdentifier->GetSelection()==screenCurrent && screenIdentifier->GetSelection()<screens.GetSize())
  {
    if (screenIdentifierText!=screenIdentifier->GetValue());
    {
      screenIdentifierText=screenIdentifier->GetValue();
      screenIdentifier->SetString(screenCurrent, screenIdentifier->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterScreenOption(wxCommandEvent& event)
{
  if (screenOption->GetSelection()==screenOptionCurrent && screenOption->GetSelection()<screens.Get(screenCurrent).GetOptionSize())
  {
    if (screens.Get(screenCurrent).GetOption(screenOptionCurrent).GetName()!=screenOption->GetValue())
    {
      screens[screenCurrent].GetOptionE(screenOptionCurrent).SetName(screenOption->GetValue());
      screenOption->SetString(screenOptionCurrent, screenOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterScreenDiplay(wxCommandEvent& event)
{
  if (screenDisplayDepth->GetSelection()==screenDisplayCurrent && screenDisplayDepth->GetSelection()<screens.Get(screenCurrent).GetDisplaySize())
  {
    if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetDepth()!=screenDisplayDepth->GetValue())
    {
      screens[screenCurrent].GetDisplayE(screenDisplayCurrent).SetDepth(screenDisplayDepth->GetValue());
      screenDisplayDepth->SetString(screenDisplayCurrent, screenDisplayDepth->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterScreenDiplayMode(wxCommandEvent& event)
{
  if (screenDisplayModes->GetSelection()==screenDisplayModeCurrent && screenDisplayModes->GetSelection()<screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize())
  {
    if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetMode(screenDisplayModeCurrent)!=screenDisplayModes->GetValue())
    {
      screens[screenCurrent].GetDisplayE(screenDisplayCurrent).SetMode(screenDisplayModeCurrent, screenDisplayModes->GetValue());
      screenDisplayModes->SetString(screenDisplayModeCurrent, screenDisplayModes->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterScreenDiplayOption(wxCommandEvent& event)
{
  if (screenDisplayOption->GetSelection()==screenDisplayOptionCurrent && screenDisplayOption->GetSelection()<screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize())
  {
    if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).GetName()!=screenDisplayOption->GetValue())
    {
      screens[screenCurrent].GetDisplayE(screenDisplayCurrent).GetOptionE(screenDisplayOptionCurrent).SetName(screenDisplayOption->GetValue());
      screenDisplayOption->SetString(screenDisplayOptionCurrent, screenDisplayOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterServerLayout(wxCommandEvent& event)
{
  if (serverLayoutIdentifier->GetSelection()==serverLayoutCurrent && serverLayoutIdentifier->GetSelection()<serverLayouts.GetSize())
  {
    if (serverLayouts.Get(serverLayoutCurrent).GetId()!=serverLayoutIdentifier->GetValue())
    {
      serverLayouts[serverLayoutCurrent].SetId(serverLayoutIdentifier->GetValue());
      serverLayoutIdentifier->SetString(serverLayoutCurrent, serverLayoutIdentifier->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterServerLayoutOption(wxCommandEvent& event)
{
  if (serverLayoutOption->GetSelection()==serverLayoutOptionCurrent && serverLayoutOption->GetSelection()<serverLayouts.Get(serverLayoutCurrent).GetOptionSize())
  {
    if (serverLayouts.Get(serverLayoutCurrent).GetOption(serverLayoutOptionCurrent).GetName()!=serverLayoutOption->GetValue())
    {
      serverLayouts[serverLayoutCurrent].GetOptionE(serverLayoutOptionCurrent).SetName(serverLayoutOption->GetValue());
      serverLayoutOption->SetString(serverLayoutOptionCurrent, serverLayoutOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterServerLayoutInputDeviceOption(wxCommandEvent& event)
{
  if (serverLayoutInputDeviceOption->GetSelection()==serverLayoutIDevOptionCurrent && serverLayoutInputDeviceOption->GetSelection()<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent))
  {
    if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOption(serverLayoutIDevCurrent, serverLayoutIDevOptionCurrent).GetName()!=serverLayoutInputDeviceOption->GetValue())
    {
      // serverLayouts[serverLayoutCurrent].SetInputDeviceOption(serverLayoutIDevCurrent, serverLayoutIDevOptionCurrent, serverLayoutInputDeviceOption->GetValue(), serverLayoutInputDeviceOptValue->GetValue());
      serverLayouts[serverLayoutCurrent].GetInputDeviceOptionE(serverLayoutIDevCurrent, serverLayoutIDevOptionCurrent).SetName(serverLayoutInputDeviceOption->GetValue());
      serverLayoutInputDeviceOption->SetString(serverLayoutIDevOptionCurrent, serverLayoutInputDeviceOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterServerFlagOption(wxCommandEvent& event)
{
  if (serverFlagsOption->GetSelection()==serverFlagCurrent && serverFlagsOption->GetSelection()<serverFlags.GetOptionSize())
  {
    if (serverFlags.GetOption(serverFlagCurrent).GetName()!=serverFlagsOption->GetValue())
    {
      serverFlags.GetOptionE(serverFlagCurrent).SetName(serverFlagsOption->GetValue());
      serverFlagsOption->SetString(serverFlagCurrent, serverFlagsOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterExtension(wxCommandEvent& event)
{
  if (extensionOption->GetSelection()==extensionCurrent && extensionOption->GetSelection()<extensions.GetOptionSize())
  {
    if (extensions.GetOption(extensionCurrent).GetName()!=extensionOption->GetValue())
    {
      extensions.GetOptionE(extensionCurrent).SetName(extensionOption->GetValue());
      extensionOption->SetString(extensionCurrent, extensionOption->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterFontPath(wxCommandEvent& event)
{
  if (fontPath->GetSelection()==fontPathCurrent && fontPath->GetSelection()<files.GetFontPathSize())
  {
    if (files.GetFontPath(fontPathCurrent)!=fontPath->GetValue())
    {
      files.SetFontPath(fontPathCurrent, fontPath->GetValue());
      fontPath->SetString(fontPathCurrent, fontPath->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterModulePath(wxCommandEvent& event)
{
  if (modulePath->GetSelection()==modulePathCurrent && modulePath->GetSelection()<files.GetModulePathSize())
  {
    if (files.GetModulePath(modulePathCurrent)!=modulePath->GetValue())
    {
      files.SetModulePath(modulePathCurrent, modulePath->GetValue());
      modulePath->SetString(modulePathCurrent, modulePath->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterRgbPath(wxCommandEvent& event)
{
  if (rgbPath->GetSelection()==rgbPathCurrent && rgbPath->GetSelection()<files.GetRgbPathSize())
  {
    if (files.GetRgbPath(rgbPathCurrent)!=rgbPath->GetValue())
    {
      files.SetRgbPath(rgbPathCurrent, rgbPath->GetValue());
      rgbPath->SetString(rgbPathCurrent, rgbPath->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterModule(wxCommandEvent& event)
{
  if (moduleIdentifier->GetSelection()==moduleCurrent && moduleIdentifier->GetSelection()<modules.GetSize())
  {
    if (modules.Get(moduleCurrent)!=moduleIdentifier->GetValue())
    {
      modules.Set(moduleCurrent, moduleIdentifier->GetValue());
      moduleIdentifier->SetString(moduleCurrent, moduleIdentifier->GetValue());
      SetSaved(false);
    }
  }
}

void guiFrame::EnterModuleOption(wxCommandEvent& event)
{
  if (moduleOption->GetSelection()==moduleOptionCurrent && moduleOption->GetSelection()<modules.GetOptionSize(moduleCurrent))
  {
    if (modules.GetOption(moduleCurrent, moduleOptionCurrent).GetName()!=moduleOption->GetValue())
    {
      modules.GetOptionE(moduleCurrent, moduleOptionCurrent).SetName(moduleOption->GetValue());
      moduleOption->SetString(moduleOptionCurrent, moduleOption->GetValue());
      SetSaved(false);
    }
  }
}

// enter text fields

void guiFrame::EnterDeviceDriver(wxCommandEvent& event)
{
  if (devices.GetSize()==0) return;
  if (devices.Get(deviceCurrent).GetDriver()!=deviceDriver->GetValue())
  {
    devices[deviceCurrent].SetDriver(deviceDriver->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterDeviceBusID(wxCommandEvent& event)
{
  if (devices.GetSize()==0) return;
  if (devices.Get(deviceCurrent).GetBus()!=deviceBusID->GetValue())
  {
    devices[deviceCurrent].SetBus(deviceBusID->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterDeviceScreen(wxCommandEvent& event)
{
  if (devices.GetSize()==0) return;
  if (devices.Get(deviceCurrent).GetScreen()!=deviceScreen->GetValue())
  {
    devices[deviceCurrent].SetScreen(deviceScreen->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterDevicVideoRam(wxCommandEvent& event)
{
  if (devices.GetSize()==0) return;
  if (devices.Get(deviceCurrent).GetVideoRam()!=deviceVideoRam->GetValue())
  {
    devices[deviceCurrent].SetVideoRam(deviceVideoRam->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterDeviceOptValue(wxCommandEvent& event)
{
  if (devices.GetSize()==0 || devices.Get(deviceCurrent).GetOptionSize()==0) return;
  if (devices.Get(deviceCurrent).GetOption(deviceOptionCurrent).GetValue()!=deviceOptValue->GetValue())
  {
    devices[deviceCurrent].GetOptionE(deviceOptionCurrent).SetValue(deviceOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterMonitorHorizSync(wxCommandEvent& event)
{
  if (monitors.GetSize()==0) return;
  if (monitors.Get(monitorCurrent).GetHorSync()!=monitorHorizSync->GetValue())
  {
    monitors[monitorCurrent].SetHorSync(monitorHorizSync->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterMonitorVertRefresh(wxCommandEvent& event)
{
  if (monitors.GetSize()==0) return;
  if (monitors.Get(monitorCurrent).GetVertRef()!=monitorVertRefresh->GetValue())
  {
    monitors[monitorCurrent].SetVertRef(monitorVertRefresh->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterMonitorDisplay(wxCommandEvent& event)
{
  if (monitors.GetSize()==0) return;
  if (monitors.Get(monitorCurrent).GetDisplaySize()!=monitorDisplay->GetValue())
  {
    monitors[monitorCurrent].SetDisplaySize(monitorDisplay->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterMonitorGamma(wxCommandEvent& event)
{
  if (monitors.GetSize()==0) return;
  if (monitors.Get(monitorCurrent).GetGamma()!=monitorGamma->GetValue())
  {
    monitors[monitorCurrent].SetGamma(monitorGamma->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterMonitorOptValue(wxCommandEvent& event)
{
  if (monitors.GetSize()==0 || monitors.Get(monitorCurrent).GetOptionSize()==0) return;
  if (monitors.Get(monitorCurrent).GetOption(monitorOptionCurrent).GetValue()!=monitorOptValue->GetValue())
  {
    monitors[monitorCurrent].GetOptionE(monitorOptionCurrent).SetValue(monitorOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterMonitorModelineOption(wxCommandEvent& event)
{
  if (monitors.GetSize()==0 || monitors.Get(monitorCurrent).GetModelineSize()==0) return;
  if (monitors.Get(monitorCurrent).GetModeline(monitorModelineCurrent).GetValue()!=monitorModelineOption->GetValue())
  {
    monitors[monitorCurrent].GetModelineE(monitorModelineCurrent).SetValue(monitorModelineOption->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterInputDeviceDriver(wxCommandEvent& event)
{
  if (inputDevices.GetSize()==0) return;
  if (inputDevices.Get(inputDeviceCurrent).GetDriver()!=inputDeviceDriver->GetValue())
  {
    inputDevices[inputDeviceCurrent].SetDriver(inputDeviceDriver->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterInputDeviceOptValue(wxCommandEvent& event)
{
  if (inputDevices.GetSize()==0 || inputDevices.Get(inputDeviceCurrent).GetOptionSize()==0) return;
  if (inputDevices.Get(inputDeviceCurrent).GetOption(inputDeviceOptionCurrent).GetValue()!=inputDeviceOptValue->GetValue())
  {
    inputDevices[inputDeviceCurrent].GetOptionE(inputDeviceOptionCurrent).SetValue(inputDeviceOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterScreenDepth(wxCommandEvent& event)
{
  if (screens.GetSize()==0) return;
  if (screens.Get(screenCurrent).GetDefaultDepth()!=screenDepth->GetValue())
  {
    screens[screenCurrent].SetDefaultDepth(screenDepth->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterScreenOptValue(wxCommandEvent& event)
{
  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetOptionSize()==0) return;
  if (screens.Get(screenCurrent).GetOption(screenOptionCurrent).GetValue()!=screenOptValue->GetValue())
  {
    screens[screenCurrent].GetOptionE(screenOptionCurrent).SetValue(screenOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterScreenDisplayViewport(wxCommandEvent& event)
{
  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0) return;
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetViewPort()!=screenDisplayViewport->GetValue())
  {
    screens[screenCurrent].GetDisplayE(screenDisplayCurrent).SetViewPort(screenDisplayViewport->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterScreenDisplayVirtual(wxCommandEvent& event)
{
  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0) return;
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetVirtual()!=screenDisplayVirtual->GetValue())
  {
    screens[screenCurrent].GetDisplayE(screenDisplayCurrent).SetVirtual(screenDisplayVirtual->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterScreenDisplayOptValue(wxCommandEvent& event)
{
  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0 || screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize()==0) return;
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).GetValue()!=screenDisplayOptValue->GetValue())
  {
    screens[screenCurrent].GetDisplayE(screenDisplayCurrent).GetOptionE(screenDisplayOptionCurrent).SetValue(screenDisplayOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterServerLayoutScreenNumber(wxCommandEvent& event)
{
  if (serverLayouts.GetSize()==0) return;
  if (serverLayouts.Get(serverLayoutCurrent).GetScreenNumber(serverLayoutScreenCurrent)!=serverLayoutScreenNumber->GetValue())
  {
    serverLayouts[serverLayoutCurrent].SetScreenNumber(serverLayoutScreenCurrent, serverLayoutScreenNumber->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterServerLayoutScreenPosition(wxCommandEvent& event)
{
  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetScreenSize()==0) return;
  if (serverLayouts.Get(serverLayoutCurrent).GetScreenPosition(serverLayoutScreenCurrent)!=serverLayoutScreenPosition->GetValue())
  {
    serverLayouts[serverLayoutCurrent].SetScreenPosition(serverLayoutScreenCurrent, serverLayoutScreenPosition->GetValue());
    SetSaved(false);
  }

  wxString tempStr=serverLayoutScreenPosition->GetValue();
  tempStr.Trim(false);
  tempStr.Trim(true);
  tempStr.MakeLower();

  if (tempStr==_T("rightof") || tempStr==_T("leftof") || tempStr==_T("above") || tempStr==_T("below"))
  {
    serverLayoutScreen2->Enable(true);
  }
  else
  {
    serverLayoutScreen2->Enable(false);
    serverLayouts[serverLayoutCurrent].SetSecondScreen(serverLayoutScreenCurrent, wxEmptyString);
  }
}

void guiFrame::EnterServerLayoutOptValue(wxCommandEvent& event)
{
  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetOptionSize()==0) return;
  if (serverLayouts.Get(serverLayoutCurrent).GetOption(serverLayoutOptionCurrent).GetValue()!=serverLayoutOptValue->GetValue())
  {
    serverLayouts[serverLayoutCurrent].GetOptionE(serverLayoutOptionCurrent).SetValue(serverLayoutOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterServerFlagsOptValue(wxCommandEvent& event)
{
  if (serverFlags.GetOptionSize()==0) return;
  if (serverFlags.GetOption(serverFlagCurrent).GetValue()!=serverFlagsOptValue->GetValue())
  {
    serverFlags.GetOptionE(serverFlagCurrent).SetValue(serverFlagsOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterExtensionOptValue(wxCommandEvent& event)
{
  if (extensions.GetOptionSize()==0) return;
  if (extensions.GetOption(extensionCurrent).GetValue()!=extensionOptValue->GetValue())
  {
    extensions.GetOptionE(extensionCurrent).SetValue(extensionOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterModuleOptValue(wxCommandEvent& event)
{
  if (modules.GetSize()==0 || modules.GetOptionSize(moduleCurrent)==0) return;
  if (modules.GetOption(moduleCurrent, moduleOptionCurrent).GetValue()!=moduleOptValue->GetValue())
  {
    modules.GetOptionE(moduleCurrent, moduleOptionCurrent).SetValue(moduleOptValue->GetValue());
    SetSaved(false);
  }
}

void guiFrame::EnterDriMode(wxCommandEvent& event)
{
  if (driModeEntry!=driMode->GetValue())
  {
    driModeEntry=driMode->GetValue();
    SetSaved(false);
  }
}

void guiFrame::SelectScreenDevice(wxCommandEvent& event)
{
  if (screens.Get(screenCurrent).GetDevice()!=screenDevice->GetStringSelection())
  {
    screens[screenCurrent].SetDevice(screenDevice->GetStringSelection());
    SetSaved(false);
  }
}

void guiFrame::SelectScreenMonitor(wxCommandEvent& event)
{
  if (screens.Get(screenCurrent).GetMonitor()!=screenMonitor->GetStringSelection())
  {
    screens[screenCurrent].SetMonitor(screenMonitor->GetStringSelection());
    SetSaved(false);
  }
}

void guiFrame::SelectServerLayoutScreen1(wxCommandEvent& event)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetScreen(serverLayoutScreenCurrent)!=serverLayoutScreen1->GetStringSelection())
  {
    serverLayouts[serverLayoutCurrent].SetScreen(serverLayoutScreenCurrent, serverLayoutScreen1->GetStringSelection());
    SetSaved(false);
  }
}

void guiFrame::SelectServerLayoutScreen2(wxCommandEvent& event)
{
  if (serverLayoutScreen2->IsEnabled())
  {
    if (serverLayouts.Get(serverLayoutCurrent).GetSecondScreen(serverLayoutScreenCurrent)!=serverLayoutScreen2->GetStringSelection())
    {
      serverLayouts[serverLayoutCurrent].SetSecondScreen(serverLayoutScreenCurrent, serverLayoutScreen2->GetStringSelection());
      SetSaved(false);
    }
  }
  else
  {
    if (serverLayouts.Get(serverLayoutCurrent).GetSecondScreen(serverLayoutScreenCurrent)!=wxEmptyString)
    {
      serverLayouts[serverLayoutCurrent].SetSecondScreen(serverLayoutScreenCurrent, wxEmptyString);
      SetSaved(false);
    }
  }
}

void guiFrame::SelectServerLayoutInputDevice1(wxCommandEvent& event)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetInputDevice(serverLayoutIDevCurrent)!=serverLayoutInputDevice1->GetStringSelection())
  {
    serverLayouts[serverLayoutCurrent].SetInputDevice(serverLayoutIDevCurrent, serverLayoutInputDevice1->GetStringSelection());
    SetSaved(false);
  }
}

void guiFrame::SelectDevice(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=devices.GetSize())  // special command (add, delete)
  {
    selection-=devices.GetSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddDevice();
    else if (selection==2) DelDevice();
  }
  else if (CheckDevice())
  {
    AcceptDevice();
    deviceCurrent=selection;
  }

  UpdateDevice();
}

void guiFrame::SelectDeviceOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=devices.Get(deviceCurrent).GetOptionSize())  // special command (add, delete)
  {
    selection-=devices.Get(deviceCurrent).GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddDeviceOption();
    else if (selection==2) DelDeviceOption();
    else if (selection==3) DeActDeviceOption();
  }
  else if (CheckDeviceOption()) deviceOptionCurrent=selection;

  UpdateDeviceOption();
}

void guiFrame::SelectInputDevice(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=inputDevices.GetSize())  // special command (add, delete)
  {
    selection-=inputDevices.GetSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddInputDevice();
    else if (selection==2) DelInputDevice();
  }
  else if (CheckInputDevice()) inputDeviceCurrent=selection;

  UpdateInputDevice();
}

void guiFrame::SelectInputDeviceOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=inputDevices.Get(inputDeviceCurrent).GetOptionSize())  // special command (add, delete)
  {
    selection-=inputDevices.Get(inputDeviceCurrent).GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddInputDeviceOption();
    else if (selection==2) DelInputDeviceOption();
    else if (selection==3) DeActInputDeviceOption();
  }
  else if (CheckInputDeviceOption()) inputDeviceOptionCurrent=selection;

  UpdateInputDeviceOption();
}

void guiFrame::SelectMonitor(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=monitors.GetSize())  // special command (add, delete)
  {
    selection-=monitors.GetSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddMonitor();
    else if (selection==2) DelMonitor();
  }
  else if (CheckMonitor())
  {
    AcceptMonitor();
    monitorCurrent=selection;
  }

  UpdateMonitor();
}

void guiFrame::SelectMonitorOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=monitors.Get(monitorCurrent).GetOptionSize())  // special command (add, delete)
  {
    selection-=monitors.Get(monitorCurrent).GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddMonitorOption();
    else if (selection==2) DelMonitorOption();
    else if (selection==3) DeActMonitorOption();
  }
  else if (CheckMonitorOption()) monitorOptionCurrent=selection;

  UpdateMonitorOption();
}

void guiFrame::SelectMonitorModeline(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=monitors.Get(monitorCurrent).GetModelineSize())  // special command (add, delete)
  {
    selection-=monitors.Get(monitorCurrent).GetModelineSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddMonitorModeline();
    else if (selection==2) DelMonitorModeline();
    else if (selection==3) DeActMonitorModeline();
  }
  else if (CheckMonitorModeline()) monitorModelineCurrent=selection;

  UpdateMonitorModeline();
}

void guiFrame::SelectScreen(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=screens.GetSize())  // special command (add, delete)
  {
    selection-=screens.GetSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddScreen();
    else if (selection==2) DelScreen();
  }
  else if (CheckScreen())
  {
    AcceptScreen();
    screenCurrent=selection;
  }

  UpdateScreen();
}

void guiFrame::SelectScreenOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=screens.Get(screenCurrent).GetOptionSize())  // special command (add, delete)
  {
    selection-=screens.Get(screenCurrent).GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddScreenOption();
    else if (selection==2) DelScreenOption();
    else if (selection==3) DeActScreenOption();
  }
  else if (CheckScreenOption()) screenOptionCurrent=selection;

  UpdateScreenOption();
}

void guiFrame::SelectScreenDiplay(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=screens.Get(screenCurrent).GetDisplaySize())  // special command (add, delete)
  {
    selection-=screens.Get(screenCurrent).GetDisplaySize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddScreenDisplay();
    else if (selection==2) DelScreenDisplay();
  }
  else if (CheckScreenDisplay()) screenDisplayCurrent=selection;

  UpdateScreenDisplay();
}

void guiFrame::SelectScreenDiplayMode(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize())  // special command (add, delete)
  {
    selection-=screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddScreenDisplayMode();
    else if (selection==2) DelScreenDisplayMode();
  }
  else if (CheckScreenDisplayMode()) screenDisplayModeCurrent=selection;

  UpdateScreenDisplayMode();
}

void guiFrame::SelectScreenDiplayOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize())  // special command (add, delete)
  {
    selection-=screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddScreenDisplayOption();
    else if (selection==2) DelScreenDisplayOption();
    else if (selection==3) DeActScreenDisplayOption();
  }
  else if (CheckScreenDisplayOption()) screenDisplayOptionCurrent=selection;

  UpdateScreenDisplayOption();
}

void guiFrame::SelectServerLayout(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=serverLayouts.GetSize())  // special command (add, delete)
  {
    selection-=serverLayouts.GetSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddServerLayout();
    else if (selection==2) DelServerLayout();
  }
  else if (CheckServerLayout()) serverLayoutCurrent=selection;

  UpdateServerLayout();
}

void guiFrame::SelectServerLayoutScreen(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=serverLayouts.Get(serverLayoutCurrent).GetScreenSize())  // special command (add, delete)
  {
    selection-=serverLayouts.Get(serverLayoutCurrent).GetScreenSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddServerLayoutScreen();
    else if (selection==2) DelServerLayoutScreen();
  }
  else if (CheckServerLayoutScreen()) serverLayoutScreenCurrent=selection;

  UpdateServerLayoutScreen();
}

void guiFrame::SelectServerLayoutInputDevice(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize())  // special command (add, delete)
  {
    selection-=serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddServerLayoutInputDevice();
    else if (selection==2) DelServerLayoutInputDevice();
  }
  else if (CheckServerLayoutInputDevice()) serverLayoutIDevCurrent=selection;

  UpdateServerLayoutInputDevice();
}

void guiFrame::SelectServerLayoutOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=serverLayouts.Get(serverLayoutCurrent).GetOptionSize())  // special command (add, delete)
  {
    selection-=serverLayouts.Get(serverLayoutCurrent).GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddServerLayoutOption();
    else if (selection==2) DelServerLayoutOption();
    else if (selection==3) DeActServerLayoutOption();
  }
  else if (CheckServerLayoutOption()) serverLayoutOptionCurrent=selection;

  UpdateServerLayoutOption();
}

void guiFrame::SelectServerLayoutInputDeviceOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent))  // special command (add, delete)
  {
    selection-=serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent);   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddServerLayoutInputDeviceOption();
    else if (selection==2) DelServerLayoutInputDeviceOption();
  }
  else if (CheckServerLayoutInputDeviceOption()) serverLayoutIDevOptionCurrent=selection;

  UpdateServerLayoutInputDeviceOption();
}

void guiFrame::SelectServerFlagOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=serverFlags.GetOptionSize())  // special command (add, delete)
  {
    selection-=serverFlags.GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddServerFlagOption();
    else if (selection==2) DelServerFlagOption();
    else if (selection==3) DeActServerFlagOption();
  }
  else if (CheckServerFlagOption()) serverFlagCurrent=selection;

  UpdateServerFlagOption();
}

void guiFrame::SelectExtension(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=extensions.GetOptionSize())  // special command (add, delete)
  {
    selection-=extensions.GetOptionSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddExtension();
    else if (selection==2) DelExtension();
    else if (selection==3) DeActExtension();
  }
  else if (CheckExtension()) extensionCurrent=selection;

  UpdateExtension();
}

void guiFrame::SelectFontPath(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=files.GetFontPathSize())  // special command (add, delete)
  {
    selection-=files.GetFontPathSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddFontPath();
    else if (selection==2) DelFontPath();
    else if (selection==3) DeActFontPath();
  }
  else if (CheckFontPath()) fontPathCurrent=selection;

  UpdateFontPath();
}

void guiFrame::SelectModulePath(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=files.GetModulePathSize())  // special command (add, delete)
  {
    selection-=files.GetModulePathSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddModulePath();
    else if (selection==2) DelModulePath();
    else if (selection==3) DeActModulePath();
  }
  else if (CheckModulePath()) modulePathCurrent=selection;

  UpdateModulePath();
}

void guiFrame::SelectRgbPath(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=files.GetRgbPathSize())  // special command (add, delete)
  {
    selection-=files.GetRgbPathSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddRgbPath();
    else if (selection==2) DelRgbPath();
    else if (selection==3) DeActRgbPath();
  }
  else if (CheckRgbPath()) rgbPathCurrent=selection;

  UpdateRgbPath();
}

void guiFrame::SelectModule(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=modules.GetSize())  // special command (add, delete)
  {
    selection-=modules.GetSize();   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddModule();
    else if (selection==2) DelModule();
    else if (selection==3) DeActModule();
  }
  else if (CheckModule()) moduleCurrent=selection;

  UpdateModule();
}

void guiFrame::SelectModuleOption(wxCommandEvent& event)
{
  int selection=event.GetSelection();  // get selected item

  if (selection>=modules.GetOptionSize(moduleCurrent))  // special command (add, delete)
  {
    selection-=modules.GetOptionSize(moduleCurrent);   // subtract, so that we only have cases 0,1,2

    if (selection==1) AddModuleOption();
    else if (selection==2) DelModuleOption();
    else if (selection==3) DeActModuleOption();
  }
  else if (CheckModuleOption()) moduleOptionCurrent=selection;

  UpdateModuleOption();
}

void guiFrame::GetRefreshRate(wxCommandEvent& event)
{  // get refresh rate with ddcprobe

  wxArrayString output;  // output of ddcprobe
  unsigned int i;        // loop counter

  if (wxExecute(_T("ddcprobe"), output, wxEXEC_SYNC)!=0)
  {
    // ddcprobe could not be executed
    wxMessageBox(_("Sorry, could not determine refresh rate."), _("No result!"), wxICON_ERROR);
    return;
  }

  // search for "monitorrange"
  for (i=0; i<output.GetCount(); i++)
  {
    if (output[i].StartsWith(_T("monitorrange:")))
    {
      wxString range=output[i];
      StripRight(range, 13);

      int pos=range.Find(',');
      if (pos==-1)
      {
        // no comma found
        wxMessageBox(_("Sorry, could not determine refresh rate."), _("No result!"), wxICON_ERROR);
        return;
      }

      wxString hor=range.Left(pos);
      StripSpaces(hor);
      wxString vert=range.Right(range.Len()-pos-1);
      StripSpaces(vert);

      monitorHorizSync->SetValue(hor);
      monitorVertRefresh->SetValue(vert);

      EnterMonitorHorizSync(event);
      EnterMonitorVertRefresh(event);

      break;
    }
  }

  if (i==output.GetCount())
  {
    // monitorrange could not be found
    wxMessageBox(_("Sorry, could not determine refresh rate."), _("No result!"), wxICON_ERROR);
    return;
  }
}

void guiFrame::GetDisplaySize(wxCommandEvent& event)
{  // calculate display size with xdpyinfo

  wxArrayString output;  // output of xdpyinfo
  unsigned int i;        // loop counter

  if (wxExecute(_T("xdpyinfo"), output, wxEXEC_SYNC)!=0)
  {
    // xdpyinfo could not be executed
    wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
    return;
  }

  // search for resolution and screen size
  for (i=0; i<output.GetCount(); i++)
  {
    if (output[i].StartsWith(_T("  dimensions:")))
    {
      wxString line=output[i];
      StripRight(line, 13);

      int pos=line.Find(_T("pixels"));
      if (pos==-1)
      {
        // no pixel entry found
        wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
        return;
      }

      wxString resolution=line.Left(pos);
      StripSpaces(resolution);

      StripRight(line, pos+6);  // remove pixels

      if (line.GetChar(0)!='(' || line.Last()!=')')
      {
        // no (...) found
        wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
      }

      line=line.Mid(1, line.Len()-2);
      StripSpaces(line);

      pos=line.Find(_T("millimeters"));
      if (pos==-1)
      {
        // no pixel entry found
        wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
        return;
      }

      wxString size=line.Left(pos);
      StripSpaces(size);

      pos=resolution.Find('x');
      if (pos==-1)
      {
        // no pixel entry found
        wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
        return;
      }

      wxString resHor=resolution.Left(pos);
      wxString resVer=resolution.Right(resolution.Len()-pos-1);

      pos=size.Find('x');
      if (pos==-1)
      {
        // no pixel entry found
        wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
        return;
      }

      wxString sizeHor=size.Left(pos);
      wxString sizeVer=size.Right(size.Len()-pos-1);

      // Note: resolution is unimportant here... will be used later for DPI maybe

      monitorDisplay->SetValue(sizeHor+_(" ")+sizeVer);
      EnterMonitorDisplay(event);

      break;
    }
  }

  if (i==output.GetCount())
  {
    // resolution could not be found
    wxMessageBox(_("Sorry, could not determine display size."), _("No result!"), wxICON_ERROR);
    return;
  }
}

void guiFrame::GenerateModeline(wxCommandEvent& event)
{  // generate modeline with gtf

  wxArrayString output;  // output of gtf
  unsigned int i;        // loop counter

  // check fields
  if (monitorModelineGeneratorXRes->GetValue().IsEmpty() || monitorModelineGeneratorYRes->GetValue().IsEmpty() || monitorModelineGeneratorFreq->GetValue().IsEmpty())
  {
    wxMessageBox(_("Please fill out all fields!"), _("Error generating modeline"), wxICON_ERROR);
    return;
  }


  if (wxExecute(_T("gtf ")+monitorModelineGeneratorXRes->GetValue()+_T(" ")+monitorModelineGeneratorYRes->GetValue()+_T(" ")+monitorModelineGeneratorFreq->GetValue(), output, wxEXEC_SYNC)!=0)
  {
    // gtf could not be executed
    wxMessageBox(_("Sorry, could not generate modeline."), _("No result!"), wxICON_ERROR);
    return;
  }


  // search for resolution and screen size
  for (i=0; i<output.GetCount(); i++)
  {
    if (output[i].StartsWith(_T("  Modeline")))
    {
      wxString line=output[i];
      StripRight(line, 10);  // delete "Modeline"

      int pos=line.Find('"');
      if (pos!=0)
      {
        // no " found
        wxMessageBox(_("Sorry, could not generate modeline."), _("No result!"), wxICON_ERROR);
        return;
      }
      StripRight(line, 1); // delete "

      pos=line.Find('"');
      if (pos==-1)
      {
        // no second " found
        wxMessageBox(_("Sorry, could not generate modeline."), _("No result!"), wxICON_ERROR);
        return;
      }

      wxString mode=line.Left(pos);
      StripSpaces(mode);

      StripRight(line, pos+1);

      monitorModelineGeneratorOutput1->SetValue(mode);
      monitorModelineGeneratorOutput2->SetValue(line);

      break;
    }
  }

  if (i==output.GetCount())
  {
    // resolution could not be found
    wxMessageBox(_("Sorry, could not generate modeline."), _("No result!"), wxICON_ERROR);
    return;
  }
}


void guiFrame::UpdateDevice(void)
{
  while (deviceIdentifier->GetCount()>3) deviceIdentifier->Delete(0);

  deviceIdentifier->Enable(true);

  if (devices.GetSize()==0)
  {
    deviceCurrent=0;
    deviceOptionCurrent=0;
    deviceDriver->Enable(false);
    deviceBusID->Enable(false);
    deviceScreen->Enable(false);
    deviceVideoRam->Enable(false);
    deviceIdentifier->SetEditable(false);
    deviceDriver->SetValue(wxEmptyString);
    deviceBusID->SetValue(wxEmptyString);
    deviceScreen->SetValue(wxEmptyString);
    deviceVideoRam->SetValue(wxEmptyString);
    deviceOptValue->SetValue(wxEmptyString);
    deviceIdentifierText=wxEmptyString;
  }
  else
  {
    deviceOptionCurrent=0;
    deviceDriver->Enable(true);
    deviceBusID->Enable(true);
    deviceScreen->Enable(true);
    deviceVideoRam->Enable(true);
    deviceIdentifier->SetEditable(true);
    deviceDriver->SetValue(devices.Get(deviceCurrent).GetDriver());
    deviceBusID->SetValue(devices.Get(deviceCurrent).GetBus());
    deviceScreen->SetValue(devices.Get(deviceCurrent).GetScreen());
    deviceVideoRam->SetValue(devices.Get(deviceCurrent).GetVideoRam());

    for (unsigned int i=0; i<devices.GetSize(); i++)
    {
      deviceIdentifier->Insert(devices.Get(i).GetId(), i);
    }
    deviceIdentifierText=devices.Get(deviceCurrent).GetId();
  }
  deviceIdentifier->SetSelection(deviceCurrent);

  UpdateDeviceOption();
}

void guiFrame::UpdateDeviceOption(void)
{
  while (deviceOption->GetCount()>4) deviceOption->Delete(0);

  if (devices.GetSize()==0) deviceOption->Enable(false);
  else deviceOption->Enable(true);

  if (devices.GetSize()==0 || devices.Get(deviceCurrent).GetOptionSize()==0)
  {
    deviceOptionCurrent=0;
    deviceOptValue->Enable(false);
    deviceOptValue->SetValue(wxEmptyString);
    deviceOption->SetEditable(false);
  }
  else
  {
    deviceOptValue->SetValue(devices.Get(deviceCurrent).GetOption(deviceOptionCurrent).GetValue());
    if (devices.Get(deviceCurrent).GetOption(deviceOptionCurrent).IsActive())
    {
      deviceOptValue->Enable(true);
      deviceOption->SetEditable(true);
    }
    else
    {
      deviceOptValue->Enable(false);
      deviceOption->SetEditable(false);
    }

    for (unsigned int i=0; i<devices.Get(deviceCurrent).GetOptionSize(); i++)
    {
      if (devices.Get(deviceCurrent).GetOption(i).IsActive())
        deviceOption->Insert(devices.Get(deviceCurrent).GetOption(i).GetName(), i);
      else
        deviceOption->Insert(devices.Get(deviceCurrent).GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  deviceOption->SetSelection(deviceOptionCurrent);
}

void guiFrame::UpdateInputDevice(void)
{
  while (inputDeviceIdentifier->GetCount()>3) inputDeviceIdentifier->Delete(0);

  inputDeviceIdentifier->Enable(true);

  if (inputDevices.GetSize()==0)
  {
    inputDeviceCurrent=0;
    inputDeviceOptionCurrent=0;
    inputDeviceDriver->Enable(false);
    inputDeviceIdentifier->SetEditable(false);
    inputDeviceDriver->SetValue(wxEmptyString);
    inputDeviceIdentifierText=wxEmptyString;
  }
  else
  {
    inputDeviceOptionCurrent=0;
    inputDeviceDriver->Enable(true);
    inputDeviceIdentifier->SetEditable(true);
    inputDeviceDriver->SetValue(inputDevices.Get(inputDeviceCurrent).GetDriver());

    for (unsigned int i=0; i<inputDevices.GetSize(); i++)
    {
      inputDeviceIdentifier->Insert(inputDevices.Get(i).GetId(), i);
    }
    inputDeviceIdentifierText=inputDevices.Get(inputDeviceCurrent).GetId();
  }
  inputDeviceIdentifier->SetSelection(inputDeviceCurrent);

  UpdateInputDeviceOption();

}

void guiFrame::UpdateInputDeviceOption(void)
{
  while (inputDeviceOption->GetCount()>4) inputDeviceOption->Delete(0);

  if (inputDevices.GetSize()==0) inputDeviceOption->Enable(false);
  else inputDeviceOption->Enable(true);

  if (inputDevices.GetSize()==0 || inputDevices.Get(inputDeviceCurrent).GetOptionSize()==0)
  {
    inputDeviceOptionCurrent=0;
    inputDeviceOptValue->Enable(false);
    inputDeviceOptValue->SetValue(wxEmptyString);
    inputDeviceOption->SetEditable(false);
  }
  else
  {
    inputDeviceOptValue->SetValue(inputDevices.Get(inputDeviceCurrent).GetOption(inputDeviceOptionCurrent).GetValue());

    if (inputDevices.Get(inputDeviceCurrent).GetOption(inputDeviceOptionCurrent).IsActive())
    {
      inputDeviceOptValue->Enable(true);
      inputDeviceOption->SetEditable(true);
    }
    else
    {
      inputDeviceOptValue->Enable(false);
      inputDeviceOption->SetEditable(false);
    }

    for (unsigned int i=0; i<inputDevices.Get(inputDeviceCurrent).GetOptionSize(); i++)
    {
      if (inputDevices.Get(inputDeviceCurrent).GetOption(i).IsActive())
        inputDeviceOption->Insert(inputDevices.Get(inputDeviceCurrent).GetOption(i).GetName(), i);
      else
        inputDeviceOption->Insert(inputDevices.Get(inputDeviceCurrent).GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  inputDeviceOption->SetSelection(inputDeviceOptionCurrent);
}

void guiFrame::UpdateMonitor(void)
{
  while (monitorIdentifier->GetCount()>3) monitorIdentifier->Delete(0);

  monitorIdentifier->Enable(true);

  if (monitors.GetSize()==0)
  {
    monitorCurrent=0;
    monitorOptionCurrent=0;
    monitorModelineCurrent=0;
    monitorHorizSync->Enable(false);
    monitorVertRefresh->Enable(false);
    monitorDisplay->Enable(false);
    monitorGamma->Enable(false);
    monitorIdentifier->SetEditable(false);
    monitorFreqButton->Enable(false);
    monitorDisplaySizeButton->Enable(false);
    monitorHorizSync->SetValue(wxEmptyString);
    monitorVertRefresh->SetValue(wxEmptyString);
    monitorDisplay->SetValue(wxEmptyString);
    monitorGamma->SetValue(wxEmptyString);
    monitorIdentifierText=wxEmptyString;
  }
  else
  {
    monitorOptionCurrent=0;
    monitorModelineCurrent=0;
    monitorHorizSync->Enable(true);
    monitorVertRefresh->Enable(true);
    monitorDisplay->Enable(true);
    monitorGamma->Enable(true);
    monitorIdentifier->SetEditable(true);
    monitorFreqButton->Enable(true);
    monitorDisplaySizeButton->Enable(true);
    monitorHorizSync->SetValue(monitors.Get(monitorCurrent).GetHorSync());
    monitorVertRefresh->SetValue(monitors.Get(monitorCurrent).GetVertRef());
    monitorDisplay->SetValue(monitors.Get(monitorCurrent).GetDisplaySize());
    monitorGamma->SetValue(monitors.Get(monitorCurrent).GetGamma());

    for (unsigned int i=0; i<monitors.GetSize(); i++)
    {
      monitorIdentifier->Insert(monitors.Get(i).GetId(), i);
    }
    monitorIdentifierText=monitors.Get(monitorCurrent).GetId();
  }
  monitorIdentifier->SetSelection(monitorCurrent);

  UpdateMonitorOption();
  UpdateMonitorModeline();

}

void guiFrame::UpdateMonitorOption(void)
{
  while (monitorOption->GetCount()>4) monitorOption->Delete(0);

  if (monitors.GetSize()==0) monitorOption->Enable(false);
  else monitorOption->Enable(true);

  if (monitors.GetSize()==0 || monitors.Get(monitorCurrent).GetOptionSize()==0)
  {
    monitorOptionCurrent=0;
    monitorOptValue->Enable(false);
    monitorOptValue->SetValue(wxEmptyString);
    monitorOption->SetEditable(false);
  }
  else
  {
    monitorOptValue->SetValue(monitors.Get(monitorCurrent).GetOption(monitorOptionCurrent).GetValue());

    if (monitors.Get(monitorCurrent).GetOption(monitorOptionCurrent).IsActive())
    {
      monitorOptValue->Enable(true);
      monitorOption->SetEditable(true);
    }
    else
    {
      monitorOptValue->Enable(false);
      monitorOption->SetEditable(false);
    }

    for (unsigned int i=0; i<monitors.Get(monitorCurrent).GetOptionSize(); i++)
    {
      if (monitors.Get(monitorCurrent).GetOption(i).IsActive())
        monitorOption->Insert(monitors.Get(monitorCurrent).GetOption(i).GetName(), i);
      else
        monitorOption->Insert(monitors.Get(monitorCurrent).GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  monitorOption->SetSelection(monitorOptionCurrent);
}

void guiFrame::UpdateMonitorModeline(void)
{
  while (monitorModelineName->GetCount()>4) monitorModelineName->Delete(0);

  if (monitors.GetSize()==0) monitorModelineName->Enable(false);
  else monitorModelineName->Enable(true);

  if (monitors.GetSize()==0 || monitors.Get(monitorCurrent).GetModelineSize()==0)
  {
    monitorModelineCurrent=0;
    monitorModelineOption->Enable(false);
    monitorModelineOption->SetValue(wxEmptyString);
    monitorModelineName->SetEditable(false);
  }
  else
  {
    monitorModelineOption->SetValue(monitors.Get(monitorCurrent).GetModeline(monitorModelineCurrent).GetValue());

    if (monitors.Get(monitorCurrent).GetModeline(monitorModelineCurrent).IsActive())
    {
      monitorModelineOption->Enable(true);
      monitorModelineName->SetEditable(true);
    }
    else
    {
      monitorModelineOption->Enable(false);
      monitorModelineName->SetEditable(false);
    }

    for (unsigned int i=0; i<monitors.Get(monitorCurrent).GetModelineSize(); i++)
    {
      if (monitors.Get(monitorCurrent).GetModeline(i).IsActive())
        monitorModelineName->Insert(monitors.Get(monitorCurrent).GetModeline(i).GetName(), i);
      else
        monitorModelineName->Insert(monitors.Get(monitorCurrent).GetModeline(i).GetName()+_(" [inactive]"), i);
    }
  }
  monitorModelineName->SetSelection(monitorModelineCurrent);
}

void guiFrame::UpdateScreen(void)
{
  while (screenIdentifier->GetCount()>3) screenIdentifier->Delete(0);
  screenDevice->Clear();
  screenMonitor->Clear();

  screenIdentifier->Enable(true);

  unsigned int i;

  if (screens.GetSize()==0)
  {
    screenCurrent=0;
    screenOptionCurrent=0;
    screenDisplayCurrent=0;
    screenDisplayModeCurrent=0;
    screenDisplayOptionCurrent=0;
    screenDepth->Enable(false);
    screenDevice->Enable(false);
    screenMonitor->Enable(false);
    screenIdentifier->SetEditable(false);
    screenDepth->SetValue(wxEmptyString);
    screenIdentifierText=wxEmptyString;
  }
  else
  {
    screenOptionCurrent=0;
    screenDisplayCurrent=0;
    screenDisplayModeCurrent=0;
    screenDisplayOptionCurrent=0;
    screenDepth->Enable(true);
    screenDevice->Enable(true);
    screenMonitor->Enable(true);
    screenIdentifier->SetEditable(true);
    screenDepth->SetValue(screens.Get(screenCurrent).GetDefaultDepth());

    for (i=0; i<devices.GetSize(); i++)
    {
      screenDevice->Append(devices.Get(i).GetId());
    }
    screenDevice->SetStringSelection(screens.Get(screenCurrent).GetDevice());

    for (i=0; i<monitors.GetSize(); i++)
    {
      screenMonitor->Append(monitors.Get(i).GetId());
    }
    screenMonitor->SetStringSelection(screens.Get(screenCurrent).GetMonitor());

    for (i=0; i<screens.GetSize(); i++)
    {
      screenIdentifier->Insert(screens.Get(i).GetId(), i);
    }
    screenIdentifierText=screens.Get(screenCurrent).GetId();

  }
  screenIdentifier->SetSelection(screenCurrent);

  UpdateScreenOption();
  UpdateScreenDisplay();
}

void guiFrame::UpdateScreenOption(void)
{
  while (screenOption->GetCount()>4) screenOption->Delete(0);

  if (screens.GetSize()==0) screenOption->Enable(false);
  else screenOption->Enable(true);

  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetOptionSize()==0)
  {
    screenOptionCurrent=0;
    screenOptValue->Enable(false);
    screenOptValue->SetValue(wxEmptyString);
    screenOption->SetEditable(false);
  }
  else
  {
    screenOptValue->SetValue(screens.Get(screenCurrent).GetOption(screenOptionCurrent).GetValue());

    if (screens.Get(screenCurrent).GetOption(screenOptionCurrent).IsActive())
    {
      screenOptValue->Enable(true);
      screenOption->SetEditable(true);
    }
    else
    {
      screenOptValue->Enable(false);
      screenOption->SetEditable(false);
    }

    for (unsigned int i=0; i<screens.Get(screenCurrent).GetOptionSize(); i++)
    {
      if (screens.Get(screenCurrent).GetOption(i).IsActive())
        screenOption->Insert(screens.Get(screenCurrent).GetOption(i).GetName(), i);
      else
        screenOption->Insert(screens.Get(screenCurrent).GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  screenOption->SetSelection(screenOptionCurrent);
}

void guiFrame::UpdateScreenDisplay(void)
{
  while (screenDisplayDepth->GetCount()>3) screenDisplayDepth->Delete(0);

  if (screens.GetSize()==0) screenDisplayDepth->Enable(false);
  else screenDisplayDepth->Enable(true);

  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0)
  {
    screenDisplayCurrent=0;
    screenDisplayModeCurrent=0;
    screenDisplayOptionCurrent=0;
    screenDisplayViewport->Enable(false);
    screenDisplayViewport->SetValue(wxEmptyString);
    screenDisplayVirtual->Enable(false);
    screenDisplayVirtual->SetValue(wxEmptyString);
    screenDisplayDepth->SetEditable(false);
  }
  else
  {
    screenDisplayViewport->Enable(true);
    screenDisplayViewport->SetValue(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetViewPort());
    screenDisplayVirtual->Enable(true);
    screenDisplayVirtual->SetValue(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetVirtual());
    screenDisplayDepth->SetEditable(true);

    screenDisplayModeCurrent=0;
    screenDisplayOptionCurrent=0;
    for (unsigned int i=0; i<screens.Get(screenCurrent).GetDisplaySize(); i++)
    {
      screenDisplayDepth->Insert(screens.Get(screenCurrent).GetDisplay(i).GetDepth(), i);
    }
  }
  screenDisplayDepth->SetSelection(screenDisplayCurrent);

  UpdateScreenDisplayOption();
  UpdateScreenDisplayMode();
}

void guiFrame::UpdateScreenDisplayMode(void)
{
  while (screenDisplayModes->GetCount()>3) screenDisplayModes->Delete(0);

  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0) screenDisplayModes->Enable(false);
  else screenDisplayModes->Enable(true);

  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0 || screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize()==0)
  {
    screenDisplayModeCurrent=0;
    screenDisplayModes->SetEditable(false);
  }
  else
  {
    screenDisplayModes->SetEditable(true);
    for (unsigned int i=0; i<screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize(); i++)
    {
      screenDisplayModes->Insert(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetMode(i), i);
    }
  }
  screenDisplayModes->SetSelection(screenDisplayModeCurrent);

}

void guiFrame::UpdateScreenDisplayOption(void)
{
  while (screenDisplayOption->GetCount()>4) screenDisplayOption->Delete(0);

  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0) screenDisplayOption->Enable(false);
  else screenDisplayOption->Enable(true);

  if (screens.GetSize()==0 || screens.Get(screenCurrent).GetDisplaySize()==0 || screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize()==0)
  {
    screenDisplayOptionCurrent=0;
    screenDisplayOptValue->Enable(false);
    screenDisplayOptValue->SetValue(wxEmptyString);
    screenDisplayOption->SetEditable(false);
  }
  else
  {
    screenDisplayOptValue->SetValue(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).GetValue());

    if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).IsActive())
    {
      screenDisplayOptValue->Enable(true);
      screenDisplayOption->SetEditable(true);
    }
    else
    {
      screenDisplayOptValue->Enable(false);
      screenDisplayOption->SetEditable(false);
    }

    for (unsigned int i=0; i<screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize(); i++)
    {
      if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(i).IsActive())
        screenDisplayOption->Insert(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(i).GetName(), i);
      else
        screenDisplayOption->Insert(screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  screenDisplayOption->SetSelection(screenDisplayOptionCurrent);
}

void guiFrame::UpdateServerLayout(void)
{
  while (serverLayoutIdentifier->GetCount()>3) serverLayoutIdentifier->Delete(0);

  serverLayoutIdentifier->Enable(true);

  if (serverLayouts.GetSize()==0)
  {
    serverLayoutCurrent=0;
    serverLayoutOptionCurrent=0;
    serverLayoutScreenCurrent=0;
    serverLayoutIDevCurrent=0;
    serverLayoutIDevOptionCurrent=0;
    serverLayoutIdentifier->SetEditable(false);
  }
  else
  {
    serverLayoutOptionCurrent=0;
    serverLayoutScreenCurrent=0;
    serverLayoutIDevCurrent=0;
    serverLayoutIDevOptionCurrent=0;
    serverLayoutIdentifier->SetEditable(true);
    for (unsigned i=0; i<serverLayouts.GetSize(); i++)
    {
      serverLayoutIdentifier->Insert(serverLayouts.Get(i).GetId(), i);
    }
  }
  serverLayoutIdentifier->SetSelection(serverLayoutCurrent);

  UpdateServerLayoutScreen();
  UpdateServerLayoutInputDevice();
  UpdateServerLayoutOption();

}

void guiFrame::UpdateServerLayoutOption(void)
{
  while (serverLayoutOption->GetCount()>4) serverLayoutOption->Delete(0);

  if (serverLayouts.GetSize()==0) serverLayoutOption->Enable(false);
  else serverLayoutOption->Enable(true);

  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetOptionSize()==0)
  {
    serverLayoutOptionCurrent=0;
    serverLayoutOptValue->Enable(false);
    serverLayoutOptValue->SetValue(wxEmptyString);
    serverLayoutOption->SetEditable(false);
  }
  else
  {
    serverLayoutOptValue->SetValue(serverLayouts.Get(serverLayoutCurrent).GetOption(serverLayoutOptionCurrent).GetValue());

    if (serverLayouts.Get(serverLayoutCurrent).GetOption(serverLayoutOptionCurrent).IsActive())
    {
      serverLayoutOptValue->Enable(true);
      serverLayoutOption->SetEditable(true);
    }
    else
    {
      serverLayoutOptValue->Enable(false);
      serverLayoutOption->SetEditable(false);
    }

    for (unsigned int i=0; i<serverLayouts.Get(serverLayoutCurrent).GetOptionSize(); i++)
    {
      if (serverLayouts.Get(serverLayoutCurrent).GetOption(i).IsActive())
        serverLayoutOption->Insert(serverLayouts.Get(serverLayoutCurrent).GetOption(i).GetName(), i);
      else
        serverLayoutOption->Insert(serverLayouts.Get(serverLayoutCurrent).GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  serverLayoutOption->SetSelection(serverLayoutOptionCurrent);
}

void guiFrame::UpdateServerLayoutScreen(void)
{
  while (serverLayoutScreen->GetCount()>3) serverLayoutScreen->Delete(0);

  if (serverLayouts.GetSize()==0) serverLayoutScreen->Enable(false);
  else serverLayoutScreen->Enable(true);

  serverLayoutScreen1->Clear();
  serverLayoutScreen2->Clear();

  unsigned int i;

  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetScreenSize()==0)
  {
    serverLayoutScreenCurrent=0;
    serverLayoutScreen1->Enable(false);
    serverLayoutScreen2->Enable(false);
    serverLayoutScreenNumber->Enable(false);
    serverLayoutScreenPosition->Enable(false);
    serverLayoutScreenNumber->SetValue(wxEmptyString);
    serverLayoutScreenPosition->SetValue(wxEmptyString);
  }
  else
  {
    serverLayoutScreenNumber->Enable(true);
    serverLayoutScreenPosition->Enable(true);
    serverLayoutScreen1->Enable(true);
    serverLayoutScreen2->Enable(true);

    for (i=0; i<screens.GetSize(); i++)
    {
      serverLayoutScreen1->Append(screens.Get(i).GetId());
    }
    serverLayoutScreen1->SetStringSelection(serverLayouts.Get(serverLayoutCurrent).GetScreen(serverLayoutScreenCurrent));

    serverLayoutScreenNumber->SetValue(serverLayouts.Get(serverLayoutCurrent).GetScreenNumber(serverLayoutScreenCurrent));
    serverLayoutScreenPosition->SetValue(serverLayouts.Get(serverLayoutCurrent).GetScreenPosition(serverLayoutScreenCurrent));

    for (i=0; i<screens.GetSize(); i++)
    {
      serverLayoutScreen2->Append(screens.Get(i).GetId());
    }

    wxString tempStr=serverLayoutScreenPosition->GetValue();
    tempStr.Trim(false);
    tempStr.Trim(true);
    tempStr.MakeLower();

    if (tempStr==_T("rightof") || tempStr==_T("leftof") || tempStr==_T("above") || tempStr==_T("below"))
    {
      serverLayoutScreen2->Enable(true);
      serverLayoutScreen2->SetStringSelection(serverLayouts.Get(serverLayoutCurrent).GetSecondScreen(serverLayoutScreenCurrent));
    }
    else
    {
      serverLayoutScreen2->Enable(false);
    }

    for (i=0; i<serverLayouts.Get(serverLayoutCurrent).GetScreenSize(); i++)
    {
      wxString tempStr;
      tempStr << _("Screen") << _T(" ") << i;
      serverLayoutScreen->Insert(tempStr, i);
    }
  }
  serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
}

void guiFrame::UpdateServerLayoutInputDevice(void)
{
  while (serverLayoutInputDevice->GetCount()>3) serverLayoutInputDevice->Delete(0);

  if (serverLayouts.GetSize()==0) serverLayoutInputDevice->Enable(false);
  else serverLayoutInputDevice->Enable(true);

  serverLayoutInputDevice1->Clear();

  unsigned int i;

  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()==0)
  {
    serverLayoutIDevCurrent=0;
    serverLayoutIDevOptionCurrent=0;
    serverLayoutInputDevice1->Enable(false);
  }
  else
  {
    serverLayoutIDevOptionCurrent=0;
    serverLayoutInputDevice1->Enable(true);

    for (i=0; i<inputDevices.GetSize(); i++)
    {
      serverLayoutInputDevice1->Append(inputDevices.Get(i).GetId());
    }
    serverLayoutInputDevice1->SetStringSelection(serverLayouts.Get(serverLayoutCurrent).GetInputDevice(serverLayoutIDevCurrent));

    for (i=0; i<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize(); i++)
    {
      wxString tempStr;
      tempStr << _("Input Device") << _T(" ") << i;
      serverLayoutInputDevice->Insert(tempStr, i);
    }
  }
  serverLayoutInputDevice->SetSelection(serverLayoutIDevCurrent);

  UpdateServerLayoutInputDeviceOption();
}

void guiFrame::UpdateServerLayoutInputDeviceOption(void)
{
  while (serverLayoutInputDeviceOption->GetCount()>3) serverLayoutInputDeviceOption->Delete(0);

  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()==0) serverLayoutInputDeviceOption->Enable(false);
  else serverLayoutInputDeviceOption->Enable(true);

  if (serverLayouts.GetSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()==0 || serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent)==0)
  {
    serverLayoutIDevOptionCurrent=0;
    // serverLayoutInputDeviceOptValue->Enable(false);
    // serverLayoutInputDeviceOptValue->SetValue(wxEmptyString);
    serverLayoutInputDeviceOption->SetEditable(false);
  }
  else
  {
    serverLayoutInputDeviceOption->SetEditable(true);
    // serverLayoutInputDeviceOptValue->Enable(true);
    // serverLayoutInputDeviceOptValue->SetValue(wxEmptyString);

    for (unsigned int i=0; i<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent); i++)
    {
      serverLayoutInputDeviceOption->Insert(serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOption(serverLayoutIDevCurrent, i).GetName(), i);
    }
  }
  serverLayoutInputDeviceOption->SetSelection(serverLayoutIDevOptionCurrent);
}

void guiFrame::UpdateServerFlagOption(void)
{
  while (serverFlagsOption->GetCount()>4) serverFlagsOption->Delete(0);

  serverFlagsOption->Enable(true);

  if (serverFlags.GetOptionSize()==0)
  {
    serverFlagCurrent=0;
    serverFlagsOptValue->Enable(false);
    serverFlagsOptValue->SetValue(wxEmptyString);
    serverFlagsOption->SetEditable(false);
  }
  else
  {
    serverFlagsOptValue->SetValue(serverFlags.GetOption(serverFlagCurrent).GetValue());

    if (serverFlags.GetOption(serverFlagCurrent).IsActive())
    {
      serverFlagsOptValue->Enable(true);
      serverFlagsOption->SetEditable(true);
    }
    else
    {
      serverFlagsOptValue->Enable(false);
      serverFlagsOption->SetEditable(false);
    }

    for (unsigned int i=0; i<serverFlags.GetOptionSize(); i++)
    {
      if (serverFlags.GetOption(i).IsActive())
        serverFlagsOption->Insert(serverFlags.GetOption(i).GetName(), i);
      else
        serverFlagsOption->Insert(serverFlags.GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  serverFlagsOption->SetSelection(serverFlagCurrent);
}

void guiFrame::UpdateExtension(void)
{
  while (extensionOption->GetCount()>4) extensionOption->Delete(0);

  extensionOption->Enable(true);

  if (extensions.GetOptionSize()==0)
  {
    extensionCurrent=0;
    extensionOptValue->Enable(false);
    extensionOptValue->SetValue(wxEmptyString);
    extensionOption->SetEditable(false);
  }
  else
  {
    extensionOptValue->SetValue(extensions.GetOption(extensionCurrent).GetValue());

    if (extensions.GetOption(extensionCurrent).IsActive())
    {
      extensionOptValue->Enable(true);
      extensionOption->SetEditable(true);
    }
    else
    {
      extensionOptValue->Enable(false);
      extensionOption->SetEditable(false);
    }

    for (unsigned int i=0; i<extensions.GetOptionSize(); i++)
    {
      if (extensions.GetOption(i).IsActive())
        extensionOption->Insert(extensions.GetOption(i).GetName(), i);
      else
        extensionOption->Insert(extensions.GetOption(i).GetName()+_(" [inactive]"), i);
    }
  }
  extensionOption->SetSelection(extensionCurrent);
  if (extensions.GetOptionSize()==0 || !extensions.GetOption(extensionCurrent).IsActive()) extensionOptValue->Enable(false);
}

void guiFrame::UpdateFontPath(void)
{
  while (fontPath->GetCount()>4) fontPath->Delete(0);

  fontPath->Enable(true);

  if (files.GetFontPathSize()==0)
  {
    fontPathCurrent=0;
    fontPath->SetEditable(false);
  }
  else
  {
    if (files.FontPathIsActive(fontPathCurrent))
    {
      fontPath->SetEditable(true);
    }
    else
    {
      fontPath->SetEditable(false);
    }

    for (unsigned int i=0; i<files.GetFontPathSize(); i++)
    {
      if (files.FontPathIsActive(i))
        fontPath->Insert(files.GetFontPath(i), i);
      else
        fontPath->Insert(files.GetFontPath(i)+_(" [inactive]"), i);
    }
  }
  fontPath->SetSelection(fontPathCurrent);
}

void guiFrame::UpdateModulePath(void)
{
  while (modulePath->GetCount()>4) modulePath->Delete(0);

  modulePath->Enable(true);

  if (files.GetModulePathSize()==0)
  {
    modulePathCurrent=0;
    modulePath->SetEditable(false);
  }
  else
  {
    if (files.ModulePathIsActive(modulePathCurrent))
    {
      modulePath->SetEditable(true);
    }
    else
    {
      modulePath->SetEditable(false);
    }

    for (unsigned int i=0; i<files.GetModulePathSize(); i++)
    {
      if (files.ModulePathIsActive(i))
        modulePath->Insert(files.GetModulePath(i), i);
      else
        modulePath->Insert(files.GetModulePath(i)+_(" [inactive]"), i);
    }
  }
  modulePath->SetSelection(modulePathCurrent);
}

void guiFrame::UpdateRgbPath(void)
{
  while (rgbPath->GetCount()>4) rgbPath->Delete(0);

  rgbPath->Enable(true);

  if (files.GetRgbPathSize()==0)
  {
    rgbPathCurrent=0;
    rgbPath->SetEditable(false);
  }
  else
  {
    if (files.RgbPathIsActive(rgbPathCurrent))
    {
      rgbPath->SetEditable(true);
    }
    else
    {
      rgbPath->SetEditable(false);
    }

    for (unsigned int i=0; i<files.GetRgbPathSize(); i++)
    {
      if (files.RgbPathIsActive(i))
        rgbPath->Insert(files.GetRgbPath(i), i);
      else
        rgbPath->Insert(files.GetRgbPath(i)+_(" [inactive]"), i);
    }
  }
  rgbPath->SetSelection(rgbPathCurrent);
}

void guiFrame::UpdateModule(void)
{
  while (moduleIdentifier->GetCount()>4) moduleIdentifier->Delete(0);

  moduleIdentifier->Enable(true);

  if (modules.GetSize()==0)
  {
    moduleCurrent=0;
    moduleOptionCurrent=0;
    moduleIdentifier->SetEditable(false);
  }
  else
  {
    moduleOptionCurrent=0;

    if (modules.IsActive(moduleCurrent))
    {
      moduleIdentifier->SetEditable(true);
    }
    else
    {
      moduleIdentifier->SetEditable(false);
    }

    for (unsigned int i=0; i<modules.GetSize(); i++)
    {
      if (modules.IsActive(i))
        moduleIdentifier->Insert(modules.Get(i), i);
      else
        moduleIdentifier->Insert(modules.Get(i)+_(" [inactive]"), i);
    }
  }
  moduleIdentifier->SetSelection(moduleCurrent);

  UpdateModuleOption();
}

void guiFrame::UpdateModuleOption(void)
{
  while (moduleOption->GetCount()>4) moduleOption->Delete(0);

  if (modules.GetSize()==0 || !modules.IsActive(moduleCurrent)) moduleOption->Enable(false);
  else moduleOption->Enable(true);

  if (modules.GetSize()==0 || modules.GetOptionSize(moduleCurrent)==0)
  {
    moduleOptionCurrent=0;
    moduleOptValue->Enable(false);
    moduleOptValue->SetValue(wxEmptyString);
    moduleOption->SetEditable(false);
  }
  else
  {
    moduleOptValue->SetValue(modules.GetOption(moduleCurrent, moduleOptionCurrent).GetValue());

    if (modules.IsActive(moduleCurrent) && modules.GetOption(moduleCurrent, moduleOptionCurrent).IsActive())
    {
      moduleOptValue->Enable(true);
      moduleOption->SetEditable(true);
    }
    else
    {
      moduleOptValue->Enable(false);
      moduleOption->SetEditable(false);
    }

    for (unsigned int i=0; i<modules.GetOptionSize(moduleCurrent); i++)
    {
      if (modules.GetOption(moduleCurrent, i).IsActive())
        moduleOption->Insert(modules.GetOption(moduleCurrent, i).GetName(), i);
      else
        moduleOption->Insert(modules.GetOption(moduleCurrent, i).GetName()+_(" [inactive]"), i);
    }
  }
  moduleOption->SetSelection(moduleOptionCurrent);
}

void guiFrame::AddDevice(void)
{
  if (!CheckDevice()) return;

  AcceptDevice();

  wxString tempStr;
  device tempDevice;

  tempStr.Printf(_T("Default Device %d"), devices.GetSize()+1);
  tempDevice.SetId(tempStr);

  devices.Add(tempDevice);
  deviceCurrent=devices.GetSize()-1;
  UpdateScreen();
  SetSaved(false);
}

void guiFrame::DelDevice(void)
{
  if (devices.GetSize()==0) return;

  // check if there are some screen that use this device
  for (unsigned int i=0; i<screens.GetSize(); i++)
  {
    if (screens.Get(i).GetDevice()==devices.Get(deviceCurrent).GetId())
    {
      wxString tempStr;
      tempStr << _("This device is still used by screen \"") << screens.Get(i).GetId() << _("\". Please change this dependence first!");
      wxMessageBox(tempStr, _("Error: Device used"), wxICON_ERROR);
      return;
    }
  }

  if (wxMessageBox(_("Do you really want to delete this device?"), _("Question: Delete Device?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  devices.Remove(deviceCurrent);
  if (deviceCurrent==devices.GetSize() && deviceCurrent!=0) deviceCurrent--;
  UpdateScreen();
  SetSaved(false);
}

void guiFrame::AddDeviceOption(void)
{
  if (!CheckDeviceOption()) return;

  devices[deviceCurrent].AddOption(option());
  deviceOptionCurrent=devices[deviceCurrent].GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelDeviceOption(void)
{
  if (devices.Get(deviceCurrent).GetOptionSize()==0) return;

  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  devices[deviceCurrent].RemoveOption(deviceOptionCurrent);
  if (deviceOptionCurrent==devices[deviceCurrent].GetOptionSize() && deviceOptionCurrent!=0) deviceOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActDeviceOption(void)
{
  if (devices.Get(deviceCurrent).GetOptionSize()==0) return;

  devices[deviceCurrent].GetOptionE(deviceOptionCurrent).SetActive(!devices[deviceCurrent].GetOption(deviceOptionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddInputDevice(void)
{
  if (!CheckInputDevice()) return;
  AcceptInputDevice();

  wxString tempStr;
  inputDevice tempDevice;

  tempStr.Printf(_T("Default Input Device %d"), inputDevices.GetSize()+1);
  tempDevice.SetId(tempStr);

  inputDevices.Add(tempDevice);
  inputDeviceCurrent=inputDevices.GetSize()-1;
  UpdateServerLayout();
  SetSaved(false);
}

void guiFrame::DelInputDevice(void)
{
  if (inputDevices.GetSize()==0) return;

  // check if there are some server layout that use this input device
  for (unsigned int i=0; i<serverLayouts.GetSize(); i++)
  {
    for (unsigned int j=0; j<serverLayouts.Get(i).GetInputDeviceSize(); j++)
    {
      if (serverLayouts.Get(i).GetInputDevice(j)==inputDevices.Get(inputDeviceCurrent).GetId())
      {
        wxString tempStr;
        tempStr << _("This input device is still used by server layout \"") << serverLayouts.Get(i).GetId() << _("\". Please change this dependence first!");
        wxMessageBox(tempStr, _("Error: Input Device used"), wxICON_ERROR);
        return;
      }
    }
  }

  if (wxMessageBox(_("Do you really want to delete this input device?"), _("Question: Delete Input Device?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  inputDevices.Remove(inputDeviceCurrent);
  if (inputDeviceCurrent==inputDevices.GetSize() && inputDeviceCurrent!=0) inputDeviceCurrent--;
  UpdateServerLayout();
  SetSaved(false);
}

void guiFrame::AddInputDeviceOption(void)
{
  if (!CheckInputDeviceOption()) return;
  inputDevices[inputDeviceCurrent].AddOption(option());
  inputDeviceOptionCurrent=inputDevices[inputDeviceCurrent].GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelInputDeviceOption(void)
{
  if (inputDevices.Get(inputDeviceCurrent).GetOptionSize()==0) return;

  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  inputDevices[inputDeviceCurrent].RemoveOption(inputDeviceOptionCurrent);
  if (inputDeviceOptionCurrent==inputDevices[inputDeviceCurrent].GetOptionSize() && inputDeviceOptionCurrent!=0) inputDeviceOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActInputDeviceOption(void)
{
  if (inputDevices.Get(inputDeviceCurrent).GetOptionSize()==0) return;

  inputDevices[inputDeviceCurrent].GetOptionE(inputDeviceOptionCurrent).SetActive(!inputDevices[inputDeviceCurrent].GetOption(inputDeviceOptionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddMonitor(void)
{
  if (!CheckMonitor()) return;
  AcceptMonitor();

  wxString tempStr;
  monitor tempDevice;

  tempStr.Printf(_T("Default Monitor %d"), monitors.GetSize()+1);
  tempDevice.SetId(tempStr);

  monitors.Add(tempDevice);
  monitorCurrent=monitors.GetSize()-1;
  UpdateScreen();
  SetSaved(false);
}

void guiFrame::DelMonitor(void)
{
  if (monitors.GetSize()==0) return;

  // check if there are some screen that use this monitor
  for (unsigned int i=0; i<screens.GetSize(); i++)
  {
    if (screens.Get(i).GetMonitor()==monitors.Get(monitorCurrent).GetId())
    {
      wxString tempStr;
      tempStr << _("This monitor is still used by screen \"") << screens.Get(i).GetId() << _("\". Please change this dependence first!");
      wxMessageBox(tempStr, _("Error: Monitor used"), wxICON_ERROR);
      return;
    }
  }

  if (wxMessageBox(_("Do you really want to delete this monitor?"), _("Question: Delete Monitor?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  monitors.Remove(monitorCurrent);
  if (monitorCurrent==monitors.GetSize() && monitorCurrent!=0) monitorCurrent--;
  UpdateScreen();
  SetSaved(false);
}

void guiFrame::AddMonitorOption(void)
{
  if (!CheckMonitorOption()) return;
  monitors[monitorCurrent].AddOption(option());
  monitorOptionCurrent=monitors[monitorCurrent].GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelMonitorOption(void)
{
  if (monitors.Get(monitorCurrent).GetOptionSize()==0) return;

  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  monitors[monitorCurrent].RemoveOption(monitorOptionCurrent);
  if (monitorOptionCurrent==monitors[monitorCurrent].GetOptionSize() && monitorOptionCurrent!=0) monitorOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActMonitorOption(void)
{
  if (monitors.Get(monitorCurrent).GetOptionSize()==0) return;

  monitors[monitorCurrent].GetOptionE(monitorOptionCurrent).SetActive(!monitors[monitorCurrent].GetOption(monitorOptionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddMonitorModeline(void)
{
  if (!CheckMonitorModeline()) return;
  monitors[monitorCurrent].AddModeline(option());
  monitorModelineCurrent=monitors[monitorCurrent].GetModelineSize()-1;
  SetSaved(false);
}

void guiFrame::DelMonitorModeline(void)
{
  if (monitors.Get(monitorCurrent).GetModelineSize()==0) return;

  if (wxMessageBox(_("Do you really want to delete this modeline?"), _("Question: Delete Modeline?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  monitors[monitorCurrent].RemoveModeline(monitorModelineCurrent);
  if (monitorModelineCurrent==monitors[monitorCurrent].GetModelineSize() && monitorModelineCurrent!=0) monitorModelineCurrent--;
  SetSaved(false);
}

void guiFrame::DeActMonitorModeline(void)
{
  if (monitors.Get(monitorCurrent).GetModelineSize()==0) return;

  monitors[monitorCurrent].GetModelineE(monitorModelineCurrent).SetActive(!monitors[monitorCurrent].GetModeline(monitorModelineCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddScreen(void)
{
  if (!CheckScreen()) return;
  AcceptScreen();

  if (devices.GetSize()==0)
  {
    wxMessageBox(_("No devices available to add!"), _("Error in Screen"), wxICON_ERROR);
    return;
  }

  if (monitors.GetSize()==0)
  {
    wxMessageBox(_("No monitors available to add!"), _("Error in Screen"), wxICON_ERROR);
    return;
  }

  wxString tempStr;
  screen tempDevice;

  tempStr.Printf(_T("Default Screen %d"), screens.GetSize()+1);
  tempDevice.SetId(tempStr);
  tempDevice.SetDevice(devices.Get(0).GetId());   // get first device
  tempDevice.SetMonitor(monitors.Get(0).GetId());   // get first monitor

  screens.Add(tempDevice);
  screenCurrent=screens.GetSize()-1;
  UpdateServerLayout();
  SetSaved(false);
}

void guiFrame::DelScreen(void)
{
  if (screens.GetSize()==0) return;

  // check if there are some server layout that use this screen
  for (unsigned int i=0; i<serverLayouts.GetSize(); i++)
  {
    for (unsigned int j=0; j<serverLayouts.Get(i).GetScreenSize(); j++)
    {
      if (serverLayouts.Get(i).GetScreen(j)==screens.Get(screenCurrent).GetId() || serverLayouts.Get(i).GetSecondScreen(j)==screens.Get(screenCurrent).GetId())
      {
        wxString tempStr;
        tempStr << _("This screen is still used by server layout \"") << serverLayouts.Get(i).GetId() << _("\". Please change this dependence first!");
        wxMessageBox(tempStr, _("Error: Screen used"), wxICON_ERROR);
        return;
      }
    }
  }

  if (wxMessageBox(_("Do you really want to delete this screen?"), _("Question: Delete Screen?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  screens.Remove(screenCurrent);
  if (screenCurrent==screens.GetSize() && screenCurrent!=0) screenCurrent--;
  UpdateServerLayout();
  SetSaved(false);
}

void guiFrame::AddScreenOption(void)
{
  if (!CheckScreenOption()) return;
  screens[screenCurrent].AddOption(option());
  screenOptionCurrent=screens[screenCurrent].GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelScreenOption(void)
{
  if (screens.Get(screenCurrent).GetOptionSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  screens[screenCurrent].RemoveOption(screenOptionCurrent);
  if (screenOptionCurrent==screens[screenCurrent].GetOptionSize() && screenOptionCurrent!=0) screenOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActScreenOption(void)
{
  if (screens.Get(screenCurrent).GetOptionSize()==0) return;

  screens[screenCurrent].GetOptionE(screenOptionCurrent).SetActive(!screens[screenCurrent].GetOption(screenOptionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddScreenDisplay(void)
{
  if (!CheckScreenDisplay()) return;

  wxString tempStr;
  display tempDevice;

  screens[screenCurrent].AddDisplay(tempDevice);
  screenDisplayCurrent=screens[screenCurrent].GetDisplaySize()-1;
  SetSaved(false);
}

void guiFrame::DelScreenDisplay(void)
{
  if (screens.Get(screenCurrent).GetDisplaySize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this display?"), _("Question: Delete Display?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  screens[screenCurrent].RemoveDisplay(screenDisplayCurrent);
  if (screenDisplayCurrent==screens[screenCurrent].GetDisplaySize() && screenDisplayCurrent!=0) screenDisplayCurrent--;
  SetSaved(false);
}

void guiFrame::AddScreenDisplayMode(void)
{
  if (!CheckScreenDisplayMode());
  screens[screenCurrent].GetDisplayE(screenDisplayCurrent).AddMode(wxEmptyString);
  screenDisplayModeCurrent=screens[screenCurrent].GetDisplayE(screenDisplayCurrent).GetModeSize()-1;
  SetSaved(false);
}

void guiFrame::DelScreenDisplayMode(void)
{
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this mode?"), _("Question: Delete Mode?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  screens[screenCurrent].GetDisplayE(screenDisplayCurrent).RemoveMode(screenDisplayModeCurrent);
  if (screenDisplayModeCurrent==screens[screenCurrent].GetDisplayE(screenDisplayCurrent).GetModeSize() && screenDisplayModeCurrent!=0) screenDisplayModeCurrent--;
  SetSaved(false);
}

void guiFrame::AddScreenDisplayOption(void)
{
  if (!CheckScreenDisplayOption()) return;
  screens[screenCurrent].GetDisplayE(screenDisplayCurrent).AddOption(option());
  screenDisplayOptionCurrent=screens[screenCurrent].GetDisplay(screenDisplayCurrent).GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelScreenDisplayOption(void)
{
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  screens[screenCurrent].GetDisplayE(screenDisplayCurrent).RemoveOption(screenDisplayOptionCurrent);
  if (screenDisplayOptionCurrent==screens[screenCurrent].GetDisplay(screenDisplayCurrent).GetOptionSize() && screenDisplayOptionCurrent!=0) screenDisplayOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActScreenDisplayOption(void)
{
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize()==0) return;

  screens[screenCurrent].GetDisplayE(screenDisplayCurrent).GetOptionE(screenDisplayOptionCurrent).SetActive(!screens[screenCurrent].GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddServerLayout(void)
{
  if (!CheckServerLayout()) return;

  wxString tempStr;
  serverLayout tempDevice;

  tempStr.Printf(_T("Default Layout %d"), serverLayouts.GetSize()+1);
  tempDevice.SetId(tempStr);

  serverLayouts.Add(tempDevice);
  serverLayoutCurrent=serverLayouts.GetSize()-1;
  SetSaved(false);
}

void guiFrame::DelServerLayout(void)
{
  if (serverLayouts.GetSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this server layout?"), _("Question: Delete Server Layout?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  serverLayouts.Remove(serverLayoutCurrent);
  if (serverLayoutCurrent==serverLayouts.GetSize() && serverLayoutCurrent!=0) serverLayoutCurrent--;
  SetSaved(false);
}

void guiFrame::AddServerLayoutScreen(void)
{
  if (!CheckServerLayoutScreen()) return;

  if (serverLayouts.Get(serverLayoutCurrent).GetScreenSize()>=screens.GetSize())
  {
    wxMessageBox(_("No (more) screens available to add!"), _("Error in Server Layout"), wxICON_ERROR);
    return;
  }

  // search correct screen to add
  wxString tempStr;
  unsigned int i, j;

  for (i=0; i<screens.GetSize(); i++)
  {
    tempStr=screens.Get(i).GetId();
    for (j=0; j<serverLayouts.Get(serverLayoutCurrent).GetScreenSize(); j++)
    {
      if (tempStr==serverLayouts.Get(serverLayoutCurrent).GetScreen(j)) break;
    }
    if (j==serverLayouts.Get(serverLayoutCurrent).GetScreenSize())
    {
      break;
    }
  }
  serverLayouts[serverLayoutCurrent].AddScreen(tempStr);
  serverLayoutScreenCurrent=serverLayouts[serverLayoutCurrent].GetScreenSize()-1;
  SetSaved(false);
}

void guiFrame::DelServerLayoutScreen(void)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetScreenSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this screen?"), _("Question: Delete Screen?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  serverLayouts[serverLayoutCurrent].RemoveScreen(serverLayoutScreenCurrent);
  if (serverLayoutScreenCurrent==serverLayouts[serverLayoutCurrent].GetScreenSize() && serverLayoutScreenCurrent!=0) serverLayoutScreenCurrent--;
  SetSaved(false);
}

void guiFrame::AddServerLayoutInputDevice(void)
{
  if (!CheckServerLayoutInputDevice()) return;

  if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()>=inputDevices.GetSize())
  {
    wxMessageBox(_("No (more) input devices available to add!"), _("Error in Server Layout"), wxICON_ERROR);
    return;
  }

  // search correct screen to add
  wxString tempStr;
  unsigned int i, j;

  for (i=0; i<inputDevices.GetSize(); i++)
  {
    tempStr=inputDevices.Get(i).GetId();
    for (j=0; j<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize(); j++)
    {
      if (tempStr==serverLayouts.Get(serverLayoutCurrent).GetInputDevice(j)) break;
    }
    if (j==serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize())
    {
      break;
    }
  }

  serverLayouts[serverLayoutCurrent].AddInputDevice(tempStr);
  serverLayoutIDevCurrent=serverLayouts[serverLayoutCurrent].GetInputDeviceSize()-1;
  SetSaved(false);
}

void guiFrame::DelServerLayoutInputDevice(void)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this input device?"), _("Question: Delete Input Device?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  serverLayouts[serverLayoutCurrent].RemoveInputDevice(serverLayoutIDevCurrent);
  if (serverLayoutIDevCurrent==serverLayouts[serverLayoutCurrent].GetInputDeviceSize() && serverLayoutIDevCurrent!=0) serverLayoutIDevCurrent--;
  SetSaved(false);
}

void guiFrame::AddServerLayoutOption(void)
{
  if (!CheckServerLayoutOption()) return;

  serverLayouts[serverLayoutCurrent].AddOption(option());
  serverLayoutOptionCurrent=serverLayouts[serverLayoutCurrent].GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelServerLayoutOption(void)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetOptionSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  serverLayouts[serverLayoutCurrent].RemoveOption(serverLayoutOptionCurrent);
  if (serverLayoutOptionCurrent==serverLayouts[serverLayoutCurrent].GetOptionSize() && serverLayoutOptionCurrent!=0) serverLayoutOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActServerLayoutOption(void)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetOptionSize()==0) return;

  serverLayouts[serverLayoutCurrent].GetOptionE(serverLayoutOptionCurrent).SetActive(!serverLayouts[serverLayoutCurrent].GetOption(serverLayoutOptionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddServerLayoutInputDeviceOption(void)
{
  if (!CheckServerLayoutInputDeviceOption()) return;

  serverLayouts[serverLayoutCurrent].AddInputDeviceOption(serverLayoutIDevCurrent, option());
  serverLayoutIDevOptionCurrent=serverLayouts[serverLayoutCurrent].GetInputDeviceOptionSize(serverLayoutIDevCurrent)-1;
  SetSaved(false);
}

void guiFrame::DelServerLayoutInputDeviceOption(void)
{
  if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(inputDeviceCurrent)==0) return;
  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  serverLayouts[serverLayoutCurrent].RemoveInputDeviceOption(serverLayoutIDevCurrent, serverLayoutIDevOptionCurrent);
  if (serverLayoutIDevOptionCurrent==serverLayouts[serverLayoutCurrent].GetInputDeviceOptionSize(serverLayoutIDevCurrent) && serverLayoutIDevOptionCurrent!=0) serverLayoutIDevOptionCurrent--;
  SetSaved(false);
}

void guiFrame::AddServerFlagOption(void)
{
  if (!CheckServerFlagOption()) return;

  serverFlags.AddOption(option());
  serverFlagCurrent=serverFlags.GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelServerFlagOption(void)
{
  if (serverFlags.GetOptionSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this server flag?"), _("Question: Delete Server Flag?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  serverFlags.RemoveOption(serverFlagCurrent);
  if (serverFlagCurrent==serverFlags.GetOptionSize() && serverFlagCurrent!=0) serverFlagCurrent--;
  SetSaved(false);
}

void guiFrame::DeActServerFlagOption(void)
{
  if (serverFlags.GetOptionSize()==0) return;

  serverFlags.GetOptionE(serverFlagCurrent).SetActive(!serverFlags.GetOption(serverFlagCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddExtension(void)
{
  if (!CheckExtension()) return;

  extensions.AddOption(option());
  extensionCurrent=extensions.GetOptionSize()-1;
  SetSaved(false);
}

void guiFrame::DelExtension(void)
{
  if (extensions.GetOptionSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this extension?"), _("Question: Delete Extension?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  extensions.RemoveOption(extensionCurrent);
  if (extensionCurrent==extensions.GetOptionSize() && extensionCurrent!=0) extensionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActExtension(void)
{
  if (extensions.GetOptionSize()==0) return;

  extensions.GetOptionE(extensionCurrent).SetActive(!extensions.GetOption(extensionCurrent).IsActive());
  SetSaved(false);
}

void guiFrame::AddFontPath(void)
{
  if (!CheckFontPath()) return;

  files.AddFontPath(wxEmptyString, true);
  fontPathCurrent=files.GetFontPathSize()-1;
  SetSaved(false);
}

void guiFrame::DelFontPath(void)
{
  if (files.GetFontPathSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this font path?"), _("Question: Delete Font Path?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  files.RemoveFontPath(fontPathCurrent);
  if (fontPathCurrent==files.GetFontPathSize() && fontPathCurrent!=0) fontPathCurrent--;
  SetSaved(false);
}

void guiFrame::DeActFontPath(void)
{
  if (files.GetFontPathSize()==0) return;
  files.SetFontPathActive(fontPathCurrent, !files.FontPathIsActive(fontPathCurrent));
  SetSaved(false);
}

void guiFrame::AddModulePath(void)
{
  if (!CheckModulePath()) return;

  files.AddModulePath(wxEmptyString, true);
  modulePathCurrent=files.GetModulePathSize()-1;
  SetSaved(false);
}

void guiFrame::DelModulePath(void)
{
  if (files.GetModulePathSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this module path?"), _("Question: Delete Module Path?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  files.RemoveModulePath(modulePathCurrent);
  if (modulePathCurrent==files.GetModulePathSize() && modulePathCurrent!=0) modulePathCurrent--;
  SetSaved(false);
}

void guiFrame::DeActModulePath(void)
{
  if (files.GetModulePathSize()==0) return;
  files.SetModulePathActive(modulePathCurrent, !files.ModulePathIsActive(modulePathCurrent));
  SetSaved(false);
}

void guiFrame::AddRgbPath(void)
{
  if (!CheckRgbPath()) return;

  files.AddRgbPath(wxEmptyString, true);
  rgbPathCurrent=files.GetRgbPathSize()-1;
  SetSaved(false);
}

void guiFrame::DelRgbPath(void)
{
  if (files.GetRgbPathSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this RGB path?"), _("Question: Delete RGB Path?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  files.RemoveRgbPath(rgbPathCurrent);
  if (rgbPathCurrent==files.GetRgbPathSize() && rgbPathCurrent!=0) rgbPathCurrent--;
  SetSaved(false);
}

void guiFrame::DeActRgbPath(void)
{
  if (files.GetRgbPathSize()==0) return;
  files.SetRgbPathActive(rgbPathCurrent, !files.RgbPathIsActive(rgbPathCurrent));
  SetSaved(false);
}

void guiFrame::AddModule(void)
{
  if (!CheckModule()) return;

  modules.Add(wxEmptyString, true);
  moduleCurrent=modules.GetSize()-1;
  SetSaved(false);
}

void guiFrame::DelModule(void)
{
  if (modules.GetSize()==0) return;
  if (wxMessageBox(_("Do you really want to delete this module?"), _("Question: Delete Module?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  modules.Remove(moduleCurrent);
  if (moduleCurrent==modules.GetSize() && moduleCurrent!=0) moduleCurrent--;
  SetSaved(false);
}

void guiFrame::DeActModule(void)
{
  if (modules.GetSize()==0) return;

  modules.SetActive(moduleCurrent, !modules.IsActive(moduleCurrent));
  SetSaved(false);
}

void guiFrame::AddModuleOption(void)
{
  if (!CheckModuleOption()) return;

  modules.AddOption(moduleCurrent, option());
  moduleOptionCurrent=modules.GetOptionSize(moduleCurrent)-1;
  SetSaved(false);
}

void guiFrame::DelModuleOption(void)
{
  if (modules.GetOptionSize(moduleCurrent)==0) return;
  if (wxMessageBox(_("Do you really want to delete this option?"), _("Question: Delete Option?"), wxICON_QUESTION | wxYES_NO | wxNO_DEFAULT)==wxNO) return;

  modules.RemoveOption(moduleCurrent, moduleOptionCurrent);
  if (moduleOptionCurrent==modules.GetOptionSize(moduleCurrent) && moduleOptionCurrent!=0) moduleOptionCurrent--;
  SetSaved(false);
}

void guiFrame::DeActModuleOption(void)
{
  if (modules.GetOptionSize(moduleCurrent)==0) return;

  modules.GetOptionE(moduleCurrent, moduleOptionCurrent).SetActive(!modules.GetOption(moduleCurrent, moduleOptionCurrent).IsActive());
  SetSaved(false);
}


// changes

void guiFrame::OnTabChange(wxNotebookEvent& event)
{    // some tab has changed, sav changes if possible

  if (event.GetSelection()!=event.GetOldSelection())  // tab has really changed
  {
    switch(event.GetOldSelection())
    {
      case 0:  // DEVICE
        if (!CheckDeviceTab()) event.Veto();
        else AcceptDevice();
        break;
      case 1:  // MONITOR
        if (!CheckMonitorTab()) event.Veto();
        else AcceptMonitor();
        break;
      case 2:  // INPUTDEVICE
        if (!CheckInputDeviceTab()) event.Veto();
        else AcceptInputDevice();
        break;
      case 3:  // SCREEN
        if (!CheckScreenTab()) event.Veto();
        else AcceptScreen();
        break;
      case 4:  // SERVERLAYOUT, SERVERFLAGS
        if (!CheckServerTab()) event.Veto();
        break;
      case 5:  // EXTENSIONS, MODULES, FILES, DRI
        if (!CheckOtherSectionTab()) event.Veto();
        break;
      default:
        break;
    } // switch
  }

}

bool guiFrame::CheckDeviceTab(void) const
{
  if (!CheckDevice()) return(false);
  return(true);
}

bool guiFrame::CheckDevice(void) const
{
  if (devices.GetSize()==0) return(true);

  long tempL=0;
  wxString tempStr;

  // check if empty
  if (deviceIdentifierText.IsEmpty())
  {
    wxMessageBox(_("Device identifier must not be empty!"), _("Error in Device"), wxICON_ERROR);
    deviceIdentifier->SetSelection(deviceCurrent);
    // deviceIdentifier->SetFocus();
    return(false);
  }

  // check if unique
  for (unsigned int i=0; i<devices.GetSize(); i++)
  {
    if (i!=deviceCurrent && devices.Get(i).GetId()==deviceIdentifierText)
    {
      wxMessageBox(_("Device identifier already exists!"), _("Error in Device"), wxICON_ERROR);
      deviceIdentifier->SetSelection(deviceCurrent);
      // deviceIdentifier->SetFocus();
      return(false);
    }
  }

  // check if empty
  if (deviceDriver->GetValue().IsEmpty())
  {
    wxMessageBox(_("Device driver must not be empty!"), _("Error in Device"), wxICON_ERROR);
    deviceIdentifier->SetSelection(deviceCurrent);
    // deviceDriver->SetFocus();
    return(false);
  }

  if (!deviceScreen->GetValue().IsEmpty())
  {
    tempStr=deviceScreen->GetValue();
    tempStr.Trim(false);
    tempStr.Trim(true);
    tempStr.ToLong(&tempL);

    if (!tempStr.IsNumber() || tempL<0)
    {
      wxMessageBox(_("Device screen must be a non-negative integer!"), _("Error in Device"), wxICON_ERROR);
      deviceIdentifier->SetSelection(deviceCurrent);
      deviceScreen->SetFocus();
      return(false);
    }
    tempStr.Printf(_T("%d"), tempL);
    deviceScreen->SetValue(tempStr);
  }

  if (!deviceVideoRam->GetValue().IsEmpty())
  {
    tempStr=deviceVideoRam->GetValue();
    tempStr.Trim(false);
    tempStr.Trim(true);
    tempStr.ToLong(&tempL);

    if (!tempStr.IsNumber() || tempL<0)
    {
      wxMessageBox(_("Device video ram must be a non-negative integer!"), _("Error in Device"), wxICON_ERROR);
      deviceIdentifier->SetSelection(deviceCurrent);
      deviceVideoRam->SetFocus();
      return(false);
    }
    tempStr.Printf(_T("%d"), tempL);
    deviceVideoRam->SetValue(tempStr);
  }

  if (!CheckDeviceOption()) return(false);
  return(true);
}

bool guiFrame::CheckDeviceOption(void) const
{
  if (devices.Get(deviceCurrent).GetOptionSize()==0) return(true);

  if (devices.Get(deviceCurrent).GetOption(deviceOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Device option must not be empty!"), _("Error in Device"), wxICON_ERROR);
    deviceIdentifier->SetSelection(deviceCurrent);
    deviceOption->SetSelection(deviceOptionCurrent);
    deviceOption->SetFocus();
    return(false);
  }

  for (unsigned int i=0; i<devices.Get(deviceCurrent).GetOptionSize(); i++)
  {
    if (i!=deviceOptionCurrent && devices.Get(deviceCurrent).GetOption(i).GetName()==devices.Get(deviceCurrent).GetOption(deviceOptionCurrent).GetName())
    {
      wxMessageBox(_("Device option already exists!"), _("Error in Device"), wxICON_ERROR);
      deviceIdentifier->SetSelection(deviceCurrent);
      deviceOption->SetSelection(deviceOptionCurrent);
      deviceOption->SetFocus();
      return(false);
    }
  }

  return(true);
}

bool guiFrame::CheckMonitorTab(void) const
{
  if (!CheckMonitor()) return(false);
  return(true);
}

bool guiFrame::CheckMonitor(void) const
{
  if (monitors.GetSize()==0) return(true);

  // check if empty
  if (monitorIdentifierText.IsEmpty())
  {
    wxMessageBox(_("Monitor identifier must not be empty!"), _("Error in Monitor"), wxICON_ERROR);
    monitorIdentifier->SetSelection(monitorCurrent);
    monitorIdentifier->SetFocus();
    return(false);
  }

  // check if unique
  for (unsigned int i=0; i<monitors.GetSize(); i++)
  {
    if (i!=monitorCurrent && monitors.Get(i).GetId()==monitorIdentifierText)
    {
      wxMessageBox(_("Monitor identifier already exists!"), _("Error in Monitor"), wxICON_ERROR);
      monitorIdentifier->SetSelection(monitorCurrent);
      monitorIdentifier->SetFocus();
      return(false);
    }
  }

  if (!CheckMonitorOption()) return(false);
  if (!CheckMonitorModeline()) return(false);

  return(true);
}

bool guiFrame::CheckMonitorOption(void) const
{
  if (monitors.Get(monitorCurrent).GetOptionSize()==0) return(true);

  if (monitors.Get(monitorCurrent).GetOption(monitorOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Monitor option must not be empty!"), _("Error in Monitor"), wxICON_ERROR);
    monitorIdentifier->SetSelection(monitorCurrent);
    monitorOption->SetSelection(monitorOptionCurrent);
    monitorOption->SetFocus();
    return(false);
  }

  for (unsigned int i=0; i<monitors.Get(monitorCurrent).GetOptionSize(); i++)
  {
    if (i!=monitorOptionCurrent && monitors.Get(monitorCurrent).GetOption(i).GetName()==monitors.Get(monitorCurrent).GetOption(monitorOptionCurrent).GetName())
    {
      wxMessageBox(_("Monitor option already exists!"), _("Error in Monitor"), wxICON_ERROR);
      monitorIdentifier->SetSelection(monitorCurrent);
      monitorOption->SetSelection(monitorOptionCurrent);
      monitorOption->SetFocus();
      return(false);
    }
  }

  return(true);
}

bool guiFrame::CheckMonitorModeline(void) const
{
  if (monitors.Get(monitorCurrent).GetModelineSize()==0) return(true);

  wxString tempStr;
  unsigned int number=0;
  int pos=0;

  if (monitors.Get(monitorCurrent).GetModeline(monitorModelineCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Monitor modeline name must not be empty!"), _("Error in Monitor"), wxICON_ERROR);
    monitorIdentifier->SetSelection(monitorCurrent);
    monitorModelineName->SetSelection(monitorModelineCurrent);
    monitorModelineName->SetFocus();
    return(false);
  }

  for (unsigned int i=0; i<monitors.Get(monitorCurrent).GetOptionSize(); i++)
  {
    if (i!=monitorModelineCurrent && monitors.Get(monitorCurrent).GetModeline(i).GetName()==monitors.Get(monitorCurrent).GetModeline(monitorModelineCurrent).GetName())
    {
      wxMessageBox(_("Monitor modeline already exists!"), _("Error in Monitor"), wxICON_ERROR);
      monitorIdentifier->SetSelection(monitorCurrent);
      monitorModelineName->SetSelection(monitorModelineCurrent);
      monitorModelineName->SetFocus();
      return(false);
    }
  }

  tempStr=monitorModelineOption->GetValue();
  tempStr.Trim(true);
  tempStr.Trim(false);

  // count entries of modeline, must be at least nine + options
  do
  {
    pos=tempStr.Find(' ');
    if (pos!=-1)
    {
      number++;
      tempStr=tempStr.Right(tempStr.Length()-pos-1);  // truncate
      tempStr.Trim(false);    // strip spaces from left
    }
  } while (pos!=-1);

  if (number<8)
  {
    wxMessageBox(_("Monitor modeline must have 9 entries at least!"), _("Error in Monitor"), wxICON_ERROR);
    monitorIdentifier->SetSelection(monitorCurrent);
    monitorModelineName->SetSelection(monitorModelineCurrent);
    monitorModelineOption->SetFocus();
    return(false);
  }
  return(true);
}

bool guiFrame::CheckInputDeviceTab(void) const
{
  if (!CheckInputDevice()) return(false);
  return(true);
}

bool guiFrame::CheckInputDevice(void) const
{
  if (inputDevices.GetSize()==0) return(true);

  // check if empty
  if (inputDeviceIdentifierText.IsEmpty())
  {
    wxMessageBox(_("Device identifier must not be empty!"), _("Error in Input Device"), wxICON_ERROR);
    inputDeviceIdentifier->SetSelection(inputDeviceCurrent);
    inputDeviceIdentifier->SetFocus();
    return(false);
  }

  // check if unique
  for (unsigned int i=0; i<inputDevices.GetSize(); i++)
  {
    if (i!=inputDeviceCurrent && inputDevices.Get(i).GetId()==inputDeviceIdentifierText)
    {
      wxMessageBox(_("Device identifier already exists!"), _("Error in Input Device"), wxICON_ERROR);
      inputDeviceIdentifier->SetSelection(inputDeviceCurrent);
      inputDeviceIdentifier->SetFocus();
      return(false);
    }
  }

  // check if empty
  if (inputDeviceDriver->GetValue().IsEmpty())
  {
    wxMessageBox(_("Input device driver must not be empty!"), _("Error in Input Device"), wxICON_ERROR);
    inputDeviceIdentifier->SetSelection(inputDeviceCurrent);
    inputDeviceDriver->SetFocus();
    return(false);
  }

  if (!CheckInputDeviceOption()) return(false);
  return(true);
}

bool guiFrame::CheckInputDeviceOption(void) const
{
  if (inputDevices.Get(inputDeviceCurrent).GetOptionSize()==0) return(true);

  if (inputDevices.Get(inputDeviceCurrent).GetOption(inputDeviceOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Input device option must not be empty!"), _("Error in Input Device"), wxICON_ERROR);
    inputDeviceIdentifier->SetSelection(inputDeviceCurrent);
    inputDeviceOption->SetSelection(inputDeviceOptionCurrent);
    inputDeviceOption->SetFocus();
    return(false);
  }

  for (unsigned int i=0; i<inputDevices.Get(inputDeviceCurrent).GetOptionSize(); i++)
  {
    if (i!=inputDeviceOptionCurrent && inputDevices.Get(inputDeviceCurrent).GetOption(i).GetName()==inputDevices.Get(inputDeviceCurrent).GetOption(inputDeviceOptionCurrent).GetName())
    {
      wxMessageBox(_("Input device option already exists!"), _("Error in Input Device"), wxICON_ERROR);
      inputDeviceIdentifier->SetSelection(inputDeviceCurrent);
      inputDeviceOption->SetSelection(inputDeviceOptionCurrent);
      inputDeviceOption->SetFocus();
      return(false);
    }
  }

  return(true);
}

bool guiFrame::CheckScreenTab(void) const
{
  if (!CheckScreen()) return(false);
  return(true);
}

bool guiFrame::CheckScreen(void) const
{
  if (screens.GetSize()==0) return(true);

  long tempL=0;
  wxString tempStr;

  // check if empty
  if (screenIdentifierText.IsEmpty())
  {
    wxMessageBox(_("Screen identifier must not be empty!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenIdentifier->SetFocus();
    return(false);
  }

  // check if unique
  for (unsigned int i=0; i<screens.GetSize(); i++)
  {
    if (i!=screenCurrent && screens.Get(i).GetId()==screenIdentifierText)
    {
      wxMessageBox(_("Screen identifier already exists!"), _("Error in Screen"), wxICON_ERROR);
      screenIdentifier->SetSelection(screenCurrent);
      screenIdentifier->SetFocus();
      return(false);
    }
  }

  tempStr=screenDepth->GetValue();
  tempStr.Trim(false);
  tempStr.Trim(true);
  tempStr.ToLong(&tempL);

  if (tempStr.IsEmpty())
  {
    wxMessageBox(_("Screen depth must not be empty!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenDepth->SetFocus();
    return(false);
  }

  if (!tempStr.IsNumber() || tempL<0)
  {
    wxMessageBox(_("Screen depth must be a non-negative integer!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenDepth->SetFocus();
    return(false);
  }
  tempStr.Printf(_T("%d"), tempL);
  screenDepth->SetValue(tempStr);

  if (!CheckScreenOption()) return(false);
  if (!CheckScreenDisplay()) return(false);
  return(true);
}

bool guiFrame::CheckScreenOption(void) const
{
  if (screens.Get(screenCurrent).GetOptionSize()==0) return(true);

  if (screens.Get(screenCurrent).GetOption(screenOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Screen option must not be empty!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenOption->SetSelection(screenOptionCurrent);
    screenOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<screens.Get(screenCurrent).GetOptionSize(); i++)
  {
    if (i!=screenOptionCurrent && screens.Get(screenCurrent).GetOption(i).GetName()==screens.Get(screenCurrent).GetOption(screenOptionCurrent).GetName())
    {
      wxMessageBox(_("Screen option already exists!"), _("Error in Screen"), wxICON_ERROR);
      screenIdentifier->SetSelection(screenCurrent);
      screenOption->SetSelection(screenOptionCurrent);
      screenOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckScreenDisplay(void) const
{
  if (screens.Get(screenCurrent).GetDisplaySize()==0) return(true);
  if (!CheckScreenDisplayOption()) return(false);
  if (!CheckScreenDisplayMode()) return(false);

  long tempL=0;
  wxString tempStr;

  tempStr=screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetDepth();
  tempStr.Trim(false);
  tempStr.Trim(true);
  tempStr.ToLong(&tempL);

  if (tempStr.IsEmpty())
  {
    wxMessageBox(_("Screen display depth must not be empty!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenDisplayDepth->SetSelection(screenDisplayCurrent);
    screenDisplayDepth->SetFocus();
    return(false);
  }

  if (!tempStr.IsNumber() || tempL<0)
  {
    wxMessageBox(_("Screen display depth must be a non-negative integer!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenDisplayDepth->SetSelection(screenDisplayCurrent);
    screenDisplayDepth->SetFocus();
    return(false);
  }

  for (unsigned int i=0; i<screens.Get(screenCurrent).GetDisplaySize(); i++)
  {
    if (i!=screenDisplayCurrent && screens.Get(screenCurrent).GetDisplay(i).GetDepth()==screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetDepth())
    {
      wxMessageBox(_("Screen display already exists!"), _("Error in Screen"), wxICON_ERROR);
      screenIdentifier->SetSelection(screenCurrent);
      screenDisplayDepth->SetSelection(screenDisplayCurrent);
      screenDisplayDepth->SetFocus();
      return(false);
    }
  }

  return(true);
}

bool guiFrame::CheckScreenDisplayOption(void) const
{
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize()==0) return(true);

  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Screen display option must not be empty!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenDisplayDepth->SetSelection(screenDisplayCurrent);
    screenDisplayOption->SetSelection(screenDisplayOptionCurrent);
    screenDisplayOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOptionSize(); i++)
  {
    if (i!=screenDisplayOptionCurrent && screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(i).GetName()==screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetOption(screenDisplayOptionCurrent).GetName())
    {
      wxMessageBox(_("Screen display option already exists!"), _("Error in Screen"), wxICON_ERROR);
      screenIdentifier->SetSelection(screenCurrent);
      screenDisplayDepth->SetSelection(screenDisplayCurrent);
      screenDisplayOption->SetSelection(screenDisplayOptionCurrent);
      screenDisplayOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckScreenDisplayMode(void) const
{
  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize()==0) return(true);

  if (screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetMode(screenDisplayModeCurrent).IsEmpty())
  {
    wxMessageBox(_("Screen display mode must not be empty!"), _("Error in Screen"), wxICON_ERROR);
    screenIdentifier->SetSelection(screenCurrent);
    screenDisplayDepth->SetSelection(screenDisplayCurrent);
    screenDisplayModes->SetSelection(screenDisplayModeCurrent);
    screenDisplayModes->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetModeSize(); i++)
  {
    if (i!=screenDisplayModeCurrent && screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetMode(i)==screens.Get(screenCurrent).GetDisplay(screenDisplayCurrent).GetMode(screenDisplayModeCurrent))
    {
      wxMessageBox(_("Screen display mode already exists!"), _("Error in Screen"), wxICON_ERROR);
      screenIdentifier->SetSelection(screenCurrent);
      screenDisplayDepth->SetSelection(screenDisplayCurrent);
      screenDisplayModes->SetSelection(screenDisplayModeCurrent);
      screenDisplayModes->SetFocus();
      return(false);
    }
  }

  return(true);
}

bool guiFrame::CheckServerTab(void) const
{
  if (!CheckServerLayout()) return(false);
  if (!CheckServerFlagOption()) return(false);
  return(true);
}

bool guiFrame::CheckServerLayout(void) const
{
  if (serverLayouts.GetSize()==0) return(true);

  // check if empty
  if (serverLayouts.Get(serverLayoutCurrent).GetId().IsEmpty())
  {
    wxMessageBox(_("Server layout identifier must not be empty!"), _("Error in Server Layout"), wxICON_ERROR);
    serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
    serverLayoutIdentifier->SetFocus();
    return(false);
  }

  // check if unique
  for (unsigned int i=0; i<serverLayouts.GetSize(); i++)
  {
    if (i!=serverLayoutCurrent && serverLayouts.Get(i).GetId()==serverLayouts.Get(serverLayoutCurrent).GetId())
    {
      wxMessageBox(_("Server layout identifier already exists!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutIdentifier->SetFocus();
      return(false);
    }
  }

  if(!CheckServerLayoutOption()) return(false);
  if(!CheckServerLayoutScreen()) return(false);
  if(!CheckServerLayoutInputDevice()) return(false);
  return(true);
}

bool guiFrame::CheckServerLayoutOption(void) const
{
  if (serverLayouts.Get(serverLayoutCurrent).GetOptionSize()==0) return(true);

  if (serverLayouts.Get(serverLayoutCurrent).GetOption(serverLayoutOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Server layout option must not be empty!"), _("Error in Server Layout"), wxICON_ERROR);
    serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
    serverLayoutOption->SetSelection(serverLayoutOptionCurrent);
    serverLayoutOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<serverLayouts.Get(serverLayoutCurrent).GetOptionSize(); i++)
  {
    if (i!=serverLayoutOptionCurrent && serverLayouts.Get(serverLayoutCurrent).GetOption(i).GetName()==serverLayouts.Get(serverLayoutCurrent).GetOption(serverLayoutOptionCurrent).GetName())
    {
      wxMessageBox(_("Server layout option already exists!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutOption->SetSelection(serverLayoutOptionCurrent);
      serverLayoutOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckServerLayoutScreen(void) const
{
  if (serverLayouts.Get(serverLayoutCurrent).GetScreenSize()==0) return(true);

  long tempL=0;
  wxString tempStr, valueX, valueY;
  int pos=0;

  // check if unique
  for (unsigned int i=0; i<serverLayouts.Get(serverLayoutCurrent).GetScreenSize(); i++)
  {
    if (i!=serverLayoutScreenCurrent && serverLayouts.Get(serverLayoutCurrent).GetScreen(i)==serverLayoutScreen1->GetStringSelection())
    {
      wxMessageBox(_("Screen already used in this server layout. Please select another one!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreen1->SetFocus();
      return(false);
    }
  }

  // check if double
  if (serverLayoutScreen2->IsEnabled() && serverLayoutScreen1->GetStringSelection()==serverLayoutScreen2->GetStringSelection())
  {
    wxMessageBox(_("Screen 1 and 2 are the same. Please select another one!"), _("Error in Server Layout"), wxICON_ERROR);
    serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
    serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
    serverLayoutScreen2->SetFocus();
    return(false);
  }

  tempStr=serverLayoutScreenNumber->GetValue();
  tempStr.Trim(false);
  tempStr.Trim(true);
  tempStr.ToLong(&tempL);

  if (!tempStr.IsEmpty())
  {
    if (!tempStr.IsNumber() || tempL<0)
    {
      wxMessageBox(_("Server layout screen number must be a non-negative integer!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenNumber->SetFocus();
      return(false);
    }
    tempStr.Printf(_T("%d"), tempL);
    serverLayoutScreenNumber->SetValue(tempStr);
  }

  tempStr=serverLayoutScreenPosition->GetValue();
  tempStr.Trim(false);
  tempStr.Trim(true);
  tempStr.MakeLower();

  if (tempStr.StartsWith(_T("absolute")))
  {
    pos=tempStr.Find(' ');
    if (pos==-1)
    {
      wxMessageBox(_("Server layout screen position is wrong!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }
    tempStr=tempStr.Right(tempStr.Len()-pos-1);
    tempStr.Trim(false);

    pos=tempStr.Find(' ');
    if (pos==-1)
    {
      wxMessageBox(_("Server layout screen position is wrong!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }

    valueX=tempStr.Left(pos);
    tempStr=tempStr.Right(tempStr.Len()-pos-1);
    tempStr.Trim(false);

    pos=tempStr.Find(' ');
    if (pos!=-1)
    {
      wxMessageBox(_("Server layout screen position is wrong!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }
    valueY=tempStr;

    if (!valueX.IsNumber() || !valueY.IsNumber())
    {
      wxMessageBox(_("Absolute values of server layout screen position must be non-negative!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }

  }
  else if (tempStr==_T("rightof") || tempStr==_T("leftof") || tempStr==_T("above") || tempStr==_T("below"))
  {
    // everythings fine
  }
  else if (tempStr==_T("relative"))
  {
    wxMessageBox(_("I'm sorry, but the \"relative\" option for screen position is not supported yet!"), _("Error in Server Layout"), wxICON_ERROR);
    serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
    serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
    serverLayoutScreenPosition->SetFocus();
    return(false);
  }
  else if (!tempStr.IsEmpty())
  {
    pos=tempStr.Find(' ');
    if (pos==-1)
    {
      wxMessageBox(_("Server layout screen position is wrong!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }

    valueX=tempStr.Left(pos);
    tempStr=tempStr.Right(tempStr.Len()-pos-1);
    tempStr.Trim(false);

    pos=tempStr.Find(' ');
    if (pos!=-1)
    {
      wxMessageBox(_("Server layout screen position is wrong!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }
    valueY=tempStr;

    if (!valueX.IsNumber() || !valueY.IsNumber())
    {
      wxMessageBox(_("Absolute values of server layout screen position must be non-negative!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutScreen->SetSelection(serverLayoutScreenCurrent);
      serverLayoutScreenPosition->SetFocus();
      return(false);
    }
  }

  return(true);
}

bool guiFrame::CheckServerLayoutInputDevice(void) const
{
  if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize()==0) return(true);

  // check if unique
  for (unsigned int i=0; i<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceSize(); i++)
  {
    if (i!=serverLayoutIDevCurrent && serverLayouts.Get(serverLayoutCurrent).GetInputDevice(i)==serverLayoutInputDevice1->GetStringSelection())
    {
      wxMessageBox(_("Input device already used in this server layout. Please select another one!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutInputDevice->SetSelection(serverLayoutIDevCurrent);
      serverLayoutInputDevice1->SetFocus();
      return(false);
    }
  }

  if(!CheckServerLayoutInputDeviceOption()) return(false);

  return(true);
}

bool guiFrame::CheckServerLayoutInputDeviceOption(void) const
{
  if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent)==0) return(true);

  if (serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOption(serverLayoutIDevCurrent, serverLayoutIDevOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Server layout input device option must not be empty!"), _("Error in Server Layout"), wxICON_ERROR);
    serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
    serverLayoutInputDevice->SetSelection(serverLayoutIDevCurrent);
    serverLayoutInputDeviceOption->SetSelection(serverLayoutIDevOptionCurrent);
    serverLayoutInputDeviceOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOptionSize(serverLayoutIDevCurrent); i++)
  {
    if (i!=serverLayoutIDevOptionCurrent && serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOption(serverLayoutIDevCurrent, i).GetName()==serverLayouts.Get(serverLayoutCurrent).GetInputDeviceOption(serverLayoutIDevCurrent, serverLayoutIDevOptionCurrent).GetName())
    {
      wxMessageBox(_("Server layout input device option already exists!"), _("Error in Server Layout"), wxICON_ERROR);
      serverLayoutIdentifier->SetSelection(serverLayoutCurrent);
      serverLayoutInputDevice->SetSelection(serverLayoutIDevCurrent);
      serverLayoutInputDeviceOption->SetSelection(serverLayoutIDevOptionCurrent);
      serverLayoutInputDeviceOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckServerFlagOption(void) const
{
  if (serverFlags.GetOptionSize()==0) return(true);

  if (serverFlags.GetOption(serverFlagCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Server flag must not be empty!"), _("Error in Server Flag"), wxICON_ERROR);
    serverFlagsOption->SetSelection(serverFlagCurrent);
    serverFlagsOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<serverFlags.GetOptionSize(); i++)
  {
    if (i!=serverFlagCurrent && serverFlags.GetOption(i).GetName()==serverFlags.GetOption(serverFlagCurrent).GetName())
    {
      wxMessageBox(_("Server flag already exists!"), _("Error in Server Flag"), wxICON_ERROR);
      serverFlagsOption->SetSelection(serverFlagCurrent);
      serverFlagsOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckOtherSectionTab(void) const
{
  if(!CheckExtension()) return(false);
  if(!CheckModule()) return(false);
  if(!CheckFiles()) return(false);
  if(!CheckDRI()) return(false);
  return(true);
}

bool guiFrame::CheckExtension(void) const
{
  if (extensions.GetOptionSize()==0) return(true);

  if (extensions.GetOption(extensionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Extension must not be empty!"), _("Error in Extension"), wxICON_ERROR);
    extensionOption->SetSelection(extensionCurrent);
    extensionOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<extensions.GetOptionSize(); i++)
  {
    if (i!=extensionCurrent && extensions.GetOption(i).GetName()==extensions.GetOption(extensionCurrent).GetName())
    {
      wxMessageBox(_("Extension already exists!"), _("Error in Extension"), wxICON_ERROR);
      extensionOption->SetSelection(extensionCurrent);
      extensionOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckModule(void) const
{
  if (modules.GetSize()==0) return(true);

  if (modules.Get(moduleCurrent).IsEmpty())
  {
    wxMessageBox(_("Module name must not be empty!"), _("Error in Modules"), wxICON_ERROR);
    moduleIdentifier->SetSelection(moduleCurrent);
    moduleIdentifier->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<modules.GetSize(); i++)
  {
    if (i!=moduleCurrent && modules.Get(i)==modules.Get(moduleCurrent))
    {
      wxMessageBox(_("Module name already exists!"), _("Error in Modules"), wxICON_ERROR);
      moduleIdentifier->SetSelection(moduleCurrent);
      moduleIdentifier->SetFocus();
      return(false);
    }
  }

  if(!CheckModuleOption()) return(false);
  return(true);
}

bool guiFrame::CheckModuleOption(void) const
{
  if (modules.GetOptionSize(moduleCurrent)==0) return(true);

  if (modules.GetOption(moduleCurrent, moduleOptionCurrent).GetName().IsEmpty())
  {
    wxMessageBox(_("Module option must not be empty!"), _("Error in Modules"), wxICON_ERROR);
    moduleIdentifier->SetSelection(moduleCurrent);
    moduleOption->SetSelection(moduleOptionCurrent);
    moduleOption->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<modules.GetOptionSize(moduleCurrent); i++)
  {
    if (i!=moduleOptionCurrent && modules.GetOption(moduleCurrent, i).GetName()==modules.GetOption(moduleCurrent, moduleOptionCurrent).GetName())
    {
      wxMessageBox(_("Module option already exists!"), _("Error in Modules"), wxICON_ERROR);
      moduleIdentifier->SetSelection(moduleCurrent);
      moduleOption->SetSelection(moduleOptionCurrent);
      moduleOption->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckFiles(void) const
{
  if(!CheckFontPath()) return(false);
  if(!CheckModulePath()) return(false);
  if(!CheckRgbPath()) return(false);
  return(true);
}

bool guiFrame::CheckFontPath(void) const
{
  if (files.GetFontPathSize()==0) return(true);

  if (files.GetFontPath(fontPathCurrent).IsEmpty())
  {
    wxMessageBox(_("Font path must not be empty!"), _("Error in Files"), wxICON_ERROR);
    fontPath->SetSelection(fontPathCurrent);
    fontPath->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<files.GetFontPathSize(); i++)
  {
    if (i!=fontPathCurrent && files.GetFontPath(i)==files.GetFontPath(fontPathCurrent))
    {
      wxMessageBox(_("Font path already exists!"), _("Error in Files"), wxICON_ERROR);
      fontPath->SetSelection(fontPathCurrent);
      fontPath->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckModulePath(void) const
{
  if (files.GetModulePathSize()==0) return(true);

  if (files.GetModulePath(modulePathCurrent).IsEmpty())
  {
    wxMessageBox(_("Module path must not be empty!"), _("Error in Files"), wxICON_ERROR);
    modulePath->SetSelection(modulePathCurrent);
    modulePath->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<files.GetModulePathSize(); i++)
  {
    if (i!=modulePathCurrent && files.GetModulePath(i)==files.GetModulePath(modulePathCurrent))
    {
      wxMessageBox(_("Module path already exists!"), _("Error in Files"), wxICON_ERROR);
      modulePath->SetSelection(modulePathCurrent);
      modulePath->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckRgbPath(void) const
{
  if (files.GetRgbPathSize()==0) return(true);

  if (files.GetRgbPath(rgbPathCurrent).IsEmpty())
  {
    wxMessageBox(_("RGB path must not be empty!"), _("Error in Files"), wxICON_ERROR);
    rgbPath->SetSelection(rgbPathCurrent);
    rgbPath->SetFocus();
    return(false);
  }
  for (unsigned int i=0; i<files.GetRgbPathSize(); i++)
  {
    if (i!=rgbPathCurrent && files.GetRgbPath(i)==files.GetRgbPath(rgbPathCurrent))
    {
      wxMessageBox(_("RGB path already exists!"), _("Error in Files"), wxICON_ERROR);
      rgbPath->SetSelection(rgbPathCurrent);
      rgbPath->SetFocus();
      return(false);
    }
  }
  return(true);
}

bool guiFrame::CheckDRI(void) const
{
  return(true); // nothing to check
}

// accept functions

void guiFrame::AcceptDevice(void)
{
  if (devices.GetSize()==0) return;

  if (devices.Get(deviceCurrent).GetId()!=deviceIdentifierText)
  {
    // check if there are some screen that use this device and change the name there
    for (unsigned int i=0; i<screens.GetSize(); i++)
    {
      if (screens.Get(i).GetDevice()==devices.Get(deviceCurrent).GetId())
      {
        screens[i].SetDevice(deviceIdentifierText);
      }
    }
    devices[deviceCurrent].SetId(deviceIdentifierText);

    // reinit screen
    UpdateScreen();
  }
}

void guiFrame::AcceptMonitor(void)
{
  if (monitors.GetSize()==0) return;

  if (monitors.Get(monitorCurrent).GetId()!=monitorIdentifierText)
  {
    // check if there are some screen that use this monitor and change the name there
    for (unsigned int i=0; i<screens.GetSize(); i++)
    {
      if (screens.Get(i).GetMonitor()==monitors.Get(monitorCurrent).GetId())
      {
        screens[i].SetMonitor(monitorIdentifierText);
      }
    }
    monitors[monitorCurrent].SetId(monitorIdentifierText);

    // reinit screen
    UpdateScreen();
  }
}

void guiFrame::AcceptInputDevice(void)
{
  if (inputDevices.GetSize()==0) return;

  if (inputDevices.Get(inputDeviceCurrent).GetId()!=inputDeviceIdentifierText)
  {
    // check if there are some server layout that use this input device and change name there
    for (unsigned int i=0; i<serverLayouts.GetSize(); i++)
    {
      for (unsigned int j=0; j<serverLayouts.Get(i).GetInputDeviceSize(); j++)
      {
        if (serverLayouts.Get(i).GetInputDevice(j)==inputDevices.Get(inputDeviceCurrent).GetId())
        {
          serverLayouts[i].SetInputDevice(j, inputDeviceIdentifierText);
        }
      }
    }
    inputDevices[inputDeviceCurrent].SetId(inputDeviceIdentifierText);

    // reinit server layout
    UpdateServerLayout();
  }
}

void guiFrame::AcceptScreen(void)
{
  if (screens.GetSize()==0) return;

  if (screens.Get(screenCurrent).GetId()!=screenIdentifierText)
  {
    // check if there are some server layout that use this screen and change name there
    for (unsigned int i=0; i<serverLayouts.GetSize(); i++)
    {
      for (unsigned int j=0; j<serverLayouts.Get(i).GetScreenSize(); j++)
      {
        if (serverLayouts.Get(i).GetScreen(j)==screens.Get(screenCurrent).GetId())
        {
          serverLayouts[i].SetScreen(j, screenIdentifierText);
        }
        if (serverLayouts.Get(i).GetSecondScreen(j)==screens.Get(screenCurrent).GetId())
        {
          serverLayouts[i].SetSecondScreen(j, screenIdentifierText);
        }
      }
    }
    screens[screenCurrent].SetId(screenIdentifierText);

    // reinit server layout
    UpdateServerLayout();
  }
}


